Wed Apr 20 09:52:52 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.0.2 released.

Thu Apr 14 19:03:06 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Array_Traits_T.h:
        * tao/Generic_Sequence_T.h:
        * tao/Object_Reference_Traits_T.h:
        * tao/String_Traits_T.h:
        * tao/Value_Traits_T.h:

        * tao/Valuetype/Valuetype_Traits_T.h:

        * tests/Sequence_Unit_Tests/bounded_object_reference_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp:
        * tests/Sequence_Unit_Tests/unbounded_object_reference_sequence_ut.cpp:

          Reverted the shallow-copy optimizations, they caused a memory
          leak in some usages.

Thu Apr 14 11:55:01 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Resume_Handle.h:
        * tao/Resume_Handle.cpp:
          Layout changes

        * tests/IDL_Test/IDL_Test.mpc:
          Added CoreDX project

Tue Apr 12 18:00:33 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/MT_NoUpcall_Client_Leader/server.cpp:
          Wchar fix

Tue Apr 12 14:12:55 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Connection_Handler.cpp:
          Get the reactor from the event handler

Tue Apr 12 12:47:58 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Sequence_Unit_Tests/bounded_object_reference_sequence_ut.cpp:
        * tests/Sequence_Unit_Tests/string_sequence_tester.hpp:
        * tests/Sequence_Unit_Tests/unbounded_object_reference_sequence_ut.cpp:

          The shallow-copy optimizations added to the sequence implementation
          changes the number of freebufs and releases that happen. The tests
          needed to be updated to reflect this new reality.

Tue Apr 12 08:03:01 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/tao_idl.mpc:
        * TAO_IDL/tao_idl_be.mpc:
          Enable again in cross build

Mon Apr 11 18:29:55 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/tao_idl.mpc:
        * TAO_IDL/tao_idl_be.mpc:
          Reverted the enabling of these projects with cross compilation for
          the moment

Mon Apr 11 10:48:49 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/MT_NoUpcall_Client_Leader/MT_NoUpcall.mpc:
          This test requires threads

Mon Apr 11 06:31:40 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/tao_idl_be.mpc:
          Added no-optimize-sibling-calls

Sun Apr 10 12:06:30 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Transport.cpp:
          Layout change

        * tests/IDL_Test/IDL_Test.mpc:
          Use ndds_cck_ts_defaults

Sat Apr  9 08:03:56 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/MT_NoUpcall_Client_Leader/chatter.h:
        * tests/MT_NoUpcall_Client_Leader/chatter.cpp:
          Unicode fixes

Fri Apr  8 17:59:09 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Resume_Handle_Deferred.h:
        * tao/Resume_Handle_Deferred.inl:
        * tao/Resume_Handle_Deferred.cpp:
          Added versioned namespace macros

Fri Apr  8 13:21:17 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/Array_Traits_T.h:
        * tao/Generic_Sequence_T.h:
        * tao/Object_Reference_Traits_T.h:
        * tao/String_Traits_T.h:
        * tao/Value_Traits_T.h:
        * tao/Valuetype/Valuetype_Traits_T.h:

          Optimizations for growing unbounded sequences by changing the
          length. Shallow copies are now used whenever possible during the
          duplication of the existing sequence elements.

Thu Apr  7 11:40:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Wed Apr  6 18:28:45 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * bin/corba-boolean.pl:
                * bin/subst_env.pl:
                * bin/tao_env.pl:
                  Removed these files, obsolete

        Mon Apr  4 17:46:05 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tests/Bug_3953_Regression:
                * tests/Bug_3953_Regression:
                * tests/MT_NoUpcall_Client_Leader:
                  New tests for Wait Strategy mt_noupcall

                * tao/Connection_Handler.h:
                * tao/Connection_Handler.cpp:
                  Integrated some changes from 1.3a as start to get mt_noupcall working

                * tao/LF_Event.h:
                * tao/LF_Invocation_Event.h:
                * tao/LF_Multi_Event.h:
                  Doxygen

                * tao/tao.mpc:
                  Added new files

        Sun Feb 20 18:57:46 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/fe/lex.yy.cpp:
                  Added missing include

                * tests/IDL_Test/IDL_Test.mpc:
                * tests/IDL_Test/anyunion.idl:
                * tests/IDL_Test/union.idl:
                  Moved union with any to its own file because RTI DDS 4.5d now gives
                  an error when using an union with an Any

        === end changelog ===

Wed Apr  6 13:56:43 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * performance-tests/Sequence_Latency/Sequence_Operations_Time/run_test.pl:
        * bin/tao_other_tests.lst:

          Added run_test.pl to new performance test and included it in the
          other tests list for nightly running.

Wed Apr  6 12:58:38 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * performance-tests/Sequence_Latency/Sequence_Operations_Time/README.txt:
        * performance-tests/Sequence_Latency/Sequence_Operations_Time/Sequence_Ops_Time.mpc:
        * performance-tests/Sequence_Latency/Sequence_Operations_Time/sequence.idl:
        * performance-tests/Sequence_Latency/Sequence_Operations_Time/test.cpp:

          A new test designed to highlight the amount of time spent by
          dynamically growing sequences of varying element complexity.

Tue Apr  5 13:00:41 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/Notify_Service/Notify_Service.cpp:

          Scoreboard fix.

Tue Apr  5 08:11:57 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be_include/be_global.h:
          Don't use NONE as enum value, this is a macro on VxWorks

Fri Apr  1 15:10:04 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * orbsvcs/Naming_Service/Naming_Service.h:
        * orbsvcs/Naming_Service/Naming_Service.cpp:

          Added support for multi-thread operation. In environments where
          100s of clients are resolving references, the single-threaded
          naming service becomes a real performance bottleneck. This patch
          adds a -n <numthreads> command line option. Threading is
          achieved by using an ACE_Task to call ORB::run() on multiple
          threads. Default is single threaded behavior.

        * orbsvcs/Notify_Service/Notify_Service.cpp:

          Added a try/catch to the naming service resolving function. It
          is possible that and execption is thrown while trying to
          connect, and that was causing the service to crash abrupty
          messing up some administrative scripts. Now an error is logged
          and shutdown happens gracefully.

        * orbsvcs/tests/Log/Basic_Log_Test/Basic_Log_Test.cpp:

          Silenced some compiler warnings that complained about an
          infinite loop. The test added to break will never pass, so the
          behavior is unchanged, but pedantic gcc compilers are now
          satified.

Thu Mar 31 11:34:08 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/tao_idl.mpc:
        * TAO_IDL/tao_idl_be.mpc:
          We can now build these projects with cross compilation

        * tao/Client_Strategy_Factory.h:
          Doxygen change

        * tao/Wait_On_LF_No_Upcall.cpp:
        * tao/default_client.cpp:
          Layout changes

Wed Mar 30 07:19:24 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/ConsumesDef_i.h:
        * orbsvcs/orbsvcs/IFRService/EventPortDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExceptionDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExtAbstractInterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExtAttributeDef_i.h:
        * orbsvcs/tests/EC_Throughput/ECT_Throughput.h:
        * orbsvcs/tests/Event/Basic/Random.h:
        * tests/Bug_3531_Regression/client.cpp:
        * tests/Bug_3531_Regression/test_i.h:
          Doxygen changes

        * tests/Multiple/Multiple.idl:
          Fixed problem in this idl file

Tue Mar 29 13:20:41 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be_include/be_visitor_component/component_ami_rh_exh.h:
        * TAO_IDL/be_include/be_visitor_component/component_ami_rh_exs.h:
        * TAO_IDL/be_include/be_visitor_component/component_exh.h:
        * TAO_IDL/be_include/be_visitor_component/component_exs.h:
        * TAO_IDL/be_include/be_visitor_component/context_ex_idl.h:
        * TAO_IDL/be_include/be_visitor_component/executor_ex_idl.h:
        * TAO_IDL/be_include/be_visitor_component/executor_exh.h:
        * TAO_IDL/be_include/be_visitor_component/executor_exs.h:
        * TAO_IDL/be_include/be_visitor_component/executor_exs_attr_init.h:
        * TAO_IDL/be_include/be_visitor_component/executor_private_exh.h:
        * TAO_IDL/be_include/be_visitor_component/facet_ex_idl.h:
        * TAO_IDL/be_include/be_visitor_component/facet_exh.h:
        * TAO_IDL/be_include/be_visitor_component/facet_exs.h:
        * TAO_IDL/be_include/be_visitor_component/servant_svs.h:
          Converted to doxygen style

Tue Mar 29 12:42:20 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Quoter/Quoter.idl:
        * orbsvcs/orbsvcs/CosConcurrencyControl.idl:
        * orbsvcs/orbsvcs/miop.idl:
        * tests/IDL_Test/invalid_scoping1.idl:
        * tests/IDL_Test/invalid_scoping2.idl:
        * tests/IDL_Test/old_sequence.idl:
        * tests/NestedUpcall/MT_Client_Test/MT_Client_Test.idl:
        * tests/Param_Test/param_test.idl:
          Fuzz fixes

Tue Mar 29 12:34:38 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        Converted to doxygen style

        * examples/Advanced/ch_12/CCS.idl:

        * examples/Advanced/ch_18/CCS.idl:

        * examples/Advanced/ch_21/CCS.idl:

        * examples/Advanced/ch_3/time.idl:

        * examples/Advanced/ch_8_and_10/CCS.idl:

        * examples/Event_Comm/Event_Comm.idl:

        * examples/Load_Balancing/Identity.idl:
        * examples/Load_Balancing/Load_Balancer.idl:

        * examples/Load_Balancing_persistent/Identity.idl:
        * examples/Load_Balancing_persistent/Load_Balancer.idl:

        * examples/Quoter/Quoter.idl:

        * examples/TypeCode_Creation/test.idl:

        * orbsvcs/examples/CosEC/Factory/CosEventChannelFactory.idl:

        * orbsvcs/orbsvcs/CosConcurrencyControl.idl:
        * orbsvcs/orbsvcs/CosLifeCycle.idl:
        * orbsvcs/orbsvcs/CosNaming.idl:
        * orbsvcs/orbsvcs/CosTrading.idl:
        * orbsvcs/orbsvcs/CosTradingDynamic.idl:
        * orbsvcs/orbsvcs/CosTradingRepos.idl:
        * orbsvcs/orbsvcs/DsEventLogAdmin.idl:
        * orbsvcs/orbsvcs/DsLogAdmin.idl:
        * orbsvcs/orbsvcs/DsLogNotification.idl:
        * orbsvcs/orbsvcs/DsNotifyLogAdmin.idl:
        * orbsvcs/orbsvcs/LifeCycleService.idl:
        * orbsvcs/orbsvcs/RTEventLogAdmin.idl:
        * orbsvcs/orbsvcs/miop.idl:

        * orbsvcs/tests/HTIOP/AMI/ami_test.idl:

        * orbsvcs/tests/Interoperable_Naming/Web_Server.idl:

        * performance-tests/Anyop/test.idl:

        * tests/AMI_Timeouts/timeout.idl:

        * tests/Bug_1495_Regression/test.idl:

        * tests/File_IO/File.idl:

        * tests/IDL_Test/anonymous.idl:
        * tests/IDL_Test/anyunion.idl:
        * tests/IDL_Test/array.idl:
        * tests/IDL_Test/array_anon_nested.idl:
        * tests/IDL_Test/array_only.idl:
        * tests/IDL_Test/constants.idl:
        * tests/IDL_Test/dif2.idl:
        * tests/IDL_Test/enum_in_struct.idl:
        * tests/IDL_Test/full.idl:
        * tests/IDL_Test/fwd.idl:
        * tests/IDL_Test/generic_object.idl:
        * tests/IDL_Test/gperf.idl:
        * tests/IDL_Test/included.idl:
        * tests/IDL_Test/including.idl:
        * tests/IDL_Test/inherit.idl:
        * tests/IDL_Test/interface.idl:
        * tests/IDL_Test/invalid_scoping1.idl:
        * tests/IDL_Test/invalid_scoping2.idl:
        * tests/IDL_Test/keywords.idl:
        * tests/IDL_Test/module.idl:
        * tests/IDL_Test/nested_scope.idl:
        * tests/IDL_Test/old_array.idl:
        * tests/IDL_Test/old_constants.idl:
        * tests/IDL_Test/old_sequence.idl:
        * tests/IDL_Test/old_struct.idl:
        * tests/IDL_Test/old_union.idl:
        * tests/IDL_Test/old_union2.idl:
        * tests/IDL_Test/params.idl:
        * tests/IDL_Test/pragma.idl:
        * tests/IDL_Test/primtypes.idl:
        * tests/IDL_Test/reopen_include1.idl:
        * tests/IDL_Test/reopen_include2.idl:
        * tests/IDL_Test/reopened_modules.idl:
        * tests/IDL_Test/repo_id_mod.idl:
        * tests/IDL_Test/sequence.idl:
        * tests/IDL_Test/simple.idl:
        * tests/IDL_Test/simple2.idl:
        * tests/IDL_Test/typecode.idl:
        * tests/IDL_Test/typedef.idl:
        * tests/IDL_Test/union.idl:
        * tests/IDL_Test/valuetype.idl:

        * tests/Multiple/Multiple.idl:

        * tests/NestedUpcall/MT_Client_Test/MT_Client_Test.idl:

        * tests/NestedUpcall/Simple/test.idl:

        * tests/NestedUpcall/Triangle_Test/Triangle_Test.idl:

        * tests/OBV/TC_Alignment/test.idl:

        * tests/OctetSeq/test.idl:

        * tests/POA/Default_Servant2/File.idl:

        * tests/Param_Test/param_test.idl:

        * tests/Portable_Interceptors/Benchmark/test.idl:

        * tests/Portable_Interceptors/Bug_1559/test.idl:

        * tests/Portable_Interceptors/Collocated/Dynamic/test.idl:

        * tests/Portable_Interceptors/Collocated/Service_Context_Manipulation/test.idl:

        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/test.idl:

        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/test.idl:

        * tests/Portable_Interceptors/Service_Context_Manipulation/test.idl:

Tue Mar 29 12:24:55 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be_include/be_component.h:
        * TAO_IDL/be_include/be_eventtype.h:
        * TAO_IDL/be_include/be_extended_port.h:
        * TAO_IDL/be_include/be_helper.h:
        * TAO_IDL/be_include/be_identifier_helper.h:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_mirror_port.h:
        * TAO_IDL/be_include/be_porttype.h:
        * TAO_IDL/be_include/be_root.h:
        * TAO_IDL/be_include/be_template_module.h:
        * TAO_IDL/be_include/be_valuetype.h:
        * TAO_IDL/be_include/be_visitor_attribute/ccm_init.h:
        * TAO_IDL/be_include/be_visitor_attribute/set_from_extracted.h:
        * TAO_IDL/be_include/be_visitor_component/component_ami_rh_ex_base.h:
        * TAO_IDL/be_include/be_visitor_operation/argument_marshal.h:
        * TAO_IDL/include/ast_visitor_tmpl_module_ref.h:
        * TAO_IDL/include/fe_private.h:
          Doxygen changes

Tue Mar 29 12:15:06 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/IFRService/AbstractInterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/AliasDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ComponentContainer_i.h:
        * orbsvcs/orbsvcs/IFRService/ComponentDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ComponentModuleDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ComponentRepository_i.h:
        * orbsvcs/orbsvcs/IFRService/EmitsDef_i.h:
        * orbsvcs/orbsvcs/IFRService/EnumDef_i.h:
        * orbsvcs/orbsvcs/IFRService/EventPortDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ExceptionDef_i.h:
        * orbsvcs/orbsvcs/IFRService/HomeDef_i.h:
        * orbsvcs/orbsvcs/IFRService/InterfaceDef_i.h:
        * orbsvcs/orbsvcs/IFRService/NativeDef_i.h:
        * orbsvcs/orbsvcs/IFRService/PublishesDef_i.h:
        * orbsvcs/orbsvcs/IFRService/UnionDef_i.h:
        * orbsvcs/orbsvcs/IFRService/ValueBoxDef_i.h:
          Doxygen changes

Tue Mar 29 08:38:55 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/AVStreams/Component_Switching/sender.h:
          Fixed compile problem

Mon Mar 28 20:48:40 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * tests/Bug_3068_Regression/Bug_3068_Regression.mpc:

          Added "after" statement to enable correct parallel builds.

Mon Mar 28 11:43:20 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Kokyu_dsrt_schedulers/fp_example/client.cpp:
        * examples/Kokyu_dsrt_schedulers/fp_example/server.cpp:
        * examples/Kokyu_dsrt_schedulers/mif_example/client.cpp:
        * examples/Kokyu_dsrt_schedulers/mif_example/server.cpp:
        * examples/Kokyu_dsrt_schedulers/muf_example/client.cpp:
        * examples/Kokyu_dsrt_schedulers/muf_example/server.cpp:
        * orbsvcs/tests/Notify/lib/Driver.h:
        * tests/Bug_2494_Regression/server.cpp:
        * tests/Bug_3531_Regression/client.cpp:
        * tests/Bug_3531_Regression/server.cpp:
        * tests/Bug_3567_Regression/client.cpp:
        * tests/Bug_3567_Regression/server.cpp:
        * tests/File_IO/server.cpp:
        * tests/MT_Server/server.cpp:
        * tests/Muxed_GIOP_Versions/server.cpp:
          Doxygen changes

Mon Mar 28 11:28:18 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/LifeCycle_Service/LifeCycle_Service.cpp:
        * orbsvcs/LifeCycle_Service/LifeCycle_Service_i.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp:
        * orbsvcs/tests/Concurrency/CC_client.cpp:
        * orbsvcs/tests/Concurrency/CC_tests.cpp:
        * orbsvcs/tests/HTIOP/AMI/client.cpp:
        * orbsvcs/tests/tests_svc_loader/tests_svc_loader.cpp:
        * tests/AMI_Timeouts/timeout_i.cpp:
        * tests/CodeSets/libs/IBM1047_ISO8859/Wchar_IBM1047_ISO8859_Factory.h:
        * tests/CodeSets/simple/server.cpp:
        * tests/NestedUpcall/Triangle_Test/Initiator_i.cpp:
        * tests/OctetSeq/OctetSeq.cpp:
        * tests/Param_Test/multdim_array.cpp:
          Fuzz fixes

Mon Mar 28 11:21:51 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/AMI/FL_Callback/peer.cpp:
        * examples/Callback_Quoter/Consumer_Handler.cpp:
        * examples/Callback_Quoter/Consumer_Signal_Handler.cpp:
        * examples/Event_Comm/Event_Comm_i.cpp:
        * examples/Event_Comm/consumer.cpp:
        * examples/Quoter/Factory_Finder.cpp:
        * examples/Quoter/Factory_Finder_i.cpp:
        * examples/Quoter/server.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ConsumerAdmin_i.h:
        * orbsvcs/examples/CosEC/Simple/Consumer.h:
        * orbsvcs/examples/CosEC/Simple/Supplier.h:
        * orbsvcs/tests/CosEvent/lib/Counting_Consumer.h:
        * orbsvcs/tests/CosEvent/lib/Counting_Supplier.h:
        * performance-tests/POA/Demux/client.cpp:
        * performance-tests/POA/Demux/server.cpp:
        * tests/Bug_2935_Regression/sink_i.h:
        * tests/CSD_Collocation/Collocation_Tester.h:
        * tests/CodeSets/libs/UTF16_UCS2/UTF16_UCS2_Factory.h:
        * tests/DSI_Gateway/test_dsi.h:
        * tests/NestedUpcall/MT_Client_Test/MT_Object_i.h:
        * tests/NestedUpcall/MT_Client_Test/MT_Object_i.cpp:
        * tests/NestedUpcall/MT_Client_Test/client.h:
        * tests/NestedUpcall/MT_Client_Test/local_server.h:
        * tests/NestedUpcall/MT_Client_Test/server.h:
        * tests/OBV/Simple/Simple_util.h:
        * tests/Xt_Stopwatch/Stopwatch_display.h:
          Fuzz fixes

Mon Mar 28 11:12:50 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/CosEC/RtEC_Based/lib/ProxyPushConsumer_i.h:
        * orbsvcs/examples/RtEC/MCast/Consumer.h:
        * orbsvcs/examples/RtEC/Schedule/Supplier.h:
        * orbsvcs/examples/RtEC/Simple/Consumer.h:
        * orbsvcs/tests/AVStreams/Latency/pong.h:
        * orbsvcs/tests/AVStreams/Pluggable/server.h:
        * orbsvcs/tests/Event/Performance/Connect.h:
        * orbsvcs/tests/Event/Performance/Inversion.h:
        * orbsvcs/tests/Event/Performance/Latency.h:
        * orbsvcs/tests/Event/Performance/Throughput.h:
        * orbsvcs/tests/Event/UDP/AddrServer.h:
        * orbsvcs/tests/Event/UDP/Consumer.h:
        * orbsvcs/tests/Event/UDP/Supplier.h:
        * orbsvcs/tests/Notify/Basic/Sequence.h:
        * orbsvcs/tests/Notify/Basic/Simple.h:
        * orbsvcs/tests/Notify/lib/Notify_SequencePushSupplier.h:
        * orbsvcs/tests/Notify/lib/Notify_StructuredPushSupplier.h:
        * orbsvcs/tests/Notify/lib/Options_Parser.h:
        * orbsvcs/tests/Notify/lib/Peer_T.h:
        * orbsvcs/tests/Notify/lib/Periodic_Consumer.h:
        * orbsvcs/tests/Notify/lib/Periodic_Consumer_Command.h:
        * orbsvcs/tests/Notify/lib/Periodic_Supplier.h:
        * orbsvcs/tests/Notify/lib/Periodic_Supplier_Command.h:
          Fuzz fixes

Mon Mar 28 11:05:03 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/CosEC/RtEC_Based/lib/ProxyPushConsumer_i.h:
        * orbsvcs/examples/RtEC/MCast/Consumer.h:
        * orbsvcs/examples/RtEC/Schedule/Supplier.h:
        * orbsvcs/examples/RtEC/Simple/Consumer.h:
          Fuzz fixes

Mon Mar 28 11:02:31 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Callback_Quoter/Supplier_Timer_Handler.h:
        * examples/Simple/Simple_util.h:
        * orbsvcs/LifeCycle_Service/Criteria_Evaluator.h:
        * orbsvcs/LifeCycle_Service/Factory_Trader.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/EventChannel_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ProxyPushSupplier_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/SupplierAdmin_i.h:
        * orbsvcs/examples/RtEC/Kokyu/Consumer.h:
        * orbsvcs/examples/RtEC/Kokyu/Supplier.h:
        * orbsvcs/examples/RtEC/MCast/AddrServer.h:
        * orbsvcs/examples/RtEC/MCast/AddrServer.cpp:
        * orbsvcs/examples/RtEC/MCast/Supplier.h:
        * orbsvcs/examples/RtEC/Schedule/Consumer.h:
        * orbsvcs/examples/RtEC/Schedule/Consumer.cpp:
        * orbsvcs/examples/RtEC/Simple/Supplier.h:
        * orbsvcs/tests/Concurrency/lex.CC_command.cpp:
        * tests/POA/Loader/Servant_Activator.h:
        * tests/POA/On_Demand_Loading/Servant_Activator.h:
          Fuzz fixes

Mon Mar 28 09:59:28 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Callback_Quoter/Supplier_Timer_Handler.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_y.cpp:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.h:
        * tests/POA/Loader/Servant_Activator.h:
        * tests/POA/On_Demand_Loading/Servant_Activator.h:
        * tests/Param_Test/anyop.cpp:
          Fuzz fixes

Mon Mar 28 07:58:00 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Callback_Quoter/Consumer_Signal_Handler.h:
        * examples/Callback_Quoter/Notifier_i.h:
        * examples/Callback_Quoter/Supplier_i.h:
        * examples/Logging/Logging_Test_i.h:
        * examples/OBV/Simple_util.h:
        * examples/Persistent_Grid/Persistent_Client.h:
        * examples/Persistent_Grid/Simple_util.h:
        * examples/Quoter/Factory_Finder.h:
        * examples/Quoter/Factory_Finder_i.h:
        * examples/Quoter/client.h:
        * examples/Quoter/server.h:
        * interop-tests/wchar/wchar_reference.h:
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_i.h:
        * performance-tests/POA/Demux/demux_test_client.h:
        * performance-tests/POA/Demux/demux_test_macros.h:
        * performance-tests/POA/Demux/demux_test_server.h:
        * tests/Alt_Mapping/ub_string.h:
        * tests/Bug_3683_Regression/Simple_util.h:
        * tests/Collocation/Collocation_Tester.h:
        * tests/DSI_AMI_Gateway/test_dsi.h:
        * tests/Exposed_Policies/Policy_Tester.h:
        * tests/Param_Test/ub_string.h:
          Fuzz fixes

Mon Mar 28 07:27:37 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        Converted files below to use doxygen style documentation

        * TAO_IDL/be/be_visitor_array/array_ci.cpp:

        * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:

        * TAO_IDL/be/be_visitor_interface/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ci.cpp:

        * TAO_IDL/be/be_visitor_root/root.cpp:

        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:

        * TAO_IDL/be_include/be_helper.h:

        * TAO_IDL/be_include/be_visitor_argument/invoke_cs.h:

        * TAO_IDL/be_include/be_visitor_exception/ctor.h:
        * TAO_IDL/be_include/be_visitor_exception/ctor_assign.h:
        * TAO_IDL/be_include/be_visitor_exception/exception_ctor.h:

        * TAO_IDL/include/utl_idlist.h:

        * docs/tutorials/Quoter/Simple/Impl-Repo/server.cpp:

        * docs/tutorials/Quoter/Simple/Persistent/server.cpp:

        * examples/AMI/FL_Callback/Peer_i.h:
        * examples/AMI/FL_Callback/Progress_i.h:

        * examples/Advanced/ch_12/client.cpp:
        * examples/Advanced/ch_12/icp.h:
        * examples/Advanced/ch_12/icp.cpp:
        * examples/Advanced/ch_12/server.h:
        * examples/Advanced/ch_12/server.cpp:

        * examples/Advanced/ch_18/client.cpp:
        * examples/Advanced/ch_18/icp.h:
        * examples/Advanced/ch_18/icp.cpp:
        * examples/Advanced/ch_18/server.h:
        * examples/Advanced/ch_18/server.cpp:

        * examples/Advanced/ch_21/client.cpp:
        * examples/Advanced/ch_21/icp.h:
        * examples/Advanced/ch_21/icp.cpp:
        * examples/Advanced/ch_21/server.h:
        * examples/Advanced/ch_21/server.cpp:

        * examples/Advanced/ch_3/client.cpp:
        * examples/Advanced/ch_3/server.h:
        * examples/Advanced/ch_3/server.cpp:

        * examples/Advanced/ch_8_and_10/client.cpp:
        * examples/Advanced/ch_8_and_10/icp.h:
        * examples/Advanced/ch_8_and_10/icp.cpp:
        * examples/Advanced/ch_8_and_10/server.h:
        * examples/Advanced/ch_8_and_10/server.cpp:

        * examples/Buffered_AMI/client.cpp:
        * examples/Buffered_AMI/test_i.h:

        * examples/Buffered_Oneways/client.cpp:
        * examples/Buffered_Oneways/test_i.h:

        * examples/Callback_Quoter/Consumer_Handler.h:
        * examples/Callback_Quoter/Consumer_Handler.cpp:
        * examples/Callback_Quoter/Consumer_Input_Handler.h:
        * examples/Callback_Quoter/Consumer_Input_Handler.cpp:
        * examples/Callback_Quoter/Consumer_Signal_Handler.h:
        * examples/Callback_Quoter/Consumer_Signal_Handler.cpp:
        * examples/Callback_Quoter/Consumer_i.h:
        * examples/Callback_Quoter/Consumer_i.cpp:
        * examples/Callback_Quoter/Notifier_Input_Handler.h:
        * examples/Callback_Quoter/Notifier_Input_Handler.cpp:
        * examples/Callback_Quoter/Notifier_i.h:
        * examples/Callback_Quoter/Notifier_i.cpp:
        * examples/Callback_Quoter/Supplier_Timer_Handler.h:
        * examples/Callback_Quoter/Supplier_Timer_Handler.cpp:
        * examples/Callback_Quoter/Supplier_i.h:
        * examples/Callback_Quoter/Supplier_i.cpp:

        * examples/Content_Server/AMI_Iterator/Content_Iterator_i.h:
        * examples/Content_Server/AMI_Iterator/Iterator_Factory_i.h:
        * examples/Content_Server/AMI_Iterator/Iterator_Handler.h:

        * examples/Content_Server/AMI_Observer/Callback_Handler.h:
        * examples/Content_Server/AMI_Observer/Callback_i.h:
        * examples/Content_Server/AMI_Observer/Push_Iterator_Factory_i.h:
        * examples/Content_Server/AMI_Observer/Push_Iterator_Handler.h:

        * examples/Content_Server/SMI_Iterator/Content_Iterator_i.h:
        * examples/Content_Server/SMI_Iterator/Iterator_Factory_i.h:

        * examples/Event_Comm/Consumer_Handler.h:
        * examples/Event_Comm/Consumer_Input_Handler.h:
        * examples/Event_Comm/Event_Comm_i.h:
        * examples/Event_Comm/Notifier_Handler.h:
        * examples/Event_Comm/Notifier_Server.h:
        * examples/Event_Comm/Supplier_Input_Handler.h:
        * examples/Event_Comm/notifier.h:
        * examples/Event_Comm/supplier.h:

        * examples/Kokyu_dsrt_schedulers/fp_example/test_i.h:

        * examples/Kokyu_dsrt_schedulers/mif_example/test_i.h:

        * examples/Kokyu_dsrt_schedulers/muf_example/test_i.h:

        * examples/Load_Balancing/Identity_Client.h:
        * examples/Load_Balancing/Identity_Client.cpp:
        * examples/Load_Balancing/Identity_Server.h:
        * examples/Load_Balancing/Identity_Server.cpp:
        * examples/Load_Balancing/Identity_i.h:
        * examples/Load_Balancing/Identity_i.cpp:
        * examples/Load_Balancing/Load_Balancer_i.h:
        * examples/Load_Balancing/Load_Balancer_i.cpp:
        * examples/Load_Balancing/Load_Balancing_Service.h:
        * examples/Load_Balancing/Load_Balancing_Service.cpp:

        * examples/Load_Balancing_persistent/Identity_Client.h:
        * examples/Load_Balancing_persistent/Identity_Client.cpp:
        * examples/Load_Balancing_persistent/Identity_Server.h:
        * examples/Load_Balancing_persistent/Identity_i.h:
        * examples/Load_Balancing_persistent/Identity_i.cpp:
        * examples/Load_Balancing_persistent/Load_Balancer_i.h:
        * examples/Load_Balancing_persistent/Load_Balancing_Service.h:
        * examples/Load_Balancing_persistent/Load_Balancing_Service.cpp:

        * examples/Logging/Logger_i.h:
        * examples/Logging/Logging_Service_i.h:
        * examples/Logging/Logging_Test_i.h:

        * examples/OBV/Simple_util.h:

        * examples/OBV/Typed_Events/Client_i.h:
        * examples/OBV/Typed_Events/Server_i.h:

        * examples/Persistent_Grid/Grid_Client_i.h:
        * examples/Persistent_Grid/Grid_i.h:
        * examples/Persistent_Grid/Persistent_Client.h:
        * examples/Persistent_Grid/Simple_util.h:

        * examples/PluggableUDP/tests/Performance/UDP_PerformanceClient.h:
        * examples/PluggableUDP/tests/Performance/UDP_i.h:
        * examples/PluggableUDP/tests/Performance/client.cpp:
        * examples/PluggableUDP/tests/Performance/server.cpp:

        * examples/PluggableUDP/tests/SimplePerformance/client.cpp:
        * examples/PluggableUDP/tests/SimplePerformance/server.cpp:
        * examples/PluggableUDP/tests/SimplePerformance/test_i.h:

        * examples/Quoter/Factory_Finder.h:
        * examples/Quoter/Factory_Finder.cpp:
        * examples/Quoter/Factory_Finder_i.h:
        * examples/Quoter/Factory_Finder_i.cpp:
        * examples/Quoter/Generic_Factory.h:
        * examples/Quoter/Generic_Factory.cpp:
        * examples/Quoter/Generic_Factory_i.h:
        * examples/Quoter/Generic_Factory_i.cpp:
        * examples/Quoter/Quoter_i.h:
        * examples/Quoter/Quoter_i.cpp:
        * examples/Quoter/client.h:
        * examples/Quoter/server.h:
        * examples/Quoter/server.cpp:

        * examples/Simple/Simple_util.h:

        * examples/Simple/bank/AccountManager_i.h:
        * examples/Simple/bank/Account_i.h:
        * examples/Simple/bank/Bank_Client_i.h:

        * examples/Simple/chat/Broadcaster_i.h:
        * examples/Simple/chat/Broadcaster_i.cpp:
        * examples/Simple/chat/Client_i.h:
        * examples/Simple/chat/Client_i.cpp:
        * examples/Simple/chat/Receiver_i.h:
        * examples/Simple/chat/Receiver_i.cpp:
        * examples/Simple/chat/Server.h:
        * examples/Simple/chat/Server_i.h:
        * examples/Simple/chat/Server_i.cpp:
        * examples/Simple/chat/client.cpp:
        * examples/Simple/chat/server.cpp:

        * examples/Simple/echo/Echo_Client_i.h:
        * examples/Simple/echo/Echo_i.h:

        * examples/Simple/grid/Grid_Client_i.h:
        * examples/Simple/grid/Grid_i.h:

        * examples/Simple/time-date/Time_Date_Client_i.h:
        * examples/Simple/time-date/Time_Date_i.h:
        * examples/Simple/time-date/server.cpp:

        * examples/Simple/time/Time_Client_i.h:
        * examples/Simple/time/Time_i.h:

        * examples/Simulator/Event_Supplier/DOVE_Supplier.h:
        * examples/Simulator/Event_Supplier/DOVE_Supplier.cpp:
        * examples/Simulator/Event_Supplier/DualEC_Sup.h:
        * examples/Simulator/Event_Supplier/DualEC_Sup.cpp:
        * examples/Simulator/Event_Supplier/Event_Con.h:
        * examples/Simulator/Event_Supplier/Event_Con.cpp:
        * examples/Simulator/Event_Supplier/Event_Sup.h:
        * examples/Simulator/Event_Supplier/Event_Sup.cpp:
        * examples/Simulator/Event_Supplier/Logging_Sup.h:
        * examples/Simulator/Event_Supplier/Logging_Sup.cpp:

        * examples/ior_corbaloc/client.cpp:
        * examples/ior_corbaloc/ior_corbaloc_client_i.h:
        * examples/ior_corbaloc/ior_corbaloc_client_i.cpp:

        * interop-tests/wchar/client.cpp:
        * interop-tests/wchar/server.cpp:
        * interop-tests/wchar/wchar_reference.h:
        * interop-tests/wchar/wchar_reference.cpp:

        * orbsvcs/IFR_Service/IFR_Service.h:
        * orbsvcs/IFR_Service/be_global.h:
        * orbsvcs/IFR_Service/be_global.cpp:
        * orbsvcs/IFR_Service/ifr_adding_visitor.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor_exception.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor_operation.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor_structure.h:
        * orbsvcs/IFR_Service/ifr_adding_visitor_union.h:
        * orbsvcs/IFR_Service/ifr_removing_visitor.h:
        * orbsvcs/IFR_Service/ifr_visitor.h:

        * orbsvcs/LifeCycle_Service/Criteria_Evaluator.h:
        * orbsvcs/LifeCycle_Service/Criteria_Evaluator.cpp:
        * orbsvcs/LifeCycle_Service/Factory_Trader.h:
        * orbsvcs/LifeCycle_Service/Factory_Trader.cpp:
        * orbsvcs/LifeCycle_Service/LifeCycle_Service.h:
        * orbsvcs/LifeCycle_Service/LifeCycle_Service.cpp:
        * orbsvcs/LifeCycle_Service/LifeCycle_Service_i.h:
        * orbsvcs/LifeCycle_Service/LifeCycle_Service_i.cpp:

        * orbsvcs/Naming_Service/NT_Naming_Server.cpp:

        * orbsvcs/Notify_Service/NT_Notify_Server.cpp:

        * orbsvcs/TAO_Service/TAO_Service.cpp:

        * orbsvcs/Time_Service/Clerk_i.h:
        * orbsvcs/Time_Service/Server_i.h:

        * orbsvcs/Trading_Service/Trading_Service.h:

        * orbsvcs/examples/CosEC/Factory/CosEventChannelFactory_i.h:
        * orbsvcs/examples/CosEC/Factory/FactoryDriver.h:

        * orbsvcs/examples/CosEC/RtEC_Based/bin/RtEC_Based_CosEC.h:

        * orbsvcs/examples/CosEC/RtEC_Based/lib/ConsumerAdmin_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/CosEvent_Utilities.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/EventChannel_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ProxyPushConsumer_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ProxyPushSupplier_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/SupplierAdmin_i.h:

        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Basic.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Consumer.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Supplier.h:

        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Consumer.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Multiple.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Supplier.h:

        * orbsvcs/examples/CosEC/Simple/Consumer.h:
        * orbsvcs/examples/CosEC/Simple/Supplier.h:

        * orbsvcs/examples/Notify/Filter/Filter.h:

        * orbsvcs/examples/Notify/Subscribe/Subscribe.h:

        * orbsvcs/examples/RtEC/Kokyu/Consumer.h:
        * orbsvcs/examples/RtEC/Kokyu/Supplier.h:

        * orbsvcs/examples/RtEC/MCast/AddrServer.h:
        * orbsvcs/examples/RtEC/MCast/Consumer.h:
        * orbsvcs/examples/RtEC/MCast/Supplier.h:

        * orbsvcs/examples/RtEC/Schedule/Consumer.h:
        * orbsvcs/examples/RtEC/Schedule/Supplier.h:

        * orbsvcs/examples/RtEC/Simple/Consumer.h:
        * orbsvcs/examples/RtEC/Simple/Supplier.h:

        * orbsvcs/examples/Security/SecurityLevel1/SLevel1_Test_i.h:

        * orbsvcs/examples/Security/Send_File/test_i.h:

        * orbsvcs/orbsvcs/Trader/Constraint_l.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_y.cpp:

        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/Connection_Manager.h:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/distributer.h:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/receiver.h:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/sender.h:

        * orbsvcs/tests/AVStreams/Bidirectional_Flows/receiver.h:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/sender.h:

        * orbsvcs/tests/AVStreams/Component_Switching/Connection_Manager.h:
        * orbsvcs/tests/AVStreams/Component_Switching/distributer.h:
        * orbsvcs/tests/AVStreams/Component_Switching/receiver.h:
        * orbsvcs/tests/AVStreams/Component_Switching/sender.h:

        * orbsvcs/tests/AVStreams/Latency/ping.h:
        * orbsvcs/tests/AVStreams/Latency/pong.h:

        * orbsvcs/tests/AVStreams/Multiple_Flows/receiver.h:
        * orbsvcs/tests/AVStreams/Multiple_Flows/sender.h:

        * orbsvcs/tests/AVStreams/Pluggable/ftp.h:
        * orbsvcs/tests/AVStreams/Pluggable/server.h:

        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/receiver.h:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/sender.h:

        * orbsvcs/tests/AVStreams/Simple_Three_Stage/distributer.h:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/receiver.h:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/sender.h:

        * orbsvcs/tests/AVStreams/Simple_Two_Stage/receiver.h:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/sender.h:

        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/receiver.h:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/sender.h:

        * orbsvcs/tests/Bug_2248_Regression/Client_i.h:

        * orbsvcs/tests/Concurrency/CC_client.h:
        * orbsvcs/tests/Concurrency/CC_client.cpp:
        * orbsvcs/tests/Concurrency/CC_command.h:
        * orbsvcs/tests/Concurrency/CC_command.cpp:
        * orbsvcs/tests/Concurrency/CC_naming_service.h:
        * orbsvcs/tests/Concurrency/CC_naming_service.cpp:
        * orbsvcs/tests/Concurrency/CC_test_utils.h:
        * orbsvcs/tests/Concurrency/CC_test_utils.cpp:
        * orbsvcs/tests/Concurrency/CC_tests.h:
        * orbsvcs/tests/Concurrency/CC_tests.cpp:
        * orbsvcs/tests/Concurrency/lex.CC_command.cpp:

        * orbsvcs/tests/CosEvent/Basic/MT_Disconnect.h:
        * orbsvcs/tests/CosEvent/Basic/Random.h:

        * orbsvcs/tests/CosEvent/lib/Counting_Consumer.h:
        * orbsvcs/tests/CosEvent/lib/Counting_Supplier.h:

        * orbsvcs/tests/Event/Performance/Connect.h:
        * orbsvcs/tests/Event/Performance/Inversion.h:
        * orbsvcs/tests/Event/Performance/Latency.h:
        * orbsvcs/tests/Event/Performance/Throughput.h:

        * orbsvcs/tests/Event/UDP/AddrServer.h:
        * orbsvcs/tests/Event/UDP/Consumer.h:
        * orbsvcs/tests/Event/UDP/Supplier.h:

        * orbsvcs/tests/FaultTolerance/IOGR/Client_i.h:
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.h:
        * orbsvcs/tests/FaultTolerance/IOGR/test_i.h:

        * orbsvcs/tests/FaultTolerance/IOGRManipulation/IOGRTest.cpp:

        * orbsvcs/tests/HTIOP/AMI/ami_test_i.h:
        * orbsvcs/tests/HTIOP/AMI/ami_test_i.cpp:
        * orbsvcs/tests/HTIOP/AMI/client.cpp:
        * orbsvcs/tests/HTIOP/AMI/server.cpp:
        * orbsvcs/tests/HTIOP/AMI/simple_client.cpp:

        * orbsvcs/tests/HTIOP/BiDirectional/test_i.h:

        * orbsvcs/tests/InterfaceRepo/IDL3_Test/idl3_client.h:

        * orbsvcs/tests/InterfaceRepo/IFR_Test/Admin_Client.h:

        * orbsvcs/tests/InterfaceRepo/Latency_Test/Latency_Query_Client.h:

        * orbsvcs/tests/InterfaceRepo/Persistence_Test/Ptest.h:

        * orbsvcs/tests/Interoperable_Naming/client.cpp:
        * orbsvcs/tests/Interoperable_Naming/ncontextext_client_i.h:
        * orbsvcs/tests/Interoperable_Naming/ncontextext_client_i.cpp:

        * orbsvcs/tests/Notify/Basic/AdminProperties.h:
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.h:
        * orbsvcs/tests/Notify/Basic/Events.h:
        * orbsvcs/tests/Notify/Basic/Filter.h:
        * orbsvcs/tests/Notify/Basic/IdAssignment.h:
        * orbsvcs/tests/Notify/Basic/LifeCycle.h:
        * orbsvcs/tests/Notify/Basic/MultiTypes.h:
        * orbsvcs/tests/Notify/Basic/Sequence.h:
        * orbsvcs/tests/Notify/Basic/Simple.h:
        * orbsvcs/tests/Notify/Basic/Updates.h:

        * orbsvcs/tests/Notify/Blocking/Notify_Structured_Push_Consumer.h:

        * orbsvcs/tests/Notify/Bug_2415_Regression/Notify_Push_Consumer.h:

        * orbsvcs/tests/Notify/Bug_2561_Regression/Notify_Push_Consumer.h:

        * orbsvcs/tests/Notify/Discarding/Notify_Sequence_Push_Consumer.h:
        * orbsvcs/tests/Notify/Discarding/Notify_Structured_Push_Consumer.h:

        * orbsvcs/tests/Notify/MT_Dispatching/Notify_Structured_Push_Consumer.h:

        * orbsvcs/tests/Notify/Ordering/Notify_Sequence_Push_Consumer.h:
        * orbsvcs/tests/Notify/Ordering/Notify_Structured_Push_Consumer.h:

        * orbsvcs/tests/Notify/Persistent_Filter/Filter.h:

        * orbsvcs/tests/Notify/Reconnecting/Consumer.h:
        * orbsvcs/tests/Notify/Reconnecting/Supplier.h:

        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/Notify_Sequence_Push_Consumer.h:

        * orbsvcs/tests/Notify/Sequence_Multi_Filter/Notify_Sequence_Push_Consumer.h:

        * orbsvcs/tests/Notify/Structured_Filter/Notify_Push_Consumer.h:

        * orbsvcs/tests/Notify/Structured_Multi_Filter/Notify_Push_Consumer.h:

        * orbsvcs/tests/Notify/lib/Notify_PushConsumer.h:
        * orbsvcs/tests/Notify/lib/Notify_SequencePushConsumer.h:
        * orbsvcs/tests/Notify/lib/Notify_SequencePushSupplier.h:
        * orbsvcs/tests/Notify/lib/Notify_StructuredPushConsumer.h:
        * orbsvcs/tests/Notify/lib/Notify_StructuredPushSupplier.h:
        * orbsvcs/tests/Notify/lib/Notify_Test_Client.h:
        * orbsvcs/tests/Notify/lib/common.h:

        * orbsvcs/tests/Notify/performance-tests/Filter/Notify_Sequence_Push_Consumer.h:
        * orbsvcs/tests/Notify/performance-tests/Filter/Notify_Structured_Push_Consumer.h:

        * orbsvcs/tests/Notify/performance-tests/RedGreen/RedGreen_Test.h:

        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.h:

        * orbsvcs/tests/Property/client.h:
        * orbsvcs/tests/Property/client.cpp:
        * orbsvcs/tests/Property/server.h:
        * orbsvcs/tests/Property/server.cpp:

        * orbsvcs/tests/Security/BiDirectional/test_i.h:

        * orbsvcs/tests/Security/Crash_Test/test_i.h:

        * orbsvcs/tests/Security/MT_IIOP_SSL/Client_Worker.h:
        * orbsvcs/tests/Security/MT_IIOP_SSL/test_i.h:

        * orbsvcs/tests/Security/MT_SSLIOP/Client_Worker.h:
        * orbsvcs/tests/Security/MT_SSLIOP/test_i.h:

        * orbsvcs/tests/Security/ssliop_corbaloc/client.h:
        * orbsvcs/tests/Security/ssliop_corbaloc/client.cpp:

        * orbsvcs/tests/Simple_Naming/client.h:
        * orbsvcs/tests/Simple_Naming/client.cpp:

        * orbsvcs/tests/Time/Client_i.h:

        * orbsvcs/tests/ior_corbaname/client.cpp:
        * orbsvcs/tests/ior_corbaname/ior_corbaname_client_i.h:
        * orbsvcs/tests/ior_corbaname/ior_corbaname_client_i.cpp:

        * orbsvcs/tests/tests_svc_loader/tests_svc_loader.cpp:

        * performance-tests/Anyop/anyop.cpp:

        * performance-tests/Cubit/TAO/DII_Cubit/client.cpp:

        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Client.h:
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Server.h:
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_i.h:
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_i.cpp:
        * performance-tests/Cubit/TAO/IDL_Cubit/RTI_IO.h:

        * performance-tests/Cubit/TAO/MT_Cubit/Cubit_Task.h:
        * performance-tests/Cubit/TAO/MT_Cubit/Globals.h:
        * performance-tests/Cubit/TAO/MT_Cubit/Task_Client.h:
        * performance-tests/Cubit/TAO/MT_Cubit/Timer.h:
        * performance-tests/Cubit/TAO/MT_Cubit/Util_Thread.h:
        * performance-tests/Cubit/TAO/MT_Cubit/client.h:
        * performance-tests/Cubit/TAO/MT_Cubit/cubit_i.h:
        * performance-tests/Cubit/TAO/MT_Cubit/server.h:
        * performance-tests/Cubit/TAO/MT_Cubit/server.cpp:

        * performance-tests/POA/Demux/client.cpp:
        * performance-tests/POA/Demux/demux_stats.cpp:
        * performance-tests/POA/Demux/demux_test_client.h:
        * performance-tests/POA/Demux/demux_test_client.cpp:
        * performance-tests/POA/Demux/demux_test_macros.h:
        * performance-tests/POA/Demux/demux_test_server.h:
        * performance-tests/POA/Demux/demux_test_server.cpp:
        * performance-tests/POA/Demux/server.cpp:

        * performance-tests/POA/Object_Creation_And_Registration/registration.cpp:

        * performance-tests/Pluggable/PP_Test_Client.h:
        * performance-tests/Pluggable/PP_Test_Server.h:
        * performance-tests/Pluggable/PP_Test_i.h:
        * performance-tests/Pluggable/PP_Test_i.cpp:

        * performance-tests/RTCorba/Multiple_Endpoints/Common/test_i.h:

        * performance-tests/RTCorba/Oneways/Reliable/test_i.h:

        * tao/IORManipulation/IORManip_Filter.h:
        * tao/IORManipulation/IORManip_IIOP_Filter.h:

        * tests/AMI_Timeouts/timeout_client.h:
        * tests/AMI_Timeouts/timeout_i.h:
        * tests/AMI_Timeouts/timeout_i.cpp:

        * tests/Alt_Mapping/alt_mapping_i.h:
        * tests/Alt_Mapping/alt_mapping_i.cpp:
        * tests/Alt_Mapping/client.h:
        * tests/Alt_Mapping/client.cpp:
        * tests/Alt_Mapping/driver.h:
        * tests/Alt_Mapping/driver.cpp:
        * tests/Alt_Mapping/helper.h:
        * tests/Alt_Mapping/helper.cpp:
        * tests/Alt_Mapping/options.h:
        * tests/Alt_Mapping/options.cpp:
        * tests/Alt_Mapping/results.h:
        * tests/Alt_Mapping/results.cpp:
        * tests/Alt_Mapping/server.cpp:
        * tests/Alt_Mapping/tests.h:
        * tests/Alt_Mapping/ub_string.h:
        * tests/Alt_Mapping/ub_string.cpp:
        * tests/Alt_Mapping/ub_struct_seq.h:
        * tests/Alt_Mapping/ub_struct_seq.cpp:

        * tests/BiDirectional/test_i.h:

        * tests/BiDirectional_DelayedUpcall/test_i.h:

        * tests/BiDirectional_MultipleORB/destroy.cpp:

        * tests/BiDirectional_NestedUpcall/test_i.h:

        * tests/Bug_2174_Regression/test_i.h:

        * tests/Bug_2734_Regression/test_i.h:

        * tests/Bug_2935_Regression/middle_i.h:
        * tests/Bug_2935_Regression/sink_i.h:
        * tests/Bug_2935_Regression/source_i.h:

        * tests/Bug_3068_Regression/test_i.h:

        * tests/Bug_3683_Regression/Echo_Client_i.h:
        * tests/Bug_3683_Regression/Echo_i.h:
        * tests/Bug_3683_Regression/Simple_util.h:

        * tests/CDR/alignment.cpp:
        * tests/CDR/allocator.cpp:
        * tests/CDR/basic_types.cpp:
        * tests/CDR/growth.cpp:
        * tests/CDR/octet_sequence.cpp:
        * tests/CDR/tc.cpp:

        * tests/CSD_Collocation/Collocation_Tester.h:

        * tests/CodeSets/libs/IBM1047_ISO8859/Char_IBM1047_ISO8859_Factory.h:
        * tests/CodeSets/libs/IBM1047_ISO8859/Char_IBM1047_ISO8859_Factory.cpp:
        * tests/CodeSets/libs/IBM1047_ISO8859/Char_IBM1047_ISO8859_Translator.cpp:
        * tests/CodeSets/libs/IBM1047_ISO8859/Wchar_IBM1047_ISO8859_Factory.h:
        * tests/CodeSets/libs/IBM1047_ISO8859/Wchar_IBM1047_ISO8859_Factory.cpp:
        * tests/CodeSets/libs/IBM1047_ISO8859/Wchar_IBM1047_ISO8859_Translator.cpp:

        * tests/CodeSets/libs/UCS4_UTF16/WUCS4_UTF16.cpp:

        * tests/CodeSets/libs/UTF16_UCS2/UTF16_UCS2_Factory.h:
        * tests/CodeSets/libs/UTF16_UCS2/UTF16_UCS2_Factory.cpp:
        * tests/CodeSets/libs/UTF16_UCS2/UTF16_UCS2_Translator.cpp:

        * tests/CodeSets/simple/client.cpp:
        * tests/CodeSets/simple/server.cpp:

        * tests/Collocation/Collocation_Tester.h:

        * tests/DIOP/UDP_Client_i.h:
        * tests/DIOP/UDP_i.h:
        * tests/DIOP/client.cpp:
        * tests/DIOP/server.cpp:

        * tests/DSI_AMI_Gateway/test_dsi.h:
        * tests/DSI_AMI_Gateway/test_i.h:

        * tests/DSI_Gateway/test_dsi.h:
        * tests/DSI_Gateway/test_i.h:

        * tests/Explicit_Event_Loop/client.cpp:
        * tests/Explicit_Event_Loop/server.h:
        * tests/Explicit_Event_Loop/server.cpp:

        * tests/Exposed_Policies/Counter_i.h:
        * tests/Exposed_Policies/Policy_Tester.h:
        * tests/Exposed_Policies/Policy_Verifier.h:
        * tests/Exposed_Policies/RT_Properties.h:

        * tests/FL_Cube/test_i.h:

        * tests/Faults/ping_i.h:
        * tests/Faults/test_i.h:

        * tests/File_IO/File_i.h:
        * tests/File_IO/File_i.cpp:
        * tests/File_IO/client.cpp:

        * tests/ForwardOnceUponException/test_i.h:

        * tests/ForwardUponObjectNotExist/test_i.h:

        * tests/Forwarding/test_i.h:

        * tests/IDL_Test/main.cpp:

        * tests/InterOp-Naming/INS_i.h:
        * tests/InterOp-Naming/Server_i.h:

        * tests/Leader_Followers/client.cpp:
        * tests/Leader_Followers/test_i.h:

        * tests/MProfile/test_i.h:

        * tests/MProfile_Connection_Timeout/test_i.h:

        * tests/MProfile_Forwarding/Servant_Locator.h:
        * tests/MProfile_Forwarding/Servant_Locator.cpp:
        * tests/MProfile_Forwarding/test_i.h:

        * tests/MT_Client/test_i.h:

        * tests/MT_Server/test_i.h:

        * tests/Multiple/Collocation_Tester.h:
        * tests/Multiple/Multiple_Impl.h:

        * tests/Multiple_Inheritance/client.cpp:

        * tests/Muxed_GIOP_Versions/test_i.h:

        * tests/Native_Exceptions/test_i.h:

        * tests/NestedUpcall/MT_Client_Test/MT_Object_i.h:
        * tests/NestedUpcall/MT_Client_Test/MT_Object_i.cpp:
        * tests/NestedUpcall/MT_Client_Test/client.h:
        * tests/NestedUpcall/MT_Client_Test/client.cpp:
        * tests/NestedUpcall/MT_Client_Test/local_server.h:
        * tests/NestedUpcall/MT_Client_Test/local_server.cpp:
        * tests/NestedUpcall/MT_Client_Test/server.h:
        * tests/NestedUpcall/MT_Client_Test/server.cpp:

        * tests/NestedUpcall/Triangle_Test/Initiator_i.h:
        * tests/NestedUpcall/Triangle_Test/Initiator_i.cpp:
        * tests/NestedUpcall/Triangle_Test/Object_A_i.h:
        * tests/NestedUpcall/Triangle_Test/Object_A_i.cpp:
        * tests/NestedUpcall/Triangle_Test/Object_B_i.h:
        * tests/NestedUpcall/Triangle_Test/Object_B_i.cpp:
        * tests/NestedUpcall/Triangle_Test/initiator.h:
        * tests/NestedUpcall/Triangle_Test/initiator.cpp:
        * tests/NestedUpcall/Triangle_Test/server_A.h:
        * tests/NestedUpcall/Triangle_Test/server_A.cpp:
        * tests/NestedUpcall/Triangle_Test/server_B.h:
        * tests/NestedUpcall/Triangle_Test/server_B.cpp:

        * tests/OBV/Any/AnyS_impl.h:

        * tests/OBV/Collocated/Forward/Test_impl.h:

        * tests/OBV/Factory/FactoryS_impl.h:

        * tests/OBV/Forward/Test_impl.h:

        * tests/OBV/Simple/Client_i.h:
        * tests/OBV/Simple/Server_i.h:
        * tests/OBV/Simple/Simple_util.h:

        * tests/OBV/TC_Alignment/test_i.h:

        * tests/OBV/Truncatable/TruncatableS_impl.h:

        * tests/OBV/ValueBox/Test_impl.h:

        * tests/ORB_destroy/ORB_destroy.cpp:

        * tests/Object_Loader/Loader.h:
        * tests/Object_Loader/Test_i.h:

        * tests/OctetSeq/OctetSeq.cpp:
        * tests/OctetSeq/test_i.h:

        * tests/POA/Adapter_Activator/server.cpp:

        * tests/POA/Bug_2511_Regression/server.cpp:

        * tests/POA/Current/Current.cpp:

        * tests/POA/DSI/client.cpp:
        * tests/POA/DSI/server.cpp:

        * tests/POA/Default_Servant/Default_Servant.cpp:

        * tests/POA/Default_Servant2/File_i.h:
        * tests/POA/Default_Servant2/File_i.cpp:
        * tests/POA/Default_Servant2/client.cpp:
        * tests/POA/Default_Servant2/server.cpp:

        * tests/POA/Etherealization/Etherealization.cpp:

        * tests/POA/Excessive_Object_Deactivations/Excessive_Object_Deactivations.cpp:

        * tests/POA/Explicit_Activation/server.cpp:

        * tests/POA/FindPOA/FindPOA.cpp:

        * tests/POA/Forwarding/Servant_Activator.h:
        * tests/POA/Forwarding/client.cpp:
        * tests/POA/Forwarding/server.cpp:
        * tests/POA/Forwarding/test_i.h:

        * tests/POA/Generic_Servant/test_i.h:

        * tests/POA/Identity/Identity.cpp:

        * tests/POA/Loader/Servant_Activator.h:
        * tests/POA/Loader/Servant_Activator.cpp:
        * tests/POA/Loader/Servant_Locator.h:
        * tests/POA/Loader/Servant_Locator.cpp:
        * tests/POA/Loader/Server_Manager.h:
        * tests/POA/Loader/server.cpp:

        * tests/POA/MT_Servant_Locator/MT_Servant_Locator.cpp:

        * tests/POA/Nested_Non_Servant_Upcalls/Nested_Non_Servant_Upcalls.cpp:

        * tests/POA/NewPOA/NewPOA.cpp:

        * tests/POA/Non_Servant_Upcalls/Non_Servant_Upcalls.cpp:

        * tests/POA/Object_Reactivation/Object_Reactivation.cpp:

        * tests/POA/On_Demand_Activation/Servant_Activator.h:
        * tests/POA/On_Demand_Activation/Servant_Activator.cpp:
        * tests/POA/On_Demand_Activation/Servant_Locator.h:
        * tests/POA/On_Demand_Activation/Servant_Locator.cpp:
        * tests/POA/On_Demand_Activation/server.cpp:

        * tests/POA/On_Demand_Loading/Servant_Activator.h:
        * tests/POA/On_Demand_Loading/Servant_Activator.cpp:
        * tests/POA/On_Demand_Loading/Servant_Locator.h:
        * tests/POA/On_Demand_Loading/Servant_Locator.cpp:
        * tests/POA/On_Demand_Loading/Servant_Manager.h:
        * tests/POA/On_Demand_Loading/Servant_Manager.cpp:
        * tests/POA/On_Demand_Loading/Server_Manager.h:
        * tests/POA/On_Demand_Loading/server.cpp:

        * tests/POA/POAManagerFactory/POAManagerFactory.cpp:

        * tests/POA/POA_BiDir/POA_BiDir.cpp:

        * tests/POA/POA_Destruction/POA_Destruction.cpp:

        * tests/POA/Persistent_ID/client.cpp:
        * tests/POA/Persistent_ID/server.cpp:

        * tests/POA/Policies/Policies.cpp:

        * tests/POA/Reference_Counted_Servant/server.cpp:

        * tests/POA/RootPOA/RootPOA.cpp:

        * tests/POA/Single_Threaded_POA/Single_Threaded_POA.cpp:

        * tests/POA/TIE/client.cpp:
        * tests/POA/TIE/server.cpp:
        * tests/POA/TIE/test_i.h:
        * tests/POA/TIE/test_i.cpp:

        * tests/POA/wait_for_completion/wait_for_completion.cpp:

        * tests/Param_Test/any.h:
        * tests/Param_Test/any.cpp:
        * tests/Param_Test/anyop.cpp:
        * tests/Param_Test/bd_array_seq.h:
        * tests/Param_Test/bd_array_seq.cpp:
        * tests/Param_Test/bd_long_seq.h:
        * tests/Param_Test/bd_long_seq.cpp:
        * tests/Param_Test/bd_short_seq.h:
        * tests/Param_Test/bd_short_seq.cpp:
        * tests/Param_Test/bd_str_seq.h:
        * tests/Param_Test/bd_str_seq.cpp:
        * tests/Param_Test/bd_string.h:
        * tests/Param_Test/bd_string.cpp:
        * tests/Param_Test/bd_struct_seq.h:
        * tests/Param_Test/bd_struct_seq.cpp:
        * tests/Param_Test/bd_wstr_seq.h:
        * tests/Param_Test/bd_wstr_seq.cpp:
        * tests/Param_Test/bd_wstring.h:
        * tests/Param_Test/bd_wstring.cpp:
        * tests/Param_Test/big_union.h:
        * tests/Param_Test/big_union.cpp:
        * tests/Param_Test/client.h:
        * tests/Param_Test/client.cpp:
        * tests/Param_Test/complex_any.h:
        * tests/Param_Test/complex_any.cpp:
        * tests/Param_Test/driver.h:
        * tests/Param_Test/driver.cpp:
        * tests/Param_Test/except.h:
        * tests/Param_Test/except.cpp:
        * tests/Param_Test/fixed_array.h:
        * tests/Param_Test/fixed_array.cpp:
        * tests/Param_Test/fixed_struct.h:
        * tests/Param_Test/fixed_struct.cpp:
        * tests/Param_Test/helper.h:
        * tests/Param_Test/helper.cpp:
        * tests/Param_Test/multdim_array.h:
        * tests/Param_Test/multdim_array.cpp:
        * tests/Param_Test/nested_struct.h:
        * tests/Param_Test/nested_struct.cpp:
        * tests/Param_Test/objref.h:
        * tests/Param_Test/objref.cpp:
        * tests/Param_Test/objref_struct.h:
        * tests/Param_Test/objref_struct.cpp:
        * tests/Param_Test/options.h:
        * tests/Param_Test/options.cpp:
        * tests/Param_Test/param_test_i.h:
        * tests/Param_Test/param_test_i.cpp:
        * tests/Param_Test/recursive_struct.h:
        * tests/Param_Test/recursive_struct.cpp:
        * tests/Param_Test/recursive_union.h:
        * tests/Param_Test/recursive_union.cpp:
        * tests/Param_Test/results.h:
        * tests/Param_Test/results.cpp:
        * tests/Param_Test/server.cpp:
        * tests/Param_Test/short.h:
        * tests/Param_Test/short.cpp:
        * tests/Param_Test/small_union.h:
        * tests/Param_Test/small_union.cpp:
        * tests/Param_Test/tests.h:
        * tests/Param_Test/typecode.h:
        * tests/Param_Test/typecode.cpp:
        * tests/Param_Test/ub_any_seq.h:
        * tests/Param_Test/ub_any_seq.cpp:
        * tests/Param_Test/ub_array_seq.h:
        * tests/Param_Test/ub_array_seq.cpp:
        * tests/Param_Test/ub_long_seq.h:
        * tests/Param_Test/ub_long_seq.cpp:
        * tests/Param_Test/ub_objref_seq.h:
        * tests/Param_Test/ub_objref_seq.cpp:
        * tests/Param_Test/ub_short_seq.h:
        * tests/Param_Test/ub_short_seq.cpp:
        * tests/Param_Test/ub_str_seq.h:
        * tests/Param_Test/ub_str_seq.cpp:
        * tests/Param_Test/ub_string.h:
        * tests/Param_Test/ub_string.cpp:
        * tests/Param_Test/ub_struct_seq.h:
        * tests/Param_Test/ub_struct_seq.cpp:
        * tests/Param_Test/ub_wstr_seq.h:
        * tests/Param_Test/ub_wstr_seq.cpp:
        * tests/Param_Test/ub_wstring.h:
        * tests/Param_Test/ub_wstring.cpp:
        * tests/Param_Test/ulonglong.h:
        * tests/Param_Test/ulonglong.cpp:
        * tests/Param_Test/var_array.h:
        * tests/Param_Test/var_array.cpp:
        * tests/Param_Test/var_struct.h:
        * tests/Param_Test/var_struct.cpp:

        * tests/Portable_Interceptors/Benchmark/test_i.h:

        * tests/Portable_Interceptors/Collocated/Dynamic/test_i.h:

        * tests/Portable_Interceptors/Processing_Mode_Policy/Collocated/test_i.h:

        * tests/Portable_Interceptors/Processing_Mode_Policy/Remote/test_i.h:

        * tests/QtTests/client.h:
        * tests/QtTests/test_i.h:

        * tests/RTCORBA/Diffserv/Custom_Network_Priority_Mapping.h:

        * tests/RTCORBA/Policies/Policies.cpp:

        * tests/RTCORBA/Profile_And_Endpoint_Selection/client.cpp:

        * tests/Single_Read/test_i.h:

        * tests/Smart_Proxies/Benchmark/client.cpp:
        * tests/Smart_Proxies/Benchmark/server.cpp:

        * tests/Smart_Proxies/On_Demand/client.cpp:
        * tests/Smart_Proxies/On_Demand/server.cpp:

        * tests/Smart_Proxies/Policy/client.cpp:
        * tests/Smart_Proxies/Policy/server.cpp:

        * tests/Smart_Proxies/client.cpp:
        * tests/Smart_Proxies/server.cpp:

        * tests/Strategies/simple_test_i.h:

        * tests/Timed_Buffered_Oneways/client.cpp:
        * tests/Timed_Buffered_Oneways/test_i.h:

        * tests/Timeout/test_i.h:

        * tests/Xt_Stopwatch/Client.h:
        * tests/Xt_Stopwatch/Control.h:
        * tests/Xt_Stopwatch/Stopwatch_display.h:
        * tests/Xt_Stopwatch/test_i.h:
        * tests/Xt_Stopwatch/timer.h:

        * utils/catior/Catior_i.h:
        * utils/catior/Catior_i.cpp:

        * utils/nslist/nsadd.cpp:
        * utils/nslist/nsdel.cpp:

Fri Mar 25 15:32:09 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * DevGuideExamples/Messaging/AMIcallback/AMIcallback.mpc:
        * orbsvcs/DevGuideExamples/EventServices/OMG_TypedEC/OMG_TypedEC.mpc:
        * orbsvcs/DevGuideExamples/Security/ParticipatingApp/ParticipatingApp.mpc:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/PolicyControllingApp.mpc:
        * orbsvcs/DevGuideExamples/Security/SecurityUnawareApp/SecurityUnawareApp.mpc:

          Added "after" statements to enable correct parallel builds.

        * DevGuideExamples/PortableInterceptors/IOR/ServerIORInterceptor.cpp:

          Fixed 64-bit warnings.

Wed Mar 23 03:29:21 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/Log.cpp:
        * utils/logWalker/Session.cpp:
        * utils/logWalker/Thread.cpp:

          Unfuzzing.

Tue Mar 22 22:09:09 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/Invocation.cpp:
        * utils/logWalker/Log.h:
        * utils/logWalker/Log.cpp:
        * utils/logWalker/README:
        * utils/logWalker/Session.h:
        * utils/logWalker/Session.cpp:
        * utils/logWalker/Thread.h:
        * utils/logWalker/Thread.cpp:
        * utils/logWalker/logWalker.cpp:

          Incremental improvements to the log walker utility, mostly in
          error reporting, also with thread encounter tracking, and source
          identification.

Tue Mar 22 21:40:44 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * utils/catior/Catior_i.h:
        * utils/catior/Catior_i.cpp:

          Add the parsing of TAG_MULTIPLE_COMPONENTS which is still used
          by some ORBs. Also add the detection of ORB type JacORB to help
          with the identification of IORs in a heterogeneous environment.

Tue Mar 22 14:31:19 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * tests/Bug_3942_Regression/Bug_3942_Regression.cpp:

          Fuzz fixes and avoid compiler errors, even though they are
          indicative of bugs in TAO.  At least one compiler accepts the
          code and we can use the runtime failures on that compiler.

Mon Mar 21 18:15:12 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Stub.inl:
        * tao/Stub.cpp:
          Moved refcount manipulate methods inline

Mon Mar 21 17:27:15 UTC 2011  Adam Mitz  <mitza@ociweb.com>

        * bin/tao_orb_tests.lst:
        * tests/Bug_3942_Regression/Bug_3942_Regression.cpp:
        * tests/Bug_3942_Regression/Bug_3942_Regression.mpc:
        * tests/Bug_3942_Regression/Foo.idl:
        * tests/Bug_3942_Regression/run_test.pl:

          Adding regression test for bug 3942, not yet fixed.

Mon Mar 21 10:34:42 UTC 2011  Martin Corino  <corino_m@remedy.nl>

        * tao/DynamicInterface/Server_Request.cpp:

          Fixed typo in fix for deffered_reply() check.

Sun Mar 20 13:45:05 UTC 2011  Martin Corino  <corino_m@remedy.nl>

        * tao/DynamicInterface/Server_Request.cpp:
          Fixed problem with handling GIOP::LocateRequest type requests.
          For this type of request the incoming CDR stream does not exist
          and the reply should be deferred.

Fri Mar 18 19:52:21 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * tao/IIOP_Connector.cpp:
        * tao/Transport_Connector.h:
        * tao/Transport_Connector.cpp:

          Fix for the parallel connect strategy. While processing a list
          of endpoints, it is possible that one successfully connects
          quickly enough that the rest of the list does not need to be
          evaluated. In that case, the cleanup logic was not being
          evaluated, leaving the base connector to hold on to stale
          nonblocking connection handlers. At best these are unused
          objects that linger until the connector is shutdown, and at
          worst they can eventually connect, leading to unnecessary
          network resource consumption.

Thu Mar 17 09:55:03 UTC 2011  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/FtRtEvent/Utils/UUID.cpp:
          Fixes due to ACE rand_r() changes.

Thu Mar 17 09:45:43 UTC 2011  Olli Savia  <ops@iki.fi>

        * orbsvcs/tests/EC_Mcast/EC_Mcast.h:
        * orbsvcs/tests/EC_Mcast/EC_Mcast.cpp:
          Fixes due to ACE rand_r() changes.

Thu Mar 17 09:43:12 UTC 2011  Olli Savia  <ops@iki.fi>

        * orbsvcs/tests/Event/Basic/Observer.h:
        * orbsvcs/tests/Event/Basic/Observer.cpp:
          Fixes due to ACE rand_r() changes.

Thu Mar 17 09:36:47 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/OctetSeq/client.cpp:
          Fixes due to ACE rand_r() changes.

Thu Mar 17 09:35:07 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/Policies/Manipulation.cpp:
          Fixes due to ACE rand_r() changes.

Thu Mar 17 09:32:45 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/Nested_Upcall_Crash/Server_Peer.h:
        * tests/Nested_Upcall_Crash/Server_Peer.cpp:
        * tests/Nested_Upcall_Crash/server.cpp:
          Fixes due to ACE rand_r() changes.

Thu Mar 17 09:29:59 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/CDR/allocator.cpp:
          Fixes due to ACE rand_r() changes.

Thu Mar 17 08:19:02 UTC 2011  Olli Savia  <ops@iki.fi>

        * TAO_IDL/be/be_codegen.cpp:
          More fixes due to ACE rand_r() changes.

Thu Mar 17 08:12:47 UTC 2011  Olli Savia  <ops@iki.fi>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_interface.cpp:
          Fixes due to ACE rand_r() changes.

Wed Mar 16 06:27:59 UTC 2011  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/LoadBalancing/LB_Random.cpp:
        * orbsvcs/tests/EC_Multiple/EC_Multiple.cpp:
          Check features against ACE_HAS_PTHREADS instead of
          ACE_HAS_PTHREADS_STD.

Mon Mar 14 20:17:48 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tests/RTCORBA/Priority_Inversion_With_Bands/server.cpp:
        * tests/RTCORBA/Bug_3643_Regression/server.cpp:
        * tests/RTCORBA/Thread_Pool/server.cpp:
        * tests/RTCORBA/Dynamic_Thread_Pool/server.cpp:
          Fixed compile warnings from incorrect use of ACE_TCHAR* type in
          printf in wchar builds.

Sun Mar 13 10:00:13 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * orbsvcs/orbsvcs/Log/Hash_LogRecordStore.cpp:
        * orbsvcs/orbsvcs/AV/AVStreams_i.cpp:
        * orbsvcs/tests/Bug_2800_Regression/nsmain.cpp:
        * orbsvcs/tests/Miop/McastHello/server.cpp:
        * orbsvcs/tests/Bug_3673_Regression/nsmain.cpp:
        * orbsvcs/tests/Notify/lib/Task_Stats.cpp:
        * orbsvcs/tests/Notify/Reconnecting/Supplier.cpp:
        * orbsvcs/tests/FT_App/FT_Client.cpp:
        * orbsvcs/tests/FT_App/StubFaultNotifier.cpp:
        * orbsvcs/tests/FT_App/StubFaultAnalyzer.cpp:
        * tao/HTTP_Handler.cpp:
        * performance-tests/Cubit/TAO/MT_Cubit/server.cpp:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/client.cpp:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/server.cpp:
        * examples/Kokyu_dsrt_schedulers/Task_Stats.cpp:
        * examples/RTScheduling/Task_Stats.cpp:
        * examples/RTCORBA/Activity/Task_Stats.cpp:
          Fixed compile warnings from incorrect use of ACE_TCHAR* type in
          printf in wchar builds.

Fri Mar 11 20:31:17 UTC 2011  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.cpp:
        * orbsvcs/tests/EC_Custom_Marshal/ECM_Consumer.cpp:
          Removed tabs

Fri Mar 11 14:11:54 UTC 2011  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.cpp:
          Fix for previous commit. Use ACE::is_inequal().

Fri Mar 11 14:04:14 UTC 2011  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.cpp:
        * orbsvcs/tests/EC_Custom_Marshal/ECM_Consumer.cpp:
          Use ACE::is_equal() to compare floating point values.

Thu Mar 10 13:08:17 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
        * tao/Stub.h:
        * tao/Stub.inl:
        * tao/Stub.cpp:
          Made the profile_lock now a regular member mutex

Thu Mar 10 11:41:05 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Stub.h:
          Doxygen changes

        * tao/Stub.cpp:
          Explicitly retrieve the client_strategy factory in the constructor in
          order to force a load of it at this point. Not doing it here leads
          to the situation in the ImR combined example that we want to load
          it later and than get a deadlock

Thu Mar 10 11:26:47 UTC 2011  Olli Savia  <ops@iki.fi>

        * tao/ZIOP/ZIOP.cpp:
          Use ACE::is_equal() to compare floating point values.

Thu Mar 10 10:54:34 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * TAO_IDL/be/be_interface.cpp:
        * examples/RTScheduling/DT_Creator.cpp:
          Added casts to types expected by printf format.

Wed Mar  9 14:55:12 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Server_Strategy_Factory.h:
        * tao/Server_Strategy_Factory.cpp:
          Made all methods except the destructor pure virtual, this is an
          abstract base class

Wed Mar  9 14:27:31 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Client_Strategy_Factory.h:
        * tao/Client_Strategy_Factory.cpp:
          Made all methods except the destructor pure virtual, this is an
          abstract base class

Wed Mar  9 10:48:48 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tao/GIOP_Message_Base.cpp:
        * TAO_IDL/be/be_visitor_arg_traits.cpp:
        * TAO_IDL/be/be_visitor_array/array_ci.cpp:
        * TAO_IDL/be/be_sequence.cpp:
        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
          Changed my previous fix to these files. That change was too shallow.

        * orbsvcs/orbsvcs/Notify/XML_Saver.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_Object_Group_Manipulator.cpp:
        * orbsvcs/orbsvcs/Scheduler_Factory.cpp:
        * orbsvcs/tests/Notify/lib/Task_Stats.cpp:
        * orbsvcs/tests/FT_App/FT_Client.cpp:
        * orbsvcs/tests/FT_App/FT_Creator.cpp:
        * orbsvcs/tests/FT_App/FT_Creator.h:
        * utils/catior/Catior_i.cpp:
        * utils/logWalker/HostProcess.cpp:
        * utils/logWalker/Log.cpp:
          Fixed use of types for printf format.

Mon Mar  7 16:19:40 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * orbsvcs/orbsvcs/PortableGroup/UIPMC_Profile.cpp:
        * tao/GIOP_Message_Base.cpp:
        * TAO_IDL/be/be_visitor_arg_traits.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_visitor_array/array_ci.cpp:
        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be_include/be_helper.h:
          Fixed warnings from incorrect use of printf format.

Mon Mar  7 09:44:39 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp:
          Fixed leaks in ACE_SSL library. This is a part of the fix
          for bug#3418.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Accept_Strategy.cpp:
          Fixed other leaks in TAO_SSLIOP that I found during the work
          on bug#3418.

        * orbsvcs/tests/Security/Bug_1107_Regression/Bug_1107_Regression.mpc:
        * orbsvcs/tests/Security/Big_Request/Big_Request.mpc:
          Removed unnecessary libraries from dependencies.

        * orbsvcs/tests/Security/InsecureReferences/test.cpp:
        * orbsvcs/tests/Security/MT_IIOP_SSL/server.cpp:
        * orbsvcs/tests/Security/Bug_1107_Regression/client.cpp:
        * orbsvcs/tests/Security/Crash_Test/server.cpp:
        * orbsvcs/tests/Security/ssliop_CSD/MessengerClient.cpp:
        * orbsvcs/tests/Security/BiDirectional/client.cpp:
        * orbsvcs/tests/Security/BiDirectional/server.cpp:
        * orbsvcs/tests/Security/MT_SSLIOP/server.cpp:
        * orbsvcs/tests/Security/Big_Request/client.cpp:
          Fixed memory leaks local to these tests.

        * orbsvcs/tests/Security/Crash_Test/run_test.pl:
        * bin/tao_other_tests.lst:
          Extended the test script so that it supports now QUICK config.
          This test could run for a very long time which is not necessary
          in setups like valgrind.

Mon Mar  7 09:32:12 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Client_Strategy_Factory.h:
        * tao/Client_Strategy_Factory.cpp:
        * tao/ORB_Core.h:
        * tao/PortableServer/Non_Servant_Upcall.cpp:
        * tao/PortableServer/Object_Adapter.h:
        * tao/PortableServer/Object_Adapter.inl:
        * tao/PortableServer/Object_Adapter.cpp:
        * tao/PortableServer/Root_POA.h:
        * tao/PortableServer/Root_POA.inl:
        * tao/PortableServer/Root_POA.cpp:
        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
        * tao/PortableServer/Servant_Upcall.cpp:
        * tao/Resource_Factory.h:
        * tao/Resource_Factory.cpp:
        * tao/Server_Strategy_Factory.h:
        * tao/Server_Strategy_Factory.cpp:
        * tao/Stub.cpp:
        * tao/Transport_Mux_Strategy.h:
        * tao/default_client.h:
        * tao/default_client.cpp:
        * tao/default_resource.h:
        * tao/default_resource.cpp:
        * tao/default_server.h:
        * tao/default_server.cpp:
        * tao/tao.mpc:
          Reapplied the changes reverted on Mon Feb 14 10:44:30

        * tao/Configurable_Refcount.h:
        * tao/Configurable_Refcount.inl:
        * tao/Configurable_Refcount.cpp:
          Removed these files.

Mon Mar  7 09:10:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
        * tao/Stub.h:
        * tao/Stub.inl:
        * tao/Stub.cpp:
          ImR example again broke, need to sort this out later

Sun Mar  6 10:07:28 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
        * tao/Stub.h:
        * tao/Stub.inl:
        * tao/Stub.cpp:
          Reworked simplication of the stub

Fri Mar  4 18:04:31 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/IDL_Test.mpc:
        * tests/IDL_Test/anyunion.idl:
        * tests/IDL_Test/union.idl:
          Moved union with any member to its own file and don't compile that
          file with RTI DDS

Fri Mar  4 09:38:08 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
          Reverted changes related to Stub.*, these changes break the ImR
          example

        * tao/Stub.h:
        * tao/Stub.inl:
        * tao/Stub.cpp:
          Reverted, these changes break the ImR example

        * tests/Client_Leaks/README:
        * tests/Client_Leaks/child.cpp:
        * tests/Client_Leaks/server.cpp:
          Initialize pointers to 0

Wed Mar  2 19:22:23 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
        * tao/Stub.h:
        * tao/Stub.inl:
        * tao/Stub.cpp:
          Applied changes reverted on Mon Feb 14, didn't break the ImR example

Wed Mar  2 16:02:01 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tao/Synch_Queued_Message.cpp:
          Fixed leak of contents in synch queued message. Thanks to
          Chris Galli <christian dot galli at gmail dot com> for providing
          this fix. It fixes bug#3825.

        * tests/Big_Oneways/server.cpp:
        * tests/Big_Oneways/Session.cpp:
        * tests/Big_Oneways/Coordinator.cpp:
          Fixed leaks local to this test.

Wed Mar  2 14:50:02 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * TAO_IDL/include/ast_home.h:
        * TAO_IDL/ast/ast_home.cpp:
          Added a function that transfers elements from home to interface and
          zeros those elements in home. This is necessary for correct cleanup.

        * TAO_IDL/be/be_visitor_xplicit_pre_proc.cpp:
          Added copying of exception list for operations defined in home
          when it needs to create an Explicit interface. This is also for
          cleanup.

Mon Feb 28 14:31:52 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * TAO_IDL/ast/ast_home.cpp:
        * TAO_IDL/ast/ast_valuetype_fwd.cpp:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:
          Fixed memory leaks in tao_idl.

Sat Feb 26 14:24:07 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * MPC/config/pi.mpb:

          Reverting the earlier change. There are some libraries that
          partially depend on PI, and so they can tolerate not having
          interceptors and still function. For example TAO_Strategies.

Sat Feb 26 03:27:16 UTC 2011  Phil Mesnier  <mesnier_p@ociweb.com>

        * MPC/config/endpointpolicy.mpb:
        * MPC/config/pi.mpb:

          Ensure that projects that depend on these do not get built in
          minimim, compact, or micro configurations.

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:

          Do not attept to run the tests that don't get built by the above
          build restrictions.

Wed Feb 23 10:34:17 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tao/Connector_Impl.cpp:
        * tao/IIOP_Connector.cpp:
        * tao/IIOP_Connector.h:
        * tao/Strategies/UIOP_Connector.cpp:
        * tao/Strategies/SHMIOP_Connector.h:
        * tao/Strategies/UIOP_Connector.h:
        * tao/Strategies/SCIOP_Connector.h:
        * tao/Strategies/SHMIOP_Connector.cpp:
        * tao/Strategies/SCIOP_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.h:
        * orbsvcs/orbsvcs/SSLIOP/IIOP_SSL_Connector.cpp:
          Fixed use of ACE default reactor on the client side. TAO has own
          reactor associated with ORB which can be used instead of the default
          one.

Thu Feb 17 15:21:30 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tao/PortableServer/Active_Object_Map.cpp:
          Another change to almost the same code. Now I found memory leaks
          during logging.

Tue Feb 16 11:15:00 UTC 2011  Simon Massey  <simon dot massey at prismtech dot com>

        * orbsvcs/ImplRepo_Service/ImR_Locator_i.cpp:
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:
          Initalise instance of enum ActivationMode when first
          created, otherwise rubbish value gets marshaled.

Tue Feb 15 13:53:16 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tao/PortableServer/Active_Object_Map.cpp:
          Fixed unsafe code that crashes server if servant is 0. It's visible
          only when debug logging is on.

Mon Feb 14 12:23:53 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Messaging/AMH_Response_Handler.cpp:
        * tao/Object.h:
        * tao/Object.inl:
        * tao/Object.cpp:
          Committed back these files, also didn't break ImR

Mon Feb 14 12:03:02 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Refcounted_ObjectKey.inl:
        * tao/Refcounted_ObjectKey.cpp:
          Committed back these files, also didn't break ImR

Mon Feb 14 11:47:38 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/IORTable/Table_Adapter.h:
        * tao/IORTable/Table_Adapter.cpp:
          Committed back these files, also didn't break ImR

Mon Feb 14 11:32:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Valuetype/AbstractBase.h:
        * tao/Valuetype/AbstractBase.cpp:
          Committed back these files, also didn't break ImR

Mon Feb 14 11:18:49 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Profile.h:
        * tao/Profile.inl:
        * tao/Profile.cpp:
          Committed back these files, also didn't break ImR

Mon Feb 14 11:04:26 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ORB_Core.cpp:
        * tao/ObjectKey_Table.h:
        * tao/ObjectKey_Table.inl:
        * tao/ObjectKey_Table.cpp:
          Reapplied changes, didn't break ImR example

Mon Feb 14 10:44:30 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
        * tao/Client_Strategy_Factory.h:
        * tao/Client_Strategy_Factory.cpp:
        * tao/Configurable_Refcount.h:
        * tao/Configurable_Refcount.inl:
        * tao/Configurable_Refcount.cpp:
        * tao/IORTable/Table_Adapter.h:
        * tao/IORTable/Table_Adapter.cpp:
        * tao/Messaging/AMH_Response_Handler.cpp:
        * tao/ORB_Core.h:
        * tao/ORB_Core.cpp:
        * tao/Object.h:
        * tao/Object.inl:
        * tao/Object.cpp:
        * tao/ObjectKey_Table.h:
        * tao/ObjectKey_Table.cpp:
        * tao/On_Demand_Fragmentation_Strategy.h:
        * tao/PortableServer/Non_Servant_Upcall.cpp:
        * tao/PortableServer/Object_Adapter.h:
        * tao/PortableServer/Object_Adapter.inl:
        * tao/PortableServer/Object_Adapter.cpp:
        * tao/PortableServer/Root_POA.h:
        * tao/PortableServer/Root_POA.inl:
        * tao/PortableServer/Root_POA.cpp:
        * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
        * tao/PortableServer/Servant_Upcall.cpp:
        * tao/Profile.h:
        * tao/Profile.inl:
        * tao/Profile.cpp:
        * tao/Refcounted_ObjectKey.inl:
        * tao/Refcounted_ObjectKey.cpp:
        * tao/Resource_Factory.h:
        * tao/Resource_Factory.cpp:
        * tao/Server_Strategy_Factory.h:
        * tao/Server_Strategy_Factory.cpp:
        * tao/Stub.h:
        * tao/Stub.inl:
        * tao/Stub.cpp:
        * tao/Transport_Mux_Strategy.h:
        * tao/Valuetype/AbstractBase.h:
        * tao/Valuetype/AbstractBase.cpp:
        * tao/default_client.h:
        * tao/default_client.cpp:
        * tao/default_resource.h:
        * tao/default_resource.cpp:
        * tao/default_server.h:
        * tao/default_server.cpp:
        * tao/tao.mpc:
        * tao/ObjectKey_Table.inl:
          Reverted the changes to TAO/tao from the commit of last friday.
          The ImR example Combined_Service broke and I am not in the position
          to analyze the exact failure at this moment. Will reapply the
          changes asap when I have time to analyze this

Fri Feb 11 11:16:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Wed Feb  9 15:12:59 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * etc/tao_pi.doxygen:
                * etc/tao_pi_server.doxygen:
                * etc/tao_rtcorba.doxygen:
                * etc/tao_rtportableserver.doxygen:
                * etc/tao_transportcurrent.doxygen:
                * etc/tao_ziop.doxygen:
                  Set some defines to get more documentation

        Wed Feb  9 13:31:39 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * etc/tao_strategies.doxygen:
                  Improved doxygen generation

                * examples/Load_Balancing/Load_Balancer_i.cpp:
                * orbsvcs/orbsvcs/HTIOP/HTIOP_Endpoint.h:
                * orbsvcs/orbsvcs/PortableGroup/UIPMC_Acceptor.h:
                * orbsvcs/orbsvcs/PortableGroup/UIPMC_Endpoint.h:
                * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.h:
                * orbsvcs/tests/Bug_2615_Regression/Test.idl:
                * tao/MProfile.cpp:
                * tao/PortableServer/Object_Adapter.cpp:
                * tao/Strategies/COIOP_Acceptor.h:
                * tao/Strategies/COIOP_Endpoint.h:
                * tao/Strategies/DIOP_Acceptor.h:
                * tao/Strategies/DIOP_Endpoint.h:
                * tao/Strategies/SCIOP_Acceptor.h:
                * tao/Strategies/SCIOP_Endpoint.h:
                * tao/Strategies/SHMIOP_Endpoint.h:
                * tao/Strategies/UIOP_Endpoint.h:
                  Fixed typos and doxygen warnings

        Tue Feb  8 19:04:20 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * examples/RTCORBA/Activity/README:
                * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullConsumer.cpp:
                * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPullSupplier.cpp:
                * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushConsumer.cpp:
                * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushSupplier.cpp:
                * orbsvcs/orbsvcs/CosEvent/CEC_TypedProxyPushConsumer.cpp:
                * orbsvcs/orbsvcs/ESF/ESF_Proxy_RefCount_Guard.h:
                * orbsvcs/orbsvcs/ESF/ESF_RefCount_Guard.h:
                * orbsvcs/orbsvcs/Event/EC_ProxyConsumer.cpp:
                * orbsvcs/orbsvcs/Event/EC_ProxySupplier.cpp:
                * orbsvcs/orbsvcs/Naming/Naming_Context_Interface.cpp:
                * orbsvcs/orbsvcs/Naming/Persistent_Context_Index.cpp:
                * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Client.h:
                * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Client.cpp:
                * performance-tests/Cubit/TAO/MT_Cubit/Globals.h:
                * performance-tests/Cubit/TAO/MT_Cubit/Task_Client.h:
                * performance-tests/Cubit/TAO/MT_Cubit/Timer.h:
                * performance-tests/Cubit/TAO/MT_Cubit/Timer.cpp:
                * performance-tests/Cubit/TAO/MT_Cubit/client.h:
                * performance-tests/Cubit/TAO/MT_Cubit/client.cpp:
                * tao/Environment.cpp:
                  Fixed typos and removed old Chorus support

        Thu Feb  3 09:23:31 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
                  Added workaround for broken HP C++ V7.4-004 on OpenVMS IA64 V8.3

        Wed Feb  2 14:28:02 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/CSD_Framework/CSD_Default_Servant_Dispatcher.cpp:
                * tao/CSD_Framework/CSD_POA.h:
                * tao/ORB_Core.h:
                * tao/Object.h:
                * tao/PortableServer/Regular_POA.h:
                * tao/PortableServer/Servant_Dispatcher.h:
                * tao/Transport_Mux_Strategy.h:
                  Layout/doxygen changes

        Wed Feb  2 12:31:51 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/orbconf.h:
                  Removed deprecated macros

        Wed Feb  2 11:44:53 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/default_resource.cpp:
                  Removed support for deprecated -ORBConnectionCachingStrategy

        Tue Feb  1 12:52:12 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                  Don't generate empty methods

        Tue Feb  1 12:30:57 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svs.cpp:
                  Fixed race condition in generated code

        Mon Jan 31 18:58:53 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svs.cpp:
                  Throw correct exception

        Mon Jan 31 18:19:54 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svs.cpp:
                  Fixed several race conditions, possible memory leaks and incorrect
                  logic

        Mon Jan 31 15:12:37 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svs.cpp:
                  Layout changes

                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                  Throw an exception when we can't allocate any memory anymore

        Mon Jan 31 14:45:24 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                  Reduced amount of methods in the servant with LwCCM, this should
                  reduce the footprint heavily with LwCCM again

        Mon Jan 31 13:45:43 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svs.cpp:
                  Layout change in generated code

        Mon Jan 31 11:38:58 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svs.cpp:
                  Fixed race condition in generated code

        Mon Jan 31 11:23:52 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                  Fixed race condition in generated code

        Mon Jan 31 10:29:08 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_home/home_svs.cpp:
                  Fixed race condition in generated code

        Mon Jan 31 09:55:00 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svh.cpp:
                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                * TAO_IDL/be_include/be_visitor_component/servant_svs.h:
                  Fixed race condition in generated code

        Mon Jan 31 08:47:49 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * orbsvcs/orbsvcs/FaultTolerance/FT_ServerORBInitializer.h:
                * orbsvcs/orbsvcs/FaultTolerance/FT_ServerPolicy_i.h:
                * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.h:
                * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
                  Cleanup of not used stuff

                * tao/Stub.h:
                * tao/Stub.inl:
                  Readded profile_lock(), used by FT

        Fri Jan 28 14:26:35 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svh.cpp:
                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                  First step in not letting the generate servant use context members
                  directly, this causes all kind race conditions in a MT situation.
                  More changes need to be made between the servant and the context.

                * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:

                * tao/ObjectKey_Table.h:
                  Added export macro again, needed for strategies

                * tao/operation_details.h:
                * tao/Objref_VarOut_T.h:
                  Doxygen changes

                * tao/On_Demand_Fragmentation_Strategy.h:
                  Doxygen change, use ACE_Copy_Disabled

        Thu Jan 27 11:29:03 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * docs/Options.html:
                * tao/ORB_Core.cpp:
                * tao/ObjectKey_Table.h:
                * tao/ObjectKey_Table.inl:
                * tao/ObjectKey_Table.cpp:
                * tao/Resource_Factory.h:
                * tao/Resource_Factory.cpp:
                * tao/default_resource.h:
                * tao/default_resource.cpp:
                  Removed -ORBObjectKeyTableLock, tricky option and this removed a few
                  virtual method calls. Also use inlining as much as possible

        Thu Jan 27 10:46:12 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/DLL_Parser.cpp:
                * tao/IORTable/Table_Adapter.h:
                * tao/IORTable/Table_Adapter.cpp:
                * tao/Object.h:
                * tao/ObjectKey_Table.h:
                * tao/PortableServer/Non_Servant_Upcall.cpp:
                * tao/PortableServer/Object_Adapter.h:
                * tao/PortableServer/Object_Adapter.inl:
                * tao/PortableServer/Object_Adapter.cpp:
                * tao/PortableServer/Root_POA.cpp:
                * tao/PortableServer/ServantRetentionStrategyRetain.cpp:
                * tao/PortableServer/Servant_Upcall.cpp:
                * tao/Server_Strategy_Factory.h:
                * tao/Server_Strategy_Factory.cpp:
                * tao/default_resource.h:
                * tao/default_server.h:
                * tao/default_server.cpp:
                  Removed -ORBPOALock support, disabling the lock in a MT situation is
                  very risky and causes race conditions. By removing this support
                  we remove several virtual calls from the critical path which
                  gives a better performance in the regular callpath.

                * DevGuideExamples/Multithreading/Reactive/svc.conf:
                * docs/Options.html:
                * docs/configurations.html:
                * examples/AMH/Sink_Server/st_server.conf:
                * examples/AMH/Sink_Server/st_server.conf.xml:
                * orbsvcs/performance-tests/LoadBalancing/LBPerf/CPU/svc.conf.xml:
                * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/svc.conf:
                * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/svc.conf.xml:
                * orbsvcs/tests/AVStreams/Latency/svc.conf:
                * orbsvcs/tests/AVStreams/Latency/svc.conf.xml:
                * orbsvcs/tests/AVStreams/Multicast/components_svc.conf:
                * orbsvcs/tests/AVStreams/Multicast/components_svc.conf.xml:
                * orbsvcs/tests/Bug_2377_Regression/svc.conf:
                * orbsvcs/tests/Bug_2925_Regression/svc.conf:
                * orbsvcs/tests/EC_MT_Mcast/svc.conf:
                * performance-tests/Cubit/TAO/IDL_Cubit/collocation/svc.conf:
                * performance-tests/Cubit/TAO/IDL_Cubit/collocation/svc.conf.xml:
                * performance-tests/Cubit/TAO/IDL_Cubit/svc.conf:
                * performance-tests/Cubit/TAO/IDL_Cubit/svc.conf.xml:
                * performance-tests/Cubit/TAO/IDL_Cubit/svc.st_server.conf:
                * performance-tests/Cubit/TAO/IDL_Cubit/svc.st_server.conf.xml:
                * performance-tests/Cubit/TAO/IDL_Cubit/svc.zero_lock.conf:
                * performance-tests/Cubit/TAO/IDL_Cubit/svc.zero_lock.conf.xml:
                * performance-tests/Cubit/TAO/MT_Cubit/svc.conf:
                * performance-tests/Cubit/TAO/MT_Cubit/svc.conf.xml:
                * performance-tests/Latency/Collocation/svc.conf:
                * performance-tests/Latency/DII/svc.conf:
                * performance-tests/Latency/DII/svc.conf.xml:
                * performance-tests/Latency/DSI/svc.conf:
                * performance-tests/Latency/DSI/svc.conf.xml:
                * performance-tests/Latency/Deferred/svc.conf:
                * performance-tests/Latency/Deferred/svc.conf.xml:
                * performance-tests/Latency/Single_Threaded/svc.conf:
                * performance-tests/Latency/Single_Threaded/svc.conf.xml:
                * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/server.conf:
                * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/server.conf.xml:
                * performance-tests/Sequence_Latency/DII/svc.conf:
                * performance-tests/Sequence_Latency/DII/svc.conf.xml:
                * performance-tests/Sequence_Latency/DSI/svc.conf:
                * performance-tests/Sequence_Latency/DSI/svc.conf.xml:
                * performance-tests/Sequence_Latency/Deferred/svc.conf:
                * performance-tests/Sequence_Latency/Deferred/svc.conf.xml:
                * performance-tests/Sequence_Latency/Single_Threaded/svc.conf:
                * performance-tests/Sequence_Latency/Single_Threaded/svc.conf.xml:
                * performance-tests/Throughput/svc.conf:
                * performance-tests/Throughput/svc.conf.xml:
                * tests/Bug_3163_Regression/server.conf:
                * tests/Bug_3647_Regression/svc.conf:
                * tests/CSD_Collocation/svc.conf:
                * tests/CSD_Collocation/svc.conf.xml:
                * tests/Collocation/svc.conf:
                * tests/Collocation/svc.conf.xml:
                * tests/Smart_Proxies/Collocation/svc.conf:
                * tests/Smart_Proxies/Collocation/svc.conf.xml:
                  Removed -ORBPOALock, got removed

        Wed Jan 26 15:20:42 UTC 2011  Martin Corino  <corino_m@remedy.nl>

                * TAO_IDL/be/be_visitor_connector/facet_ami_exs.cpp:
                  Added exception in case AMI facet not connected.

        Wed Jan 26 13:51:51 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/Client_Strategy_Factory.h:
                * tao/Messaging/AMH_Response_Handler.cpp:
                * tao/Object.h:
                * tao/Object.cpp:
                * tao/Profile.h:
                * tao/Profile.inl:
                * tao/Resource_Factory.h:
                * tao/Stub.inl:
                * tao/Stub.cpp:
                * tao/Valuetype/AbstractBase.h:
                * tao/Valuetype/AbstractBase.cpp:
                  Simplified refcounting and use more inlining

                * tao/tao.mpc:
                  Updated

                * tao/Configurable_Refcount.h:
                * tao/Configurable_Refcount.inl:
                * tao/Configurable_Refcount.cpp:
                  Removed these files, not used anymore

        Wed Jan 26 13:39:14 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/Client_Strategy_Factory.h:
                * tao/Client_Strategy_Factory.cpp:
                * tao/Configurable_Refcount.h:
                * tao/Configurable_Refcount.inl:
                * tao/Object.inl:
                * tao/Object.cpp:
                * tao/Profile.cpp:
                * tao/Resource_Factory.h:
                * tao/Resource_Factory.cpp:
                * tao/Valuetype/AbstractBase.cpp:
                * tao/default_client.h:
                * tao/default_client.cpp:
                * tao/default_resource.h:
                * tao/default_resource.cpp:
                  Simplified refcounts, this improves the runtime performance of TAO

        Wed Jan 26 10:44:30 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/context_svs.cpp:
                  Fixed race condition in the disconnect

                * tao/SystemException.cpp:
                  Layout change

        Tue Jan 25 14:01:47 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
                  Layout change

                * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
                  Fixed race condition in generated code

        Tue Jan 25 13:04:28 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
                  Throw an InvalidConnection exception when an EventConsumerBase can't
                  be narrowed to a type specific Event.

        === end changelog ===

Wed Feb  9 13:45:47 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tao/Acceptor_Impl.cpp:
          Fixed unnecessary initialization of a default reactor that was done
          through a call to ACE_Reactor::instance() as the default parameter
          to the constructor of ACE_Accept_Strategy (base of
          TAO_Accept_Strategy).

Thu Feb  3 16:32:53 UTC 2011  Martin Corino  <corino_m@remedy.nl>

        * TAO_IDL/be/be_union.cpp:
          Fixed unused parameter warning.

Thu Feb  3 12:46:15 UTC 2011  Martin Corino  <corino_m@remedy.nl>

        * TAO_IDL/be/be_union.cpp:
          Fixed problem with generated ostream (gen_ostream=1) op code in
          case of Array type member in union.

        * TAO_IDL/driver/drv_args.cpp:
          Fixed incorrectly reported defaults for anonymous type switches.

        * tests/IDL_Test/union.idl:
          Added IDL constructs to test the fix above.

Fri Jan 28 11:21:05 CET 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.0.1 released.

Mon Jan 24 15:14:42 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/idltocpp0x:
        * docs/idltocpp0x/IDLC++0xRFP.odt:
          Removed these files, RFP is now formally published by the OMG

Sun Jan 23 18:03:49 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/tao_qtresource.mpb:
          Use qt4

Fri Jan 21 10:50:55 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/OBV/ValueBox/client.cpp:
          Use ACE::is_equal() to compare floating point values.

Thu Jan 20 15:28:10 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * TAO_IDL/fe/y.tab.cpp:
          Corrected a fix that was committed for bug#3312. In that change
          I was too smart and knowing the implementation of
          UTL_ScopeStack::pop() I tried to mess with prefixes. Actually it
          was not needed (I was warned by Jeff Parsons about that) and
          when used it resulted in wrong generation of prefixes.

Thu Jan 20 11:42:53 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Wed Jan 19 12:16:46 UTC 2011  Martin Corino  <mcorino@remedy.nl>

            * tao/TAO_Internal.cpp:
              Fixed problem with argument parsing.

        Fri Jan 14 17:19:46 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * utils/catior/Catior_i.cpp:
                  Added more vendor ids

                * utils/catior/README.catior:
                  Updated executable name

                * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
                  Reverted change below, wasn't complete

        Fri Jan 14 10:37:44 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
                  Layout change

                * TAO_IDL/be/be_visitor_connector/facet_ami_exs.cpp:
                  Layout change to the generated code

                * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
                  Fixed race condition in generated servant, more fixes have to be made

        Mon Jan 10 12:39:17 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * etc/tao_portableserver.doxygen:
                  Doxygen improvement

        Mon Jan 10 09:10:17 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * etc/tao.doxygen:
                * etc/tao_anytypecode.doxygen:
                * etc/tao_av.doxygen:
                * etc/tao_compression.doxygen:
                * etc/tao_cosevent.doxygen:
                * etc/tao_cosnaming.doxygen:
                * etc/tao_cosnotification.doxygen:
                * etc/tao_costime.doxygen:
                * etc/tao_costrader.doxygen:
                * etc/tao_dynamicany.doxygen:
                * etc/tao_dynamicinterface.doxygen:
                * etc/tao_esf.doxygen:
                * etc/tao_ifr.doxygen:
                * etc/tao_implrepo.doxygen:
                * etc/tao_iormanip.doxygen:
                * etc/tao_iortable.doxygen:
                * etc/tao_pi.doxygen:
                * etc/tao_pi_server.doxygen:
                * etc/tao_portablegroup.doxygen:
                * etc/tao_portableserver.doxygen:
                * etc/tao_rtcorba.doxygen:
                * etc/tao_rtevent.doxygen:
                * etc/tao_rtportableserver.doxygen:
                * etc/tao_security.doxygen:
                * etc/tao_smartproxies.doxygen:
                * etc/tao_ssliop.doxygen:
                * etc/tao_strategies.doxygen:
                * etc/tao_transportcurrent.doxygen:
                * etc/tao_ziop.doxygen:
                  Removed deprecated macros

        Mon Jan 10 08:48:07 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
                * TAO_IDL/be/be_visitor_component/facet_exh.cpp:
                * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
                * tao/Valuetype/ValueBase.h:
                  Layout and changes for doxygen

        Sat Jan  8 12:02:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/be/be_visitor_component/facet_exh.cpp:
                  Fixed comment to not trigger doxygen warnings

        Fri Jan  7 08:25:08 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/QtResource/QtResource.mpc:
                  Use qt4

        Fri Jan  7 08:04:59 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * tao/BiDir_GIOP/BiDir_GIOP.mpc:
                * tao/CSD_Framework/CSD_Framework.mpc:
                * tao/Codeset/Codeset.mpc:
                * tao/DiffServPolicy/DiffServPolicy.mpc:
                * tao/DynamicAny/DynamicAny.mpc:
                * tao/EndpointPolicy/EndpointPolicy.mpc:
                * tao/IORInterceptor/IORInterceptor.mpc:
                * tao/IORManipulation/IORManipulation.mpc:
                * tao/IORTable/IORTable.mpc:
                * tao/ImR_Client/ImR_Client.mpc:
                * tao/Messaging/Messaging.mpc:
                * tao/Strategies/Strategies.mpc:
                * tao/TransportCurrent/TC.mpc:
                * tao/TransportCurrent/TC_IIOP.mpc:
                * tao/TypeCodeFactory/TypeCodeFactory.mpc:
                * tao/Valuetype/Valuetype.mpc:
                * tao/ZIOP/ZIOP.mpc:
                * tao/tao.mpc:
                  Fixed install problems with pidl files, thanks to Thomas Girard
                  for providing the patch

        Wed Jan  5 09:35:46 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                * orbsvcs\orbsvcs\Log\Hash_LogStore.cpp:
                * orbsvcs\orbsvcs\PortableGroup\Portable_Group_Map.cpp:
                * orbsvcs\orbsvcs\PortableGroup\PG_ObjectGroupManager.cpp:
                * orbsvcs\orbsvcs\Security\SL3_CredentialsCurator.cpp:
                * orbsvcs\orbsvcs\Security\SL2_SecurityManager.cpp:
                * orbsvcs\orbsvcs\AV\AVStreams_i.cpp:
                * orbsvcs\orbsvcs\Event\EC_TPC_Dispatching.cpp:
                * orbsvcs\orbsvcs\LoadBalancing\LB_LoadMinimum.cpp:
                * orbsvcs\orbsvcs\LoadBalancing\LB_LoadManager.cpp:
                * orbsvcs\orbsvcs\LoadBalancing\LB_LoadAverage.cpp:
                * orbsvcs\tests\Concurrency\CC_command.tab.cpp:
                * orbsvcs\ImplRepo_Service\Activator_NT_Service.cpp:
                * orbsvcs\ImplRepo_Service\Locator_NT_Service.h:
                * orbsvcs\ImplRepo_Service\Locator_Options.cpp:
                * orbsvcs\ImplRepo_Service\Activator_NT_Service.h:
                * orbsvcs\ImplRepo_Service\Locator_NT_Service.cpp:
                * tao\ORB_Core.h:
                * utils\logWalker\Session.cpp:
                  Fixed compile warnings (uninitialized use, const char* assignments,
                  etc.).

        Sun Jan  2 13:25:46 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * TAO_IDL/tao_idl.mpc:
                * tao/tao.mpc:
                  Integrated DESTDIR patches from debian packaging

        Wed Dec 22 14:42:05 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * TAO_IDL/be/be_visitor_connector.cpp:
                * TAO_IDL/be/be_visitor_connector/connector_dds_ex_base.cpp:
                * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
                * TAO_IDL/be/be_visitor_connector/connector_dds_exs.cpp:
                * TAO_IDL/be_include/be_visitor_connector/connector_dds_ex_base.h:
                  Removes template parameters which indicates whether the sequence
                  contains fixed data. This fixes bugzilla #3939.

        === end changelog ===

Tue Jan 18 17:49:42 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * NEWS:

          Added item about IDL compiler bug fix.

Fri Jan 14 17:43:26 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:

          Moved code to unset a flag in IDL_GLobalData, it was in
          the wrong place.

Fri Jan 14 16:54:35 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/util/utl_err.cpp:

          Added the word "error" to the error header method, so the
          scoreboard will be triggered to output it.

Fri Jan 14 14:24:47 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/y.tab.cpp:

          Fixed fuzz error.

Thu Jan 13 14:47:20 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/fe_utils.cpp:
        * TAO_IDL/fe/y.tab.cpp:

          Fixed fuzz errors.

Thu Jan 13 09:26:16 UTC 2011  Olli Savia  <ops@iki.fi>

        * orbsvcs/tests/unit/Notify/MC/MonitorControlExt/MonitorControlExt.cpp:
        * tests/Param_Test/big_union.cpp:
          Use ACE::is_equal() to compare floating point values.

Wed Jan 12 21:08:04 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_component.cpp:
        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_field.cpp:
        * TAO_IDL/ast/ast_home.cpp:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_sequence.cpp:
        * TAO_IDL/ast/ast_valuetype.cpp:
        * TAO_IDL/fe/fe_utils.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/fe_utils.h:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/util/utl_err.cpp:
        * TAO_IDL/util/utl_global.cpp:

          Added new error, reporting when there is an
          illegal reference to an item in the scope
          of a template module. Unless the item is
          declared in the same scope in which it is
          referenced, the reference must be to an
          item in an alias of a template module. Also
          added a mechanism to check for this error, and
          usage of the mechanism in places where AST
          nodes are referenced.

Wed Jan 12 13:20:09 UTC 2011  Olli Savia  <ops@iki.fi>

        * orbsvcs/tests/Notify/MC/test_monitor.cpp:
        * orbsvcs/tests/unit/Notify/MC/Statistic/Statistic.cpp:
          Use ACE::is_equal() to compare floating point values.

Wed Jan 12 13:00:13 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/Param_Test/bd_struct_seq.cpp:
        * tests/Param_Test/fixed_struct.cpp:
        * tests/Param_Test/ub_struct_seq.cpp:
        * tests/Param_Test/var_struct.cpp:
          Use ACE::is_equal() to compare floating point values.

Tue Jan 11 18:57:28 UTC 2011  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_union/discriminant_ci.cpp(visit_enum):

          When generating a default discriminant value of -1 (all
          enum values are used in union cases), changed the cast
          (to the enum type) from C-style to C++ style static_cast<>.
          Thanks to Milan Cvetkovic <milan dot cvetkovic at mpathix dot com>
          for the suggestion.

Tue Jan 11 07:09:15 UTC 2011  Olli Savia  <ops@iki.fi>

        * orbsvcs/tests/InterfaceRepo/IFR_Test/Admin_Client.cpp:
        * tests/Alt_Mapping/ub_struct_seq.cpp:
        * tests/DynAny_Test/test_dynany.cpp:
          Use ACE::is_equal() to compare floating point values.

Mon Jan 10 14:02:08 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/OctetSeq/client.cpp:
        * tests/Param_Test/anyop.cpp:
          Use ACE::is_equal() to compare floating point values.

Wed Jan  5 13:14:09 UTC 2011  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * orbsvcs/orbsvcs/Naming/Naming_Server.cpp:
          Fixed crash during Naming Server finalization that was happening
          when it didn't start properly and POA was not initialized.

Mon Jan  3 14:12:04 UTC 2011  Olli Savia  <ops@iki.fi>

        * tests/LongDouble/client.cpp:
          Reverted change "Fri Dec 31 09:12:53 UTC 2010  Olli Savia  <ops@iki.fi>"
          which broke 32-bit builds.

Sat Jan  1 10:48:07 UTC 2011  Olli Savia  <ops@iki.fi>

        * orbsvcs/tests/Notify/lib/Task_Stats.cpp:
          Added missing include.

Fri Dec 31 09:12:53 UTC 2010  Olli Savia  <ops@iki.fi>

        * orbsvcs/examples/LoadBalancing/server.cpp:
        * orbsvcs/tests/InterfaceRepo/Application_Test/ifr_dii_client.cpp:
        * orbsvcs/tests/Notify/lib/Task_Stats.cpp:
        * orbsvcs/tests/unit/Notify/MC/NotificationServiceMonitor/NotificationServiceMonitor.cpp:
        * orbsvcs/tests/unit/Trading/Interpreter/Interpreter.cpp:
        * tests/CDR/alignment.cpp:
        * tests/LongDouble/client.cpp:
          Use ACE::is_equal() to compare floating point values.

Thu Dec 30 09:01:39 UTC 2010  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.inl:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LeastLoaded.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAverage.inl:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadAverage.cpp:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadMinimum.inl:
        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadMinimum.cpp:
          Use ACE::is_equal() to compare floating point values.

Wed Dec 29 09:11:54 UTC 2010  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.cpp:
          Use ACE::is_equal() to compare floating point values.

Wed Dec 29 08:53:31 UTC 2010  Olli Savia  <ops@iki.fi>

        * TAO_IDL/ast/ast_expression.cpp:
          Use ACE::is_equal() to compare floating point values.

Mon Dec 27 16:06:40 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/tests/Bug_3891_Regression/Bug_3891_Regression.mpc:
        * orbsvcs/tests/Bug_3891_Regression/server.cpp:

          Link to the ImR_Client library for static builds.

Mon Dec 20 10:01:18 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
          Fixed bug#3941 and fixed broken formatting when processing sequences.

        * tests/Bug_3941_Regression/test.cpp:
        * tests/Bug_3941_Regression/test.idl:
        * tests/Bug_3941_Regression/Bug_3941_Regression.mpc:
        * tests/Bug_3941_Regression/run_test.pl:
        * tests/Bug_3941_Regression/README:
        * bin/tao_orb_tests.lst:
          Added a test for bug#3941.

Fri Dec 17 14:46:53 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * */*.*:
          Merged RemedyWork branch.

Wed Dec 15 12:34:01 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * TAO_IDL/be/be_visitor_component/component_ami_rh_exs.cpp:
        * TAO_IDL/be/be_visitor_component/component_ami_rh_exh.cpp:
         Correction for return values ami4ccm callbacks.


Wed Dec 15 11:34:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
          Layout changes to the generated code

Tue Dec 14 15:25:53 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Prepared for next release

Tue Dec 14 13:13:17 CET 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 2.0.0 released.

Sun Dec 12 16:19:01 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_1482_Regression/Hello.cpp:
          Fixes 'maybe undefined operation' warning in MingW GCC 4.5.0.

        * tests/OBV/Simple/Client_i.cpp:
          Removed unnecessary include leading to redefinition warnings.

        * tests/POA/DSI/Database_i.cpp:
          Fixes 'uninitialized use' warnings.

Wed Dec  8 15:20:26 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_module.cpp:

           Cosmetic changes.

        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:

          Added an exit if there is a an error produced in adding
          a template module.

Wed Dec  8 12:36:06 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * TAO_IDL/be/be_visitor_component/component_ami_rh_ex_base.cpp:
        * TAO_IDL/be/be_visitor_component/component_ami_rh_exh.cpp:
          Some more fixes for the AMI reply handler executor implementation
          generation.

Wed Dec  8 03:13:28 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/fe_utils.cpp(can_be_redefined):

          Modified the method to return 'false' if either of its 2
          arguments is a template module. Such a return will
          cause a redefinition error to be output.

Tue Dec  7 22:10:52 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:

          Removed an unused variable. Thanks to Adam Mitz
          <mitza@ociweb.com> for pointing it out.

Tue Dec  7 21:49:36 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be_include/be_codegen.h:

          Fixed a double deletion problem when OpenDDS is the DDS
          implementation and connector IDL is processed.

Tue Dec  7 20:07:32 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/ast/ast_visitor_tmpl_module_ref.cpp:
        * TAO_IDL/ast/ast_visitor_reifying.cpp:
        * TAO_IDL/util/utl_global.cpp:
        * TAO_IDL/util/utl_scope.cpp:

          Fixed bug in code generation of DDS4CCM DataWriter
          and DataReader classes.

Fri Dec  3 21:34:48 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * utils/logWalker/Invocation.cpp:

          Updated logWalker to handle the new logging time format from the
          ACE commit: Thu Dec  2 18:29:36 UTC 2010  Steve Huston
          This patch was submitted by Thomas Lockhart
          <Thomas dot Lockhart at jpl dot nasa dot gov>.

Fri Dec  3 19:33:25 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/array_anon_nested.idl:

          New file, containing an unusual IDL construct
          removed from array.idl below, so it can have
          the appropriate tao_idl options and avoid RTI
          DDS IDL processing.

        * tests/IDL_Test/IDL_Test.mpc:
        * tests/IDL_Test/array.idl:

          Changes corresponding to the above description.

Fri Dec  3 18:13:01 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_ami_rh_exs.cpp:
        * TAO_IDL/be/be_visitor_component/component_ami_rh_ex_base.cpp:
        * TAO_IDL/be/be_visitor_component/component_ami_rh_exh.cpp:
        * TAO_IDL/be_include/be_visitor_component/component_ami_rh_ex_base.h:

          Modified generation of AMI4CCM reply handler implementation
          class to include the port name in the constructed class
          name. This change eliminates redefinition errors when
          a component has more than one AMI receptacle that uses
          the same interface. The application developer can give
          each of these reply handlers a unique behavior if desired.

Fri Dec  3 16:10:08 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_root/root_cnh.cpp:
        * TAO_IDL/be/be_visitor_root/root_cns.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_ami_exs.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_ami_exh.cpp:
        * TAO_IDL/be_include/be_codegen.h:

          Removed AMI4CCM reply handler impl stream and the
          associated mechanism to manage it, since this class is
          now generated in the component executor.

Fri Dec  3 15:46:55 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * be/be_visitor_component/component_ami_rh_ex_base.cpp:

          Fixed cut and paste error.

Fri Dec  3 10:20:22 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
          Use DDS as sequence prefix for OpenDDS

        * tao/RTCORBA/RT_Mutex.h:
        * tao/RTCORBA/RT_ORB.cpp:
        * tao/RTCORBA/RT_ORBInitializer.h:
        * tao/RTCORBA/RT_Policy_i.h:
        * tao/RTCORBA/RT_Protocols_Hooks.h:
        * tao/RTCORBA/RT_Service_Context_Handler.cpp:
        * tao/RTCORBA/RT_Stub.cpp:
          Layout changes

Fri Dec  3 06:13:19 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
          Removed seq_type from DDS traits since it's not needed there anymore.

Thu Dec  2 21:31:19 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_util.cpp:
        * TAO_IDL/be/be_visitor_native/native_ch.cpp:

          Added the option -Wb,opendds_sequence_suffix which allows the user
          to customize the suffix for OpenDDS native sequence support.
          This is designed for use with dds4ccm (CIAO) and should probably be
          avoided in other use-cases.

        * TAO_IDL/be/be_visitor_array.cpp:
        * TAO_IDL/be/be_visitor_enum.cpp:
        * TAO_IDL/be/be_visitor_field.cpp:
        * TAO_IDL/be/be_visitor_module.cpp:
        * TAO_IDL/be/be_visitor_module/module.cpp:
        * TAO_IDL/be/be_visitor_root.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_root/root_ch.cpp:
        * TAO_IDL/be/be_visitor_root/root_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence.cpp:
        * TAO_IDL/be/be_visitor_structure.cpp:
        * TAO_IDL/be/be_visitor_structure/structure.cpp:
        * TAO_IDL/be/be_visitor_typedef.cpp:
        * TAO_IDL/be/be_visitor_typedef/typedef.cpp:
        * TAO_IDL/be/be_visitor_union.cpp:
        * TAO_IDL/be/be_visitor_union/union.cpp:
        * TAO_IDL/be/be_visitor_union_branch.cpp:
        * TAO_IDL/be_include/be_codegen.h:
        * TAO_IDL/be_include/be_decl.h:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/be_include/be_visitor_array.h:
        * TAO_IDL/be_include/be_visitor_enum.h:
        * TAO_IDL/be_include/be_visitor_field.h:
        * TAO_IDL/be_include/be_visitor_module.h:
        * TAO_IDL/be_include/be_visitor_root.h:
        * TAO_IDL/be_include/be_visitor_root/root_ch.h:
        * TAO_IDL/be_include/be_visitor_root/root_cs.h:
        * TAO_IDL/be_include/be_visitor_sequence.h:
        * TAO_IDL/be_include/be_visitor_structure.h:
        * TAO_IDL/be_include/be_visitor_typedef.h:
        * TAO_IDL/be_include/be_visitor_union.h:
        * TAO_IDL/be_include/be_visitor_union_branch.h:

          Removed obsolete code generation for OpenDDS.

        * TAO_IDL/be/be_visitor_array/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_array/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_enum/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_field/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_field/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_module/serializer_op.cpp:
        * TAO_IDL/be/be_visitor_root/serializer_op.cpp:
        * TAO_IDL/be/be_visitor_sequence/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_typedef/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_typedef/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union_branch/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union_branch/serializer_op_cs.cpp:
        * TAO_IDL/be_include/be_visitor_array/serializer_op_ch.h:
        * TAO_IDL/be_include/be_visitor_array/serializer_op_cs.h:
        * TAO_IDL/be_include/be_visitor_enum/serializer_op_ch.h:
        * TAO_IDL/be_include/be_visitor_enum/serializer_op_cs.h:
        * TAO_IDL/be_include/be_visitor_field/serializer_op_ch.h:
        * TAO_IDL/be_include/be_visitor_field/serializer_op_cs.h:
        * TAO_IDL/be_include/be_visitor_module/serializer_op.h:
        * TAO_IDL/be_include/be_visitor_root/serializer_op.h:
        * TAO_IDL/be_include/be_visitor_sequence/serializer_op_ch.h:
        * TAO_IDL/be_include/be_visitor_sequence/serializer_op_cs.h:
        * TAO_IDL/be_include/be_visitor_structure/serializer_op_ch.h:
        * TAO_IDL/be_include/be_visitor_structure/serializer_op_cs.h:
        * TAO_IDL/be_include/be_visitor_typedef/serializer_op_ch.h:
        * TAO_IDL/be_include/be_visitor_typedef/serializer_op_cs.h:
        * TAO_IDL/be_include/be_visitor_union/serializer_op_ch.h:
        * TAO_IDL/be_include/be_visitor_union/serializer_op_cs.h:
        * TAO_IDL/be_include/be_visitor_union_branch/serializer_op_ch.h:
        * TAO_IDL/be_include/be_visitor_union_branch/serializer_op_cs.h:

          Removed these files.

Thu Dec  2 20:23:13 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be_include/be_decl.h:
        * TAO_IDL/be/be_decl.cpp:

          Removed a flag and its accessors that are no longer used.

Thu Dec  2 19:30:21 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:

          Fixed generated include in *A.idl, not restored when
          previous changes were reversed.

        * TAO_IDL/driver/drv_preproc.cpp(DRV_pre_proc):

          Added code to unlink all temporary files at any point
          where this method might bail out. If an automated build
          takes place when there is something going wrong in
          TAO_IDL preprocessing, a great many temporary files could
          have been left over.

Thu Dec  2 14:12:04 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_ami_rh_exs.cpp:

          Added newline at EOF.

        * TAO_IDL/be/be_visitor_component/component_ami_rh_ex_base.cpp:
        * TAO_IDL/be_include/be_visitor_component/component_ami_rh_ex_base.h:

          New files, a base class visitor containing common code for
          the corresponding concrete visitors generating code for the
          header and source files.

Wed Dec  1 22:15:07 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_interface/ami4ccm_sendc_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/component_ami_rh_exs.cpp:
        * TAO_IDL/be/be_visitor_component/component_ami_rh_exh.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_visitor_component/component_ami_rh_exs.h:
        * TAO_IDL/be_include/be_visitor_component/component_ami_rh_exh.h:
        * TAO_IDL/be_include/be_visitor_component.h:

          Moved the generation of AMI4CCM reply handler IDL back to
          the *A.idl file, from the *E.idl file. Also modified
          the AMI4CCM reply handler implementation class visitors
          to traverse the original interface and generate the
          implied IDL operations on the fly, since the reply
          handler interface itself is now unavailable.

        * TAO_IDL/be/be_argument.cpp:

          Removed extra whitespace.

        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be_include/be_helper.h:

          Added overload of TAO_OutStream << operator to accept
          an ACE_CString.

        * TAO_IDL/driver/drv_preproc.cpp:

          Fixed ACE error message that had a mismatched number of
          format symbols and described the wrong error. If it was
          actually called, the mismatch in number of format
          symbols was causing a crash.

Wed Dec  1 13:53:59 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/anonymous.idl:
        * tests/IDL_Tests/array.idl:

          Moved some recently added IDL from anonymous.idl, where
          a struct-in-struct declaration made it incompatible with
          the -GA option used on that file, to array.idl, where -GA
          is not used, and where the problem uncovered by the IDL
          (non-generation of an Array_Traits<> instantiation for
          an anonymous array in the nested struct) is more
          appropriately tested anyway. It is a known issue that a
          type declaration inside an interface, valuetype, component,
          home, struct or union is not compatible with the -GA
          option, since these container types can't be reopened in
          the *A.h file (created by the option) to declare the
          typecode in the proper scope.

Wed Dec  1 12:09:31 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
          Fixed compilation errors.
        * TAO_IDL/be_include/be_visitor_component/component_ami_rh_exh.h:
          Fixed mismatched connector generation (.h <> .cpp).

Tue Nov 30 20:48:06 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_visitor_tmpl_module_inst.cpp:
        * TAO_IDL/ast/ast_visitor_tmpl_module_ref.cpp:

          When updating the global list of current template
          module parameter references (associated with an
          'alias' IDL construct), added a holder for the old
          list, which then is restored (instead of setting
          the list to 0) after the current scope is traversed.
          This change was necessary to handle the case when
          aliased template modules are nested.

Tue Nov 30 18:15:54 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/component_ami_rh_exh.cpp:

          Removed an unused variable.

Tue Nov 30 18:05:30 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:

          Put code generation back in that was inadvertently
          removed in a previous checkin.

Mon Nov 29 19:02:18 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * tests/Abstract_Interface/client.cpp:
          Fixed test so now it really runs the null-test part.

Mon Nov 29 17:11:52 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_array.cpp:
        * TAO_IDL/be/be_visitor_array/array_ch.cpp:

          Cosmetic changes.

        * TAO_IDL/be/be_visitor_traits.cpp:

          - Removed code that prevented the visitor from finding
            anonymous arrays nested more than one level deep. Thanks
            to Shi John <John dot Shi at acxiom dot com> for
            sending in the IDL example that uncovered the problem.

          - Fixed problem with traits generation for an interface
            that contains itself recursively.

        * tests/IDL_Test/anonymous.idl:

          Added IDL example mentioned above to test coverage.

Mon Nov 29 15:26:46 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_visitor_reifying.cpp:
        * TAO_IDL/util/utl_scope.cpp:

          Removed unused local variables.

Fri Nov 26 22:30:25 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_connector/connector_ami_rh_exs.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_ami_rh_exh.cpp:
        * TAO_IDL/be_include/be_visitor_connector/connector_ami_rh_exh.h:
        * TAO_IDL/be_include/be_visitor_connector/connector_ami_rh_exs.h:

          Removed these visitors, they are replaced by the new ones below.

        * TAO_IDL/be_include/be_visitor_component/component_ami_rh_exs.h:
        * TAO_IDL/be_include/be_visitor_component/component_ami_rh_exh.h:
        * TAO_IDL/be/be_visitor_component/component_ami_rh_exh.cpp:
        * TAO_IDL/be/be_visitor_component/component_ami_rh_exs.cpp:

          New visitors, replacing the removed ones above.

        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ex_idl.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_connector.cpp:
        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/be/be_visitor_component/facet_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/component_exs.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_ami_exs.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_ami_exh.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_visitor_connector.h:
        * TAO_IDL/be_include/be_decl.h:
        * TAO_IDL/be_include/be_visitor_component.h:

          Moved generation of AMI4CCM reply handler implementations
          from the *A_conn_i.{h.cpp} files to the appropriate
          component executor implementation files. This change
          also required moving the AMI4CCM reply handler IDL from
          the *A.idl file to the *E.idl file. This set of changes
          closes [BUGID:3929].

Fri Nov 26 17:45:08 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/ast_module.h:
        * TAO_IDL/include/ast_template_module_ref.h:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/include/ast_visitor_tmpl_module_inst.h:
        * TAO_IDL/include/ast_visitor_context.h:
        * TAO_IDL/include/ast_template_module_inst.h:
        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_component/component_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exs.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_ex_base.cpp:
        * TAO_IDL/ast/ast_visitor_tmpl_module_ref.cpp:
        * TAO_IDL/ast/ast_visitor_tmpl_module_inst.cpp:
        * TAO_IDL/ast/ast_module.cpp:
        * TAO_IDL/ast/ast_visitor_reifying.cpp:
        * TAO_IDL/ast/ast_visitor_context.cpp:
        * TAO_IDL/ast/ast_template_module_ref.cpp:
        * TAO_IDL/ast/ast_template_module_inst.cpp:
        * TAO_IDL/be_include/be_visitor_connector/connector_dds_ex_base.h:
        * TAO_IDL/be_include/be_visitor_component.h:
        * TAO_IDL/util/utl_global.cpp:
        * TAO_IDL/util/utl_scope.cpp:

          Fixed two bugs, both related to code generation from
          connectors that are declared as implied IDL from a
          referenced template module ('alias' keyword). If the
          'alias' construct uses a proper subset of the containing
          template module's template parameters, all code generation
          for any connectors inside it must use only that subset.

Thu Nov 25 10:11:29 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/ast/ast_type.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exs.cpp:
        * TAO_IDL/be/be_visitor_module/module.cpp:
          Fixed ami4ccm and dds4ccm problems

Wed Nov 24 13:58:17 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_ex_base.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exs.cpp:
          Always generate a bool fixed for each templated module argument

Wed Nov 24 13:15:10 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_ex_base.cpp:
          Some small improvements in connector handling

Wed Nov 24 11:58:08 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_connector.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_ex_base.cpp:
          Fixed problem with templated connectors without a base, enabled
          dds_connector for all templated connectors, will need to rename
          the visitors soon

Wed Nov 24 11:01:15 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_connector.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_ex_base.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exs.cpp:
        * TAO_IDL/be/be_visitor_structure/serializer_op_ch.cpp:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_visitor_connector/connector_dds_ex_base.h:
        * TAO_IDL/be_include/be_visitor_connector/connector_dds_exh.h:
          Extended support for non dds4ccm templated connectors

Tue Nov 23 09:15:23 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
        Set unused member variable provide_ in Servant class between ifdef lw_ccm.

Mon Nov 22 19:57:23 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:

          Added checks for failure to open a file or to create
          an absolute file pathname. Most of these checks are
          in code that is specific to VMS.

Mon Nov 22 11:31:10 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tao/Valuetype/AbstractBase.h:
        * tao/Valuetype/AbstractBase.cpp:
        * tao/Valuetype/AbstractBase.inl:
        * tao/Valuetype/AbstractBase_T.cpp:
          Fixed a leak described in bug#3879. Also refactored the AbstractBase
          code so that it become simpler and more standard compliant.

        * tao/Synch_Invocation.cpp:
        * bin/tao_orb_tests.lst:
          Fixed the bug#3926 and marked the test as fixed.

        * tests/Abstract_Interface/client.cpp:
          Fixed in this test output to screen.

Mon Nov 22 10:09:56 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
          Small cleanup and tweaks to traits

Sat Nov 20 17:26:21 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * tests/Abstract_Interface/client.cpp:
        * tests/Abstract_Interface/test.idl:
        * tests/Abstract_Interface/test_i.h:
        * tests/Abstract_Interface/test_i.cpp:
          Added test for extraction of null abstract interface.

Sat Nov 20 15:34:50 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * tao/Valuetype/AbstractBase.cpp:
          Fixed missing support for extraction of null object ref for
          abstract interface.

Fri Nov 19 19:12:44 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
          Changed generation of DDS_TYPE traits

Fri Nov 19 17:50:57 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/fe/lex.yy.cpp:

          Fixed a bug in processing of pragma ID directive. Thanks to
          Wendsomde Yameogo <wendsomde at yameogo dot com> for
          reporting the problem.

Fri Nov 19 15:50:11 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tests/Bug_3926_Regression/Client_ORBInitializer.h:
        * tests/Bug_3926_Regression/Client_Request_Interceptor.h:
          Fixed fuzz.

Fri Nov 19 13:29:57 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tests/Bug_3926_Regression/client.cpp:
        * tests/Bug_3926_Regression/Client_ORBInitializer.cpp:
        * tests/Bug_3926_Regression/Client_Request_Interceptor.cpp:
        * tests/Bug_3926_Regression/test.idl:
        * tests/Bug_3926_Regression/server.cpp:
        * tests/Bug_3926_Regression/test_i.cpp:
        * tests/Bug_3926_Regression/Client_ORBInitializer.h:
        * tests/Bug_3926_Regression/Client_Request_Interceptor.h:
        * tests/Bug_3926_Regression/README:
        * tests/Bug_3926_Regression/run_test.pl:
        * tests/Bug_3926_Regression/test_i.h:
        * tests/Bug_3926_Regression/Bug_3926_Regression.mpc:
        * bin/tao_orb_tests.lst:
          Added a test and marked it as non-fixed.

Thu Nov 18 14:11:00 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_dds_ts_idl.cpp:

          Changed the name of the local file output stream to avoid
          a warning saying it hides the base class member.

Thu Nov 18 12:54:09 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/taobaseidldefaults.mpb:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be/be_visitor_dds_ts_idl.cpp:
          With -Gts only generate TypeSupport.idl and than bail out

Thu Nov 18 07:41:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exs.cpp:
          Swapped the template arguments.

Wed Nov 17 17:39:41 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_dds_ts_idl.cpp:
        * TAO_IDL/be_include/be_visitor_dds_ts_idl.h:

          Changed code generation to create one output file
          per IDL file processed. For Foo.idl, the generated
          file is called FooTypeSupport.idl.

Wed Nov 17 17:07:20 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/facet_svh.cpp:
        * TAO_IDL/be_include/be_interface.h:

          Cosmetic changes, comment typo fixed.

        * TAO_IDL/be/be_provides.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be_include/be_global.h:

          Added checks to prevent AMI implied IDL sendc_*
          operations from being generated in a facet servant,
          in cases where we are using CORBA AMI on the
          facet interface.

Wed Nov 17 15:07:20 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be_include/be_visitor_dds_ts_idl.h:
        * TAO_IDL/be/be_visitor_dds_ts_idl.cpp:

          New files, defining a new visitor that generates DDS
          type support classes, triggered by the option -Gts.
          At present, only the data writer and data reader
          classes are generated, and no check is made that
          the datatype is used by DDS (all structs, unions
          and valuetypes are processed). Such a check will be
          added at a later time.

        * TAO_IDL/be/be_util.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be_include/be_global.h:
        * docs/compiler.html:

          Support code for the new visitor and command line option.

Wed Nov 17 09:31:45 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_ami_pre_proc.cpp:
        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_valuebox.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
        * TAO_IDL/ast/ast_structure_fwd.cpp:
        * TAO_IDL/ast/ast_interface_fwd.cpp:
        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/lex.yy.cpp:
        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/util/utl_global.cpp:
          Fixed memory leaks.

Mon Nov 15 18:54:27 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_connector.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be_include/be_visitor_connector/connector_dds_exh.h:

          Added generation of traits typedefs for attributes, if they
          appear in a connector or an extended port.

Mon Nov 15 12:59:06 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:
        * orbsvcs/examples/FaultTolerance/RolyPoly/ReplicaController.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Group_Manager.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_Loader.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Replication_Service.cpp:
        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:
        * orbsvcs/orbsvcs/Sched/Reconfig_Scheduler_T.cpp:
        * orbsvcs/performance-tests/RTEvent/lib/Control.cpp:
        * orbsvcs/performance-tests/RTEvent/lib/Low_Priority_Setup.cpp:
        * orbsvcs/performance-tests/RTEvent/lib/RTClient_Setup.cpp:
        * orbsvcs/performance-tests/RTEvent/lib/RTServer_Setup.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:
        * orbsvcs/tests/FtRtEvent/consumer.cpp:
        * orbsvcs/tests/FtRtEvent/supplier.cpp:
        * tao/IORManipulation/IORManipulation.cpp:
        * tao/Load_Protocol_Factory_T.h:
        * tao/default_resource.cpp:
          Use ACE_auto_ptr_reset

Sun Nov 14 22:43:56 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_typecode/objref_typecode.cpp:

          Changed check for CCM home type from dynamic_cast<>,
          which doesn't work since we process the equivalent
          interface node(s) for the typecode, to a call to
          home_equiv() on the interface node.

        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
        * TAO_IDL/be/be_visitor_xplicit_pre_proc.cpp:

          Added calls to set the 'home_equiv_' flag on both
          the explicit and implicit home interfaces. It was
          already set for the equivalent interface. This fix
          closes [BUGID:3925].

Sat Nov 13 14:01:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be_include/be_visitor_connector/connector_dds_exh.h:
          Committed changes from Jeff Parsons which change the layout of the
          ccm traits for the dds connectors

Fri Nov 12 13:10:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
          Changed dds_traits

Fri Nov 12 10:57:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exs.cpp:
          Removed unnecessary template parameter in the generated connector
          code.

Thu Nov 11 21:43:07 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/ast/ast_visitor_tmpl_module_inst.cpp:

          Removed commented-out code.

        * TAO_IDL/include/ast_template_module_ref.h:
        * TAO_IDL/ast/ast_visitor_tmpl_module_ref.cpp:
        * TAO_IDL/ast/ast_template_module_ref.cpp:

          Added flag in node, and use in visitor, to prevent
          multiple traversals of a template module reference in
          this visitor. Its only action is to create an equivalent
          regular module in the same scope (a template module)
          and this action mustn't be taken more than once. This
          flag comes into play when the IDL has a 'chain' of
          aliases.

Wed Nov 10 19:51:41 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
          Updated some dds trait typedefs

        * tao/orbconf.h:
          Doxygen changes

Wed Nov 10 19:07:15 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
          Updated some dds trait typedefs

Wed Nov 10 14:16:40 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
          Generate some more typedefs in the dds traits

Wed Nov 10 11:23:06 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * TAO_IDL/fe/y.tab.cpp:
        * TAO_IDL/fe/idl.yy:
          Fixed a check for anonymous type. YACC file contained that check for
          plain strings while in CPP file it was done for bounded strings. As
          I thought that YACC is a primary source I wrongly moved this check to
          a wrong place just to make YACC and CPP files consistent. Now I moved
          it back to bounded strings.
          Plus added a check for anonymous bounded wide strings which are also
          deprecated by CORBA spec now.

        * TAO_IDL/util/utl_global.cpp:
          Restored back to error reporting when anonymous IDL type is
          encountered.

Wed Nov 10 09:01:37 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * TAO_IDL/ast/ast_field.cpp:
          Fixed segmentation fault in tao_idl that exhibited in CIAO code
          and that was triggered by my memory leak fixes from yesterday.

Tue Nov  9 17:12:36 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * TAO_IDL/util/utl_global.cpp:
          Explicitly silenced reports about deprecated anonymous IDL types.
          It looks my previous change enabled those reports. Until I
          investigate what was wrong this the simplest I can do.

Tue Nov  9 12:35:22 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tao/Wait_On_Read.cpp:
        * tao/Transport_Cache_Manager_T.cpp:
          Corrected a bit logged messages.

        * tests/IDL_Test/Bug_3312_Regression.idl:
          Enabled a problematic part of the test and extended it.

        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_field.cpp:
        * TAO_IDL/be/be_global.cpp:
          Fixed memory leaks in tao_idl.

        * TAO_IDL/be/be_visitor_union/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union/cdr_op_cs.cpp:
          Fixed only bug#3312.

        * TAO_IDL/fe/idl.yy:
        * TAO_IDL/fe/y.tab.cpp:
          Fixed bug#3312. Fixed a leak of FE_OBVHeader. Made formatting
          in generated cpp file consistent with YACC source. Removed
          unnecessary white spaces.

        * TAO_IDL/fe/idl.ll:
        * TAO_IDL/fe/lex.yy.cpp:
          Fixed a leak of a file prefix which was happening in certain
          conditions. Ported changes made at different times to generated
          cpp file but was not added to the lexer source.

Thu Nov  4 16:06:56 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/ast/ast_visitor_tmpl_module_ref.cpp:
        * TAO_IDL/ast/ast_visitor_tmpl_module_inst.cpp:
        * TAO_IDL/util/utl_global.cpp:
        * TAO_IDL/util/utl_scope.cpp:

          Fixed bug in parsing template module aliases. To create the
          necessary implied IDL, we must traverse the referenced template
          module, using the original template module parameter names
          for lookups, but, when a match is found, create implied IDL
          param holders using the aliased parameter name. This fix
          closes [BUGID:3924].

Mon Nov  1 15:09:04 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * tao/PortableServer/POA_Current_Impl.inl:

          Use CORBA::ULong as the local variable type for a sequence length.
          Avoids warnings on vc10 64-bit.

Mon Nov  1 14:15:56 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TAO_Internal.cpp:
          Not needed to get TAO_ORB_DEBUG twice

        * tao/CORBALOC_Parser.cpp:
        * tao/PI/DLL_Resident_ORB_Initializer.cpp:
        * tao/default_resource.cpp:
          Layout changes to debug messages to make them consistent with the
          other messages in TAO

Sat Oct 30 09:17:36 UTC 2010  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.cpp:
          Use ACE::is_equal() to compare floating point values.

Fri Oct 29 14:40:48 UTC 2010  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/Log/Log_Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Constraint_Visitors.cpp:
          Removed LynxOS specific hacks.

Fri Oct 29 12:03:44 UTC 2010  Olli Savia  <ops@iki.fi>

        * tao/DynamicAny/DynAny_i.cpp:
        * tao/ETCL/TAO_ETCL_Constraint.cpp:
          Use ACE::is_equal() to compare floating point values.

Fri Oct 29 12:02:11 UTC 2010  Olli Savia  <ops@iki.fi>

        * orbsvcs/orbsvcs/Trader/Constraint_Nodes.cpp:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/server.cpp:
          Use ACE::is_equal() to compare floating point values.

Fri Oct 29 08:25:58 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/IDL_Test.mpc:
          Disable 3312 generated files with rti

Thu Oct 28 12:19:07 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/Bug_3312_Regression.idl:
        * tests/IDL_Test/IDL_Test.mpc:
          Added test for 3312, doesn't seem to be fixed yet

Thu Oct 28 08:26:46 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tests/Bug_3755_Ext_Regression/run_test.pl:
        * bin/tao_orb_tests.lst:
          Disabled in e_micro and e_compact builds parts of this test
          that are not built in those configurations.

Thu Oct 28 07:57:33 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Utils/Server_Main.h:
        * tao/Utils/Server_Main.cpp:
          Fixed compile errors

Thu Oct 28 07:51:17 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:
        * orbsvcs/examples/ImR/Advanced/TestServer.h:
        * orbsvcs/examples/RtEC/MCast/MCast.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Complex_Address_Server.h:
        * orbsvcs/orbsvcs/Event/ECG_Complex_Address_Server.inl:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_EH.h:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.h:
        * orbsvcs/orbsvcs/Event/ECG_Mcast_Gateway.cpp:
        * orbsvcs/orbsvcs/Event/ECG_Simple_Address_Server.h:
        * orbsvcs/orbsvcs/Event/ECG_Simple_Address_Server.inl:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Receiver.inl:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.inl:
        * orbsvcs/orbsvcs/Event/EC_Lifetime_Utils_T.h:
        * orbsvcs/orbsvcs/Event/EC_Lifetime_Utils_T.inl:
        * orbsvcs/tests/EC_MT_Mcast/MCast.cpp:
        * orbsvcs/tests/EC_Mcast/EC_Mcast.h:
        * orbsvcs/tests/Event/Mcast/Common/EC_Wrapper.h:
        * orbsvcs/tests/Event/Mcast/Common/EC_Wrapper.cpp:
        * orbsvcs/tests/Event/Mcast/Common/Gateway_EC.cpp:
        * orbsvcs/tests/Event/Mcast/Complex/consumer.cpp:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/EchoEventSupplierMain.cpp:
        * orbsvcs/tests/Event/Mcast/Simple/consumer.cpp:
        * orbsvcs/tests/Event/Mcast/Two_Way/application.cpp:
        * orbsvcs/tests/Event/UDP/receiver.cpp:
        * orbsvcs/tests/Event/UDP/sender.cpp:
          Removed TAO_EC_Servant_Var, use PortableServer::Servant_var instead

Thu Oct 28 07:41:02 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RTScheduling/DT_Creator.h:
        * examples/RTScheduling/Fixed_Priority_Scheduler/test.h:
        * examples/RTScheduling/MIF_Scheduler/test.h:
        * orbsvcs/examples/ImR/Advanced/TestServer.h:
        * orbsvcs/orbsvcs/Event/ECG_UDP_Sender.h:
        * orbsvcs/orbsvcs/Event/EC_Lifetime_Utils_T.h:
        * orbsvcs/orbsvcs/Event/EC_Lifetime_Utils_T.inl:
        * orbsvcs/performance-tests/RTEvent/lib/Loopback_Consumer.h:
        * orbsvcs/performance-tests/RTEvent/lib/Loopback_Consumer.cpp:
        * orbsvcs/performance-tests/RTEvent/lib/Send_Task.h:
        * orbsvcs/performance-tests/RTEvent/lib/Send_Task.cpp:
        * performance-tests/POA/Demux/demux_test_server.h:
        * tao/Array_Traits_T.h:
        * tao/Object_Reference_Traits_T.h:
        * tao/PortableServer/Servant_var.h:
        * tao/String_Traits_T.h:
        * tao/Value_Traits_T.h:
        * tao/Valuetype/Valuetype_Traits_T.h:
        * tests/Bug_1020_Basic_Regression/client.cpp:
        * tests/Bug_1020_Basic_Regression/server.cpp:
        * tests/Bug_1020_Regression/client.cpp:
        * tests/Bug_1020_Regression/server.cpp:
        * tests/Bug_1269_Regression/client.cpp:
        * tests/Bug_1269_Regression/server.cpp:
        * tests/Bug_1270_Regression/client.cpp:
        * tests/Bug_1270_Regression/server.cpp:
        * tests/Bug_1361_Regression/client.cpp:
        * tests/Bug_1361_Regression/server.cpp:
        * tests/Bug_1535_Regression/bug_1535_regression.cpp:
        * tests/Bug_1551_Regression/Client_Task.h:
        * tests/Bug_1551_Regression/server.cpp:
        * tests/Bug_1568_Regression/server.cpp:
        * tests/Bug_1670_Regression/server.cpp:
        * tests/Bug_2503_Regression/test_i.cpp:
        * tests/Bug_2560_Regression/Stock_Factory_i.cpp:
        * tests/Bug_3647_Regression/backend_server.cpp:
        * tests/Bug_3647_Regression/middle_server.cpp:
          Fixed compile errors, removed gcc < 3 support

Wed Oct 27 17:45:45 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/idltocpp0x/IDLC++0xRFP.odt:
          Updated to new draft

        * orbsvcs/performance-tests/RTEvent/lib/RIR_Narrow.cpp:
          Unicode fixes

        * tao/Utils/Server_Main.h:
        * tao/Utils/Server_Main.cpp:
          Layout changes

        * tao/Utils/Utils.mpc:
        * tao/Utils/Servant_Var.h:
        * tao/Utils/Servant_Var.inl:
        * tao/Utils/Servant_Var.cpp:
          Removed Servant_Var

Wed Oct 27 10:38:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ChangeLog:
        * NEWS:
          Updated for next release

Wed Oct 27 12:01:05 CEST 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO version 1.8.3 released.

Tue Oct 26 17:05:35 UTC 2010  Phil Mesnier  <mesnier_p@ociweb.com>

        * tests/Bug_3755_Ext_Regression/dp_svc.conf:

          Fix a misspelling in the library name.

Tue Oct 26 12:57:30 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_ih.cpp:
        * TAO_IDL/be/be_visitor_component/facet_exh.cpp:
        * TAO_IDL/be/be_visitor_null_return_value.cpp:
        * TAO_IDL/be_include/be_visitor_component/facet_exh.h:

          Fixed fuzz errors.

Mon Oct 25 14:42:46 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_interface/interface_ih.cpp:

          Cosmetic changes.

        * TAO_IDLbe/be_visitor_null_return_value.cpp:

          Fixed bug in static_cast<> template parameter name
          generation for sequences.

        * TAO_IDLbe/be_visitor_component/facet_exh.cpp:
        * TAO_IDLbe_include/be_visitor_component/facet_exh.h:

          Reuse of static function be_visitor_interface_ih::method_helper
          was not a perfect fit, so added a modified version to
          be_visitor_facet_exh.

Mon Oct 25 13:46:03 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * NEWS:

          Updated with 2 IDL compiler changes.

Mon Oct 25 08:09:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_attr_init.cpp:
          Simplified

Mon Oct 25 05:58:18 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_attr_init.cpp:
        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exs_attr_init.cpp:
        * TAO_IDL/be_include/be_visitor_attr_init.h:
          Added new visitor to generate the attribute initialization in the
          executor constructor

Mon Oct 25 05:37:24 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_null_return_value.cpp:
          Reverted change below, this visitor seems to be used in multiple
          places, need to add a new one for attribute initialization

Sun Oct 24 11:34:00 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_null_return_value.cpp:
          Simplified member initialization

Sat Oct 23 11:54:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
        * TAO_IDL/be/be_visitor_component/facet_exh.cpp:
        * TAO_IDL/be/be_visitor_component/facet_exs.cpp:
        * TAO_IDL/be/be_visitor_home/home_exs.cpp:
        * TAO_IDL/be_include/be_visitor_component/executor_exh.h:
        * TAO_IDL/be_include/be_visitor_component/executor_exs.h:
        * TAO_IDL/be_include/be_visitor_component/facet_exh.h:
        * TAO_IDL/be_include/be_visitor_component/facet_exs.h:
        * TAO_IDL/be_include/be_visitor_home/home_exs.h:
          Doxygen style of documentation generated

Sat Oct 23 10:29:26 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * tests/Bug_3919_Regression/Bug_3919_Regression.mpc:
        * tests/Bug_3919_Regression/Test2.idl:
        * tests/Bug_3919_Regression/client.cpp:
          Added test for nested use of recursive typecode from another
          IDL file (including the recursive type IDL file).

Sat Oct 23 000:25:53 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/facet_exs.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
        * TAO_IDL/be_include/be_visitor_component/executor_exh.h:

          More fixes in logic to support attribute impl generation
          in the executor.

Fri Oct 22 12:12:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/facet_exh.cpp:
          No export macro needed and generate doxygen groups

Fri Oct 22 11:59:58 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
          More layout and documentation generation

Fri Oct 22 11:50:19 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
          Generated executor doesn't need an export macro and layout changes

Fri Oct 22 11:54:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Added Reactor.h when the reactor code is generated.

        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
          Added a doxygen group "User defined members".

Fri Oct 22 11:32:10 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp:
          Some changes to fix behaviour when encountering nested
          recursive type.

Fri Oct 22 07:50:54 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
        * TAO_IDL/be/be_visitor_component/facet_exh.cpp:
        * TAO_IDL/be_include/be_visitor_component/executor_exh.h:
        * TAO_IDL/be_include/be_visitor_component/facet_exh.h:
          Removed some more trailing whitespaces from the
          generated code.
          Added comment.

Fri Oct 22 07:03:47 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_attr_assign.cpp:
        * TAO_IDL/be/be_visitor_attr_return.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
          Declaration of the getter and setter methods for
          component attributes on one line in the generated
          executor header file.
          Return value and setting the attribute value on one
          line in the generated executor source file.

Fri Oct 22 06:39:15 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
          Removed some more trailing whitespaces from the
          generated code.

Fri Oct 22 06:28:07 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_attr_assign.cpp:
        * TAO_IDL/be/be_visitor_field/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/marshal_cs.cpp:
          Fuzz. Trailing whitespaces.

        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
          Fuzz. Newline at end of file.

Thu Oct 21 17:39:18 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_visitor_valuetype/marshal_cs.cpp:

          Fixed more code generation bugs related to be_attribute
          newly inheriting from be_field.

Thu Oct 21 17:19:12 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/marshal_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype.cpp:
        * TAO_IDL/be/be_visitor_field/cdr_op_cs.cpp:

          Fixed code generation for valuetypes fields. In

          Wed Oct 20 19:50:32 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

          class be_valuetypes was modified to inherit from class
          be_field, requiring some extra checks to distinguish a
          field from an attribute in valuetypes.

Thu Oct 21 16:23:10 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_attr_setarg_type.cpp:
        * TAO_IDL/be/be_visitor_member_type_decl.cpp:
        * TAO_IDL/be_include/be_visitor_attr_assign.h:
        * TAO_IDL/be_include/be_visitor_component/executor_exs_attr_init.h:
        * TAO_IDL/be_include/be_visitor_component/facet_exs.h:
        * TAO_IDL/be_include/be_visitor_attr_return.h:

          Fixed trailing whitespace and unused parameter warnings.

Thu Oct 21 15:21:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_array.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_provides.cpp:
        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_string.cpp:
        * TAO_IDL/be/be_structure.cpp:
        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_union.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_visitor_arg_traits.cpp:
        * TAO_IDL/be/be_visitor_array/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_array/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_array/array_ch.cpp:
        * TAO_IDL/be/be_visitor_array/array_ci.cpp:
        * TAO_IDL/be/be_visitor_array/array_cs.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_array/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_array/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_attr_return.cpp:
        * TAO_IDL/be/be_visitor_attribute/ccm_init.cpp:
        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/component_exh.cpp:
        * TAO_IDL/be/be_visitor_component/component_exs.cpp:
        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
        * TAO_IDL/be/be_visitor_component/context_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/context_svh.cpp:
        * TAO_IDL/be/be_visitor_component/context_svs.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
        * TAO_IDL/be/be_visitor_component/executor_private_exh.cpp:
        * TAO_IDL/be/be_visitor_component/facet_exh.cpp:
        * TAO_IDL/be/be_visitor_component/facet_exs.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
        * TAO_IDL/be/be_visitor_component_scope.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_ami_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_ami_exs.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_ami_rh_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_ami_rh_exs.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_ex_base.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/connector_dds_exs.cpp:
        * TAO_IDL/be/be_visitor_connector/executor_ami_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/executor_ami_exs.cpp:
        * TAO_IDL/be/be_visitor_connector/facet_ami_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/facet_ami_exs.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_ch.cpp:
        * TAO_IDL/be/be_visitor_constant/constant_cs.cpp:
        * TAO_IDL/be/be_visitor_enum/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_enum/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_enum/enum_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_ctor.cpp:
        * TAO_IDL/be/be_visitor_field/field_ch.cpp:
        * TAO_IDL/be/be_visitor_home/home_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_home/home_exh.cpp:
        * TAO_IDL/be/be_visitor_home/home_exs.cpp:
        * TAO_IDL/be/be_visitor_home/home_svh.cpp:
        * TAO_IDL/be/be_visitor_home/home_svs.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_rh_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_rh_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_si.cpp:
        * TAO_IDL/be/be_visitor_interface/amh_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/ami4ccm_conn_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_interface/ami4ccm_rh_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_interface/ami4ccm_sendc_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_interface/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/direct_proxy_impl_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/direct_proxy_impl_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ci.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ih.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_is.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/smart_proxy_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/smart_proxy_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/strategized_proxy_broker_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/strategized_proxy_broker_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/tie_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/tie_ss.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_module/module_ch.cpp:
        * TAO_IDL/be/be_visitor_module/module_sh.cpp:
        * TAO_IDL/be/be_visitor_native/native_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_rh_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_rh_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/amh_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_handler_reply_stub_operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/base_proxy_impl_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/direct_proxy_impl_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/exceptlist_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/exceptlist_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_exs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ih.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_is.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_svs.cpp:
        * TAO_IDL/be/be_visitor_operation/proxy_impl_xh.cpp:
        * TAO_IDL/be/be_visitor_operation/remote_proxy_impl_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/tie_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/tie_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/upcall_command_ss.cpp:
        * TAO_IDL/be/be_visitor_root/root_ch.cpp:
        * TAO_IDL/be/be_visitor_root/root_sth.cpp:
        * TAO_IDL/be/be_visitor_sequence/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_cs.cpp:
        * TAO_IDL/be/be_visitor_sequence/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_structure/structure_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/structure_cs.cpp:

        * TAO_IDL/be/be_visitor_template_export.cpp:
        * TAO_IDL/be/be_visitor_traits.cpp:

        * TAO_IDL/be/be_visitor_typecode/alias_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/enum_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/objref_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_decl.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp:

        * TAO_IDL/be/be_visitor_typedef/typedef_ch.cpp:
        * TAO_IDL/be/be_visitor_typedef/typedef_ci.cpp:

        * TAO_IDL/be/be_visitor_union/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union/discriminant_ch.cpp:
        * TAO_IDL/be/be_visitor_union/discriminant_ci.cpp:
        * TAO_IDL/be/be_visitor_union/serializer_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/serializer_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union/union_ch.cpp:
        * TAO_IDL/be/be_visitor_union/union_ci.cpp:
        * TAO_IDL/be/be_visitor_union/union_cs.cpp:

        * TAO_IDL/be/be_visitor_union_branch/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_union_branch/public_ch.cpp:
        * TAO_IDL/be/be_visitor_union_branch/public_ci.cpp:
        * TAO_IDL/be/be_visitor_union_branch/serializer_op_cs.cpp:

        * TAO_IDL/be/be_visitor_valuebox/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_valuebox/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuebox/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_valuebox/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuebox/field_ch.cpp:
        * TAO_IDL/be/be_visitor_valuebox/field_ci.cpp:
        * TAO_IDL/be/be_visitor_valuebox/union_member_ci.cpp:
        * TAO_IDL/be/be_visitor_valuebox/valuebox_ch.cpp:
        * TAO_IDL/be/be_visitor_valuebox/valuebox_ci.cpp:
        * TAO_IDL/be/be_visitor_valuebox/valuebox_cs.cpp:

        * TAO_IDL/be/be_visitor_valuetype/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/any_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/cdr_op_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/field_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/field_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/marshal_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/obv_module.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ci.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_init_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_init_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_obv_cs.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_sh.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ss.cpp:

        * TAO_IDL/be/be_visitor_valuetype_fwd/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype_fwd/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype_fwd/cdr_op_ci.cpp:

        * TAO_IDL/be_include/be_helper.h:
          In order to get rid of whitespaces, I've added a new
          newline method. This method will add two \n characters
          to the stream and after that will call indent () in order
          to set the indent level to the proper position.
          I've replace all "be_nl << be_nl" with "be_nl_2".

Thu Oct 21 12:31:48 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
          Added an empty group for user defined operations

Thu Oct 21 12:32:06 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:

        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
          Reduced the amount of whitespaces in the generated code.

Thu Oct 21 11:56:04 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_attr_assign.cpp:
        * TAO_IDL/be/be_visitor_attr_return.cpp:
          Removed trailing whitespaces.

        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exs_attr_init.cpp:
        * TAO_IDL/be/be_visitor_component/executor_private_exh.cpp:
        * TAO_IDL/be/be_visitor_component_scope.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ch.cpp:
          Reduced the amount of whitespaces in the generated code.

Thu Oct 21 11:06:36 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
        * TAO_IDL/be/be_visitor_component_scope.cpp:
          Removed some more whitespaces from the generated code.

Thu Oct 21 10:26:18 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
          Removed whitespaces from generated code.

Thu Oct 21 08:01:49 UTC 2010  Martin Corino  <mcorinom@remedy.nl>

        * tests/Bug_3919_Regression/Test.idl:
        * tests/Bug_3919_Regression/client.cpp:
          Changes to get rid of wchar problems.

Wed Oct 20 19:50:32 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_component/facet_private_exh.cpp:
        * TAO_IDL/be_include/be_visitor_component/facet_private_exh.h:

          Renamed these files (and visitor classes) to the entries below.

        * TAO_IDL/be/be_visitor_component/executor_private_exh.cpp:
        * TAO_IDL/be_include/be_visitor_component/executor_private_exh.h:

          Renamed these files (and visitor classes) from the entries above.

        * TAO_IDL/be/be_visitor_attr_setarg_type.cpp:
        * TAO_IDL/be/be_visitor_member_type_decl.cpp:
        * TAO_IDL/be/be_visitor_attr_return.cpp:
        * TAO_IDL/be/be_visitor_attr_assign.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exs_attr_init.cpp:
        * TAO_IDL/be_include/be_visitor_attr_assign.h:
        * TAO_IDL/be_include/be_visitor_attr_setarg_type.h:
        * TAO_IDL/be_include/be_visitor_component/executor_exs_attr_init.h:
        * TAO_IDL/be_include/be_visitor_attr_return.h:
        * TAO_IDL/be_include/be_visitor_member_type_decl.h:

          New files and visitor classes, to generate args, return types,
          member types, and initialization of members, according to
          the naming rules for CORBA types.

        * TAO_IDL/be/be_attribute.cpp:
        * TAO_IDL/be/be_visitor_component.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_exs.cpp:
        * TAO_IDL/be/be_visitor_any_extracted_type_decl.cpp:
        * TAO_IDL/be/be_visitor_component/facet_exs.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
        * TAO_IDL/be/be_visitor_component/component_exs.cpp:
        * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
        * TAO_IDL/be/be_visitor_component_scope.cpp:
        * TAO_IDL/be/be_visitor_null_return_value.cpp:
        * TAO_IDL/be_include/be_visitor_any_extracted_type_decl.h:
        * TAO_IDL/be_include/be_attribute.h:
        * TAO_IDL/be_include/be_visitor_component_scope.h:
        * TAO_IDL/be_include/be_visitor_component/facet_exs.h:
        * TAO_IDL/be_include/be_visitor_component/executor_exs.h:
        * TAO_IDL/be_include/be_visitor_component.h:

          Added code generation for attributes in executor impl classes

          - declaration of private members
          - initialization of these members in the constructor
          - working set/get operations (formerly empty) for the members

Wed Oct 20 14:14:28 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * tests/Bug_3919_Regression:
        * tests/Bug_3919_Regression/Bug_3919_Regression.mpc:
        * tests/Bug_3919_Regression/Hello.h:
        * tests/Bug_3919_Regression/Hello.cpp:
        * tests/Bug_3919_Regression/Test.idl:
        * tests/Bug_3919_Regression/client.cpp:
        * tests/Bug_3919_Regression/run_test.pl:
        * tests/Bug_3919_Regression/server.cpp:
        * bin/tao_orb_tests.lst:
          Added a new test to watch for regression of recursive typecode
          fixes.

Wed Oct 20 13:01:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          2804 and 2844 should now run

Wed Oct 20 13:02:07 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * TAO_IDL/ast/ast_exception.cpp:
        * TAO_IDL/ast/ast_sequence.cpp:
        * TAO_IDL/ast/ast_structure.cpp:
        * TAO_IDL/ast/ast_type.cpp:
        * TAO_IDL/ast/ast_union.cpp:
        * TAO_IDL/ast/ast_valuetype.cpp:
        * TAO_IDL/be/be_visitor_typecode/struct_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/union_typecode.cpp:
        * TAO_IDL/be/be_visitor_typecode/value_typecode.cpp:
        * TAO_IDL/include/ast_type.h:
          Fixed incorrect (unnecessary) generation of Recursive typecodes.

        * tao/AnyTypeCode/Recursive_Type_TypeCode.h:
        * tao/AnyTypeCode/Recursive_Type_TypeCode.inl:
        * tao/AnyTypeCode/Recursive_Type_TypeCode.cpp:
        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:
          Fixed incorrect marshaling/demarshaling of Recursive typecodes
          (specifically nested recursions) as well as incorrect reference
          counting of recursive typecodes.

        These changes fix Bugzilla #2804 and 2844.

Wed Oct 20 12:48:50 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added 2918

Tue Oct 19 13:25:26 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/facet_exh.cpp:
          Add a new line between each facet executor

Mon Oct 18 07:15:28 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Transport_Cache_Manager/mock_ps.h:
          Updated for change below

Sun Oct 17 12:21:44 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Connection_Purging_Strategy.h:
        * tao/LRU_Connection_Purging_Strategy.h:
        * tao/LRU_Connection_Purging_Strategy.cpp:
        * tao/Strategies/FIFO_Connection_Purging_Strategy.h:
        * tao/Strategies/FIFO_Connection_Purging_Strategy.cpp:
        * tao/Strategies/LFU_Connection_Purging_Strategy.h:
        * tao/Strategies/LFU_Connection_Purging_Strategy.cpp:
        * tao/Strategies/NULL_Connection_Purging_Strategy.h:
        * tao/Strategies/NULL_Connection_Purging_Strategy.cpp:
        * tao/Transport_Cache_Manager_T.cpp:
          Pass the transport by reference to the purging strategy, it always
          has a value

Fri Oct 15 13:49:28 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Only include ORB_core.h when the reactor method is created.

Fri Oct 15 07:37:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/LRU_Connection_Purging_Strategy.cpp:
        * tao/Strategies/FIFO_Connection_Purging_Strategy.cpp:
        * tao/Strategies/LFU_Connection_Purging_Strategy.cpp:
          Only use the transport pointer when it has a value. Thanks to
          Van Vuong <vanvuong1 at us dot ibm dot com> for providing some stack
          traces where the transport pointer is zero when reaching a purging
          strategy

        * tao/Transport_Cache_Manager_T.cpp:
          Layout changes

Thu Oct 14 17:47:23 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/driver/drv_preproc.cpp:
          Fixed typo in comment

        * TAO_IDL/include/drv_extern.h:
        * orbsvcs/IFR_Service/drv_private_ifr.h:
          Removed TAO_IDL_COMMAND_LINE_BUFFER_SIZE, not used anymore

        * tao/IORTable/Table_Adapter.h:
          layout changes

Thu Oct 14 13:33:45 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * TAO_IDL/driver/drv_preproc.cpp:
          Cleanup I forgot.

Thu Oct 14 13:21:45 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * TAO_IDL/driver/drv_preproc.cpp:
          Changes to dynamically determin the required size for the
          command line arguments buffer and the number of cmdline args.
          The static max is far too inflexible (and the used constant
          too small) for CCM type projects currently in development.

Wed Oct 13 11:18:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * docs/compiler.html:
          Explained the -Gexr option.

Wed Oct 13 06:27:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_util.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
        * TAO_IDL/be/be_visitor_component/facet_exh.cpp:
        * TAO_IDL/be/be_visitor_component/facet_exs.cpp:
        * TAO_IDL/be_include/be_global.h:
          Added another option to the -Gex option. When a user
          passes -Gexr, the TAO IDL compiler will generate an extra
          method in the executor class which retrieves the ACE_Reactor
          of the ORB of the Component. When the reactor
          can't be retrieved, a CORBA::INTERNAL exception will be thrown.

          Also removed the comments which states where the code
          has been generated in the TAO IDL compiler.

Tue Oct 12 14:18:00 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * tao/Codeset/Codeset.mpc:

          Need to explicitly list the Template_Files after the MPC bug fix
          from Mon Oct 11 20:40:13 UTC 2010.

Tue Oct 12 13:15:30 UTC 2010  Simon Massey  <sma at prismtech dot com>

        * TAO_IDL/ast/ast_component.cpp:
        * TAO_IDL/ast/ast_home.cpp:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_module.cpp:
        * TAO_IDL/ast/ast_valuetype.cpp:
        * TAO_IDL/include/ast_component.h:
        * TAO_IDL/include/ast_home.h:
        * TAO_IDL/include/ast_interface.h:
        * TAO_IDL/include/ast_module.h:
        * TAO_IDL/include/ast_valuetype.h:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/include/utl_scope.h:
        * TAO_IDL/util/utl_global.cpp:
        * TAO_IDL/util/utl_scope.cpp:
        * tests/IDL_Test/invalid_scoping1.idl: (renamed from invalid_scoping.idl)
        * tests/IDL_Test/invalid_scoping2.idl:
        * tests/IDL_Test/run_test.pl:

          Fix another invalid_scoping regression (TAO#522/801), the test
          prismtech were using "invalid_scoping2.idl" was suttley different
          to the "invalid_scoping1.idl" being tested here. Bringing
          head into line with the prismtech tests.

Thu Oct  7 11:14:15 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/PortableServer/RequestProcessingStrategyServantActivator.cpp:
          Layout changes

        * tao/Valuetype/ValueBase.h:
          Removed suncc workaround

Mon Oct  4 19:26:55 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * COPYING:
        * TAO-INSTALL.html:
          Small updates

        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
          Fixed memory leak of the Port_Activator

        * tao/Valuetype/ValueBase.h:
          Docu update

Mon Oct  4 13:35:02 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
          Remove one noevents ifdef.

Mon Oct  4 10:35:02 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Request_Context_Repository.h:
        * tao/Remote_Invocation.h:
          Fixed typo

        * tao/ORB_Core.cpp:
          Use true instead of 1

Fri Oct  1 16:00:51 UTC 2010  William Otte  <wotte@zifnab>

        * COPYING:

          Updated to include DAnCE.

Fri Oct  1 12:58:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/util/utl_global.cpp:
          Typo fix

        * tao/PI/Interceptor_List_T.cpp:
          Layout changes

Fri Oct  1 09:54:07 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * orbsvcs/tests/Bug_2777_Regression/run_test.pl:
          Fixed append of .exe part to tao_nslist on Windows.

Thu Sep 30 14:48:58 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/tests/Bug_2777_Regression/run_test.pl:

          The two test targets will communicate over shared memory (SHMIOP)
          so they can't be 32-bit and 64-bit executables on the same host.

Thu Sep 30 10:17:00 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/context_svs.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
          Layout changes to the generated code and simplified the subscribe
          methods, a few checks where done multiple times

Thu Sep 30 09:47:23 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/AnySeq.pidl:
        * tao/AnyTypeCode/Dynamic.pidl:
        * tao/AnyTypeCode/Dynamic_Parameter.pidl:
        * tao/AnyTypeCode/ValueModifier.pidl:
        * tao/AnyTypeCode/Visibility.pidl:
        * tao/BiDir_GIOP/BiDirPolicy.pidl:
        * tao/BooleanSeq.pidl:
        * tao/CSD_Framework/CSD_Framework.pidl:
        * tao/CharSeq.pidl:
        * tao/DoubleSeq.pidl:
        * tao/DynamicAny/DynamicAny.pidl:
        * tao/EndpointPolicy/EndpointPolicyType.pidl:
        * tao/FloatSeq.pidl:
        * tao/IIOP.pidl:
        * tao/IIOP_Endpoints.pidl:
        * tao/IORInterceptor/IORInfo.pidl:
        * tao/IORInterceptor/IORInterceptor.pidl:
        * tao/IORManipulation/IOR.pidl:
        * tao/IORTable/IORTable.pidl:
        * tao/ImR_Client/ImplRepo.pidl:
        * tao/ImR_Client/ServerObject.pidl:
        * tao/LongDoubleSeq.pidl:
        * tao/LongLongSeq.pidl:
        * tao/LongSeq.pidl:
        * tao/Messaging/Messaging.pidl:
        * tao/Messaging/Messaging_No_Impl.pidl:
        * tao/Messaging/Messaging_RT_Policy.pidl:
        * tao/Messaging/Messaging_SyncScope_Policy.pidl:
        * tao/Messaging/Messaging_Types.pidl:
        * tao/Messaging/Pollable.pidl:
        * tao/Messaging_PolicyValue.pidl:
        * tao/Messaging_SyncScope.pidl:
        * tao/ObjectIdList.pidl:
        * tao/Object_Key.pidl:
        * tao/OctetSeq.pidl:
        * tao/PI/ClientRequestInfo.pidl:
        * tao/PI/ClientRequestInterceptor.pidl:
        * tao/PI/Interceptor.pidl:
        * tao/PI/InvalidSlot.pidl:
        * tao/PI/ORBInitInfo.pidl:
        * tao/PI/ORBInitializer.pidl:
        * tao/PI/PIForwardRequest.pidl:
        * tao/PI/RequestInfo.pidl:
        * tao/PI_Server/ServerRequestInfo.pidl:
        * tao/PI_Server/ServerRequestInterceptor.pidl:
        * tao/ParameterMode.pidl:
        * tao/Policy.pidl:
        * tao/Policy_Forward.pidl:
        * tao/PortableInterceptor.pidl:
        * tao/PortableServer/POA.pidl:
        * tao/PortableServer/PS_Forward.pidl:
        * tao/PortableServer/PortableServer.pidl:
        * tao/PortableServer/ServantActivator.pidl:
        * tao/PortableServer/ServantLocator.pidl:
        * tao/PortableServer/ServantManager.pidl:
        * tao/RTCORBA/RTCORBA.pidl:
        * tao/RTPortableServer/RTPortableServer.pidl:
        * tao/RTScheduling/RTScheduler.pidl:
        * tao/Services.pidl:
        * tao/ShortSeq.pidl:
        * tao/Strategies/COIOP_Endpoints.pidl:
        * tao/Strategies/sciop_endpoints.pidl:
        * tao/Strategies/uiop_endpoints.pidl:
        * tao/StringSeq.pidl:
        * tao/TimeBase.pidl:
        * tao/ULongLongSeq.pidl:
        * tao/ULongSeq.pidl:
        * tao/UShortSeq.pidl:
        * tao/WCharSeq.pidl:
        * tao/WStringSeq.pidl:
        * tao/orb_types.pidl:
          Cleanup, no need to document regeneration instructions, that is in the
          mpc files

Thu Sep 30 09:11:50 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * TAO_IDL/be/be_visitor_component/context_svh.cpp:
        * TAO_IDL/be/be_visitor_component/context_svs.cpp:
          Fixed compile issues in generated code related to the
          replacement of ACE_Array_Map with std::map.
          These changes only affects full ccm.

Thu Sep 30 07:09:50 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3896_Regression/Hello.cpp:
        * tests/Bug_3896_Regression/client.cpp:
          Added include to get sleep

Thu Sep 30 05:46:16 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * orbsvcs/orbsvcs/PortableGroup/PG_Properties_Encoder.h:
          Removed comments refering to ACE_Pair.

Wed Sep 29 19:53:17 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/tests/ImplRepo/Bug_689_Regression/bug_689_regression.idl:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/bug_689_regression_i.h:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/bug_689_regression_i.cpp:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/client.cpp:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/run_test.pl:

          Added a no-op two way CORBA call from client to server to make sure
          they are connected before the shutdown() call.  The implicit call to
          _is_a() used to do this, but now with the change from
          Mon Sep 27 14:25:28 UTC 2010  Adam Mitz  <mitza@ociweb.com>
          the _is_a() is no longer needed.

Wed Sep 29 13:35:11 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
        * tests/Bug_3896_Regression:
        * tests/Bug_3896_Regression/Bug_3896_Regression.mpc:
        * tests/Bug_3896_Regression/Hello.h:
        * tests/Bug_3896_Regression/Hello.cpp:
        * tests/Bug_3896_Regression/Test.idl:
        * tests/Bug_3896_Regression/client.cpp:
        * tests/Bug_3896_Regression/run_test.pl:
        * tests/Bug_3896_Regression/server.cpp:
          Added new regression test to validate that an invocation that is
          aborted because of an orb shutdown gives a comm_failure exception
          and not a timeout

        * tests/No_Server_MT_Connect_Test/client.cpp:
          layout changes

Wed Sep 29 12:21:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2112_Regression/client.cpp:
          Fixed warning

        * tao/PortableServer/Servant_var.h:
        * tao/PortableServer/Servant_var.inl:
          Removed commented out code

Wed Sep 28 12:18:42 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_util.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_visitor_ccm_pre_proc.cpp:
        * TAO_IDL/be_include/be_global.h:
        First step of making it possible to disable events in CCM.

Tue Sep 28 15:02:48 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/tests/Bug_2112_Regression/client.cpp:

          Fixed #include to work with installed build.

Tue Sep 28 14:18:36 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/tests/Bug_3891_Regression/Bug_3891_Regression.mpc:

          Test won't build in CORBA/e Micro

        * orbsvcs/tests/Bug_3891_Regression/server.cpp:

          Whitespace cleanup, avoid warnings with older GCC's.

Tue Sep 28 12:10:42 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Environment.h:
        * tao/Environment.cpp:
        * tao/Exception.h:
        * tao/Fault_Tolerance_Service.h:
        * tao/Flushing_Strategy.h:
        * tao/GIOP_Message_State.h:
        * tao/IIOP_Acceptor.h:
        * tao/IIOP_Connection_Handler.h:
        * tao/IIOP_Endpoint.h:
        * tao/Incoming_Message_Queue.h:
        * tao/Invocation_Adapter.h:
        * tao/Invocation_Base.h:
        * tao/Leader_Follower.h:
        * tests/Client_Leaks/Client_Task.h:
        * tests/MT_Timeout/Client_Task.h:
          Doxygen fixes

Tue Sep 28 09:31:34 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/tests/Bug_2112_Regression/client.cpp:
          Fixed not used warnings

Tue Sep 28 08:11:50 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/test.idl:
          Resolved error regarding anonymous types.

Mon Sep 27 15:19:09 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * orbsvcs/orbsvcs/Notify/Random_File.cpp:
          Added missing include for ACE_Guard.

Mon Sep 27 15:04:26 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tao/CSD_ThreadPool/CSD_TP_Synch_Helper.inl:
          Added missing include for ACE_Guard.

Mon Sep 27 14:25:28 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * tao/PortableServer/Root_POA.cpp:

          Fix for bug #3891: set the type_id in the TAO_Stub for
          ImR-ified object references.

        * bin/tao_other_tests.lst:
        * orbsvcs/tests/Bug_3891_Regression/Bug_3891_Regression.mpc:
        * orbsvcs/tests/Bug_3891_Regression/Test.idl:
        * orbsvcs/tests/Bug_3891_Regression/run_test.pl:
        * orbsvcs/tests/Bug_3891_Regression/server.cpp:

          Added regression test.

Mon Sep 27 14:22:25 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tao/AnyTypeCode/SystemExceptionA.cpp:

          Added CORBA namespace scoping to the system exception
          Any extraction operator macro. Thanks to Matthew Waller
          <matthewrwaller at gmail dot com> for reporting the bug.

Mon Sep 27 11:58:28 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
        * bin/tao_other_tests.lst:
          Added 2112 and removed SUNCC_51 checks

        * orbsvcs/tests/Bug_2112_Regression:
        * orbsvcs/tests/Bug_2112_Regression/Bug_2112_Regression.mpc:
        * orbsvcs/tests/Bug_2112_Regression/client.cpp:
        * orbsvcs/tests/Bug_2112_Regression/run_test.pl:
          Integrated test for bugzilla 2112

Mon Sep 27 11:41:31 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tests/MProfile_Connection_Timeout/client.cpp:
          Fixed compile warning.

Mon Sep 27 07:47:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
          Extension component has less methods that need to be generated

Sun Sep 26 18:34:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_provides.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
        * TAO_IDL/be/be_visitor_home/home_svh.cpp:
        * TAO_IDL/be/be_visitor_home/home_svs.cpp:
          Updated for ciao changes

Fri Sep 24 14:51:28 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * bin/tao_other_tests.lst:
          Disabled test for bug 2777 in static builds.

Fri Sep 24 14:19:37 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/tests/Bug_2777_Regression/run_test.pl:

          Fixed a bug in the perl script: $p is an array-ref.

Fri Sep 24 14:07:49 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Changed some generated includes because of changes in CIAO

        * TAO_IDL/be/be_util.cpp:
          Fixed some small issues when really using the ciao_container_type
          option

        * docs/compiler.html:
          Updated name of new option

Fri Sep 24 13:44:07 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Also make the generated includes dependent on the container type

Fri Sep 24 13:40:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * docs/releasenotes/ftrt_ec.html:
        * docs/tutorials/Quoter/Event_Service/index.html:
        * docs/tutorials/Quoter/Naming_Service/index.html:
        * docs/tutorials/Quoter/RT_Event_Service/index.html:
          Some updates regarding ORB services rename action

Fri Sep 24 13:12:07 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_provides.cpp:
        * TAO_IDL/be/be_util.cpp:
        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
        * TAO_IDL/be/be_visitor_component/context_ex_idl.cpp:
        * TAO_IDL/be/be_visitor_component/context_svh.cpp:
        * TAO_IDL/be/be_visitor_component/context_svs.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exh.cpp:
        * TAO_IDL/be/be_visitor_component/executor_exs.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
        * TAO_IDL/be/be_visitor_component_scope.cpp:
        * TAO_IDL/be/be_visitor_connector/executor_ami_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/executor_ami_exs.cpp:
        * TAO_IDL/be/be_visitor_connector/facet_ami_exh.cpp:
        * TAO_IDL/be/be_visitor_connector/facet_ami_exs.cpp:
        * TAO_IDL/be/be_visitor_home/home_svh.cpp:
        * TAO_IDL/be/be_visitor_home/home_svs.cpp:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/be_include/be_interface.h:
        * docs/compiler.html:
          Added ciao_container_type as backend option, this is default Session. This
          way we can start working on other container types easily, just
          specifyc Extention of Entity as backend option and all code
          generated will be tweaked to the other container type

        * tao/ORB_Table.h:
          Fixed typo

Fri Sep 24 11:51:09 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_component/context_svs.cpp:
          Context is now a full template, updated code generation for this

Fri Sep 24 08:49:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * TAO_IDL/util/utl_global.cpp:
          Changed the default behaviour of the IDL compiler when it
          encounters an anonymous type. It'll now generate an error.

Thu Sep 23 16:16:12 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * rules.tao.GNU:

          Updated setting the shared library version numbers to match the
          recent change to gnu.mpd and rules.lib.GNU.

Thu Sep 23 13:16:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
          Fixed indentation problem

Thu Sep 23 12:50:25 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * orbsvcs/orbsvcs/Trader/Service_Type_Repository.h:
        * orbsvcs/orbsvcs/Trader/Trader_Utils.h:
        * orbsvcs/orbsvcs/Trader/Trader_Interfaces.h:
        * orbsvcs/FT_ReplicationManager/FT_DefaultFaultAnalyzer.cpp:
          Removed non-ASCII characters in comments.

        * orbsvcs/examples/ImR/Combined_Service/start_all.conf:
        * orbsvcs/examples/ImR/Combined_Service/run_test.pl:
          Extended timeouts. Previous ones were too short on valgrind builds.

        * tao/PortableServer/RequestProcessingStrategyDefaultServant.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantActivator.cpp:
        * tao/PortableServer/RequestProcessingStrategyAOMOnly.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocator.cpp:
          Added code that ignores any exception from the servant's cleanup.
          This fixes a problem where servant wasn't removed from a poa in case
          servant's destructor threw an exception.

        * tests/ORB_shutdown/Foo_Bar.cpp:
          Don't allow exceptions to propagate out of the servant's destructor.

        * performance-tests/Cubit/TAO/IDL_Cubit/run_test.pl:
          Extended the test so that it can run without SHMIOP part.

        * tests/Bug_1361_Regression/Server_Thread_Pool.cpp:
        * tests/Bug_1476_Regression/Sender_i.h:
        * tests/Codec/client.cpp:
        * tests/DII_AMI_Forward/server_interceptor.cpp:
        * tests/NestedUpcall/Triangle_Test/initiator.cpp:
        * tests/NestedUpcall/Triangle_Test/Object_A_i.cpp:
        * tests/NestedUpcall/Triangle_Test/Object_B_i.cpp:
        * tests/NestedUpcall/Triangle_Test/Object_A_i.h:
        * tests/NestedUpcall/Triangle_Test/Object_B_i.h:
        * tests/NestedUpcall/Triangle_Test/Triangle_Test.idl:
        * tests/NestedUpcall/Triangle_Test/run_test.pl:
        * tests/AMH_Exceptions/server.cpp:
        * tests/MProfile_Connection_Timeout/client.cpp:
        * tests/Oneways_Invoking_Twoways/Sender_i.h:
        * tests/Bug_1476_Test/client.cpp:
          Fixed memory leaks local to these tests.

Thu Sep 23 09:34:36 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/ZIOP/ZIOP.h:
        * tao/ZIOP/ZIOP.cpp:
          Fixed msvc conversion warnings

Thu Sep 23 08:57:10 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * orbsvcs/DevGuideExamples/EventServices/OMG_Basic/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/OMG_TypedEC/run_test.pl:
        * orbsvcs/examples/CosEC/TypedSimple/run_test.pl:
        * orbsvcs/tests/CosEvent/Timeout/run_test.pl:
          Resolved some test errors due to the renaming action.

Thu Sep 23 07:28:48 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * orbsvcs/orbsvcs/sfp.idl:
          Removed anonymous types.

Thu Sep 23 06:07:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Updated generated includes, forgot to commit yesterday

Wed Sep 22 12:56:00 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
          Updated servant base class name

Wed Sep 22 12:05:01 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/orbsvcs.html:
          Fine tuning documentation.

Wed Sep 22 11:58:47 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * docs/orbsvcs.html:
        * orbsvcs/Concurrency_Service/Concurrency_Service.mpc:
          Renamed 'Concurrency_Service' to 'tao_cosconcurrency'

Wed Sep 22 11:56:25 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/orbsvcs.html:
        * orbsvcs/Fault_Notifier/Fault_Notifier.mpc:
        * orbsvcs/tests/FT_App/run_test_demo.pl:
        * orbsvcs/tests/FT_App/run_test_detector.pl:
        * orbsvcs/tests/FT_App/run_test_notifier.pl:
        * orbsvcs/tests/FT_App/run_test_rmnotifier.pl:
          Renamed 'Fault_Notifier' to 'tao_fault_notifier'

Wed Sep 22 11:49:20 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/tutorials/Quoter/Simple/Impl-Repo/index.html:
        * orbsvcs/DevGuideExamples/ImplRepo/Activator/run_test.pl:
        * orbsvcs/DevGuideExamples/ImplRepo/run_test.pl:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/examples/ImR/Advanced/run_test.pl:
        * orbsvcs/tests/Bug_1395_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1437_Regression/run_test.pl:
        * orbsvcs/tests/ImplRepo/Bug_2604_Regression/run_test.pl:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/run_test.pl:
        * orbsvcs/tests/ImplRepo/NameService/run_test.pl:
        * orbsvcs/tests/ImplRepo/run_test.pl:
        * orbsvcs/tests/ImplRepo/scale/run_test.pl:
          Renamed 'ImR_Activator' to 'tao_imr_activator'

Wed Sep 22 11:39:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/orbsvcs.html:
        * docs/tutorials/Quoter/Simple/Impl-Repo/index.html:
        * orbsvcs/DevGuideExamples/ImplRepo/Activator/run_test.pl:
        * orbsvcs/DevGuideExamples/ImplRepo/Basic/run_test.pl:
        * orbsvcs/DevGuideExamples/ImplRepo/IORTable/run_test.pl:
        * orbsvcs/DevGuideExamples/ImplRepo/run_test.pl:
        * orbsvcs/ImplRepo_Service/ImplRepo_Service.mpc:
        * orbsvcs/examples/ImR/Advanced/run_test.pl:
        * orbsvcs/tests/Bug_1395_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1437_Regression/run_test.pl:
        * orbsvcs/tests/ImplRepo/Bug_2604_Regression/run_test.pl:
        * orbsvcs/tests/ImplRepo/Bug_689_Regression/run_test.pl:
        * orbsvcs/tests/ImplRepo/NameService/run_test.pl:
        * orbsvcs/tests/ImplRepo/ReconnectServer/run_test.pl:
        * orbsvcs/tests/ImplRepo/locked/run_test.pl:
        * orbsvcs/tests/ImplRepo/run_test.pl:
        * orbsvcs/tests/ImplRepo/scale/run_test.pl:
          Renamed 'ImplRepo_Service' to 'tao_imr_locator'

Wed Sep 22 09:57:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/util/utl_err.cpp:
          Put Error in the error string for anonymous types so that the
          scoreboard will mark the errors

Wed Sep 22 10:00:26 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * orbsvcs/Time_Service/Time_Service.mpc:
        * orbsvcs/tests/Time/run_test.pl:
          Renamed 'Time_Service_Server' to 'tao_costime_server'
          Renamed 'Time_Service_Clerk' to 'tao_costime_clerk'

Wed Sep 22 09:57:47 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/orbsvcs.html:
        * orbsvcs/Trading_Service/Trading_Service.mpc:
        * orbsvcs/tests/Trading/run_test.pl:
          Renamed 'Trading_Service' to 'tao_costrading'

Wed Sep 22 09:54:57 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * orbsvcs/LoadBalancer/LoadBalancer.mpc:
        * orbsvcs/examples/LoadBalancing/run_test.pl:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Application_Controlled/run_test.pl:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_App_Ctrl/run_test.pl:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/run_test.pl:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Infrastructure_Controlled/run_test.pl:
        * orbsvcs/tests/LoadBalancing/GenericFactory/Manage_Object_Group/run_test.pl:
        * orbsvcs/tests/LoadBalancing/LoadMonitor/CPU/run_test.pl:
          Renamed 'LoadManager' to 'tao_loadmanager'
          Renamed 'LoadMonitor'to 'tao_loadmonitor'

Wed Sep 22 09:41:22 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/orbsvcs.html:
        * docs/releasenotes/ec.html:
        * orbsvcs/DevGuideExamples/EventServices/OMG_Basic/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/OMG_TypedEC/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Basic/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Filter/run_test.pl:
        * orbsvcs/Event_Service/Event_Service.mpc:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/run_test.pl:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/run_test2.pl:
        * orbsvcs/examples/CosEC/TypedSimple/run_test.pl:
        * orbsvcs/tests/CosEvent/Timeout/run_test.pl:
        * orbsvcs/tests/EC_Custom_Marshal/run_test.pl:
        * orbsvcs/tests/EC_Throughput/run_test.pl:
        * orbsvcs/tests/EC_Throughput/run_test_overflow.pl:
          Renamed 'Event_Service' to 'tao_rtevent'

Wed Sep 22 09:19:49 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/context_svh.cpp:
        * TAO_IDL/be/be_visitor_home/home_svs.cpp:
          Changes for homes

Wed Sep 22 09:17:10 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/orbsvcs.html:
        * docs/tutorials/Quoter/Event_Service/index.html:
        * orbsvcs/CosEvent_Service/CosEvent_Service.mpc:
        * orbsvcs/DevGuideExamples/EventServices/OMG_Basic/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/OMG_TypedEC/run_test.pl:
        * orbsvcs/examples/CosEC/TypedSimple/run_test.pl:
        * orbsvcs/tests/CosEvent/Timeout/run_test.pl:
          Renamed 'CosEvent_Service' to 'tao_cosevent'

Wed Sep 22 08:48:22 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/component_svh.cpp:
        * TAO_IDL/be/be_visitor_component/component_svs.cpp:
        * TAO_IDL/be/be_visitor_component/context_svh.cpp:
        * TAO_IDL/be/be_visitor_component/context_svs.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svh.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
        * TAO_IDL/be/be_visitor_component_scope.cpp:
        * TAO_IDL/be/be_visitor_home/home_svh.cpp:
        * TAO_IDL/be/be_visitor_home/home_svs.cpp:
          Use Session_Container in the entry points

Wed Sep 22 08:55:44 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * examples/Advanced/ch_18/run_test.pl:
          Corrected an error during rename action.

Wed Sep 22 08:50:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * TAO-INSTALL.html:
        * examples/Advanced/ch_18/run_test.pl:
        * examples/Callback_Quoter/run_test.pl:
        * examples/Quoter/run_test.pl:
        * examples/RTCORBA/Activity/run_test.pl:
        * examples/RTScheduling/Fixed_Priority_Scheduler/run_test.pl:
        * examples/RTScheduling/MIF_Scheduler/run_test.pl:
        * examples/ior_corbaloc/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/OMG_Basic/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/OMG_SupplierSideEC/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/OMG_TypedEC/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Basic/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Federated/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_Filter/run_test.pl:
        * orbsvcs/DevGuideExamples/EventServices/RTEC_MCast_Federated/run_test.pl:
        * orbsvcs/DevGuideExamples/NamingService/Messenger/run_test.pl:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Client/run_test.pl:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Context_Ext/run_test.pl:
        * orbsvcs/DevGuideExamples/NamingService/corbaloc_Messenger/run_test.pl:
        * orbsvcs/DevGuideExamples/NamingService/corbaname_Messenger/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/EventSequence/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/Filtering/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/Messenger/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/OfferSubscriptions/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/QoSProperties/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/RTNotify/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/SupplierSideNC/run_test.pl:
        * orbsvcs/DevGuideExamples/PortableInterceptors/PICurrent_NameService/run_test.pl:
        * orbsvcs/Naming_Service/Naming_Service.mpc:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/run_test.pl:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/run_test2.pl:
        * orbsvcs/examples/CosEC/TypedSimple/run_test.pl:
        * orbsvcs/examples/LoadBalancing/run_test.pl:
        * orbsvcs/examples/Log/Basic/run_test.pl:
        * orbsvcs/examples/Log/Event/run_test.pl:
        * orbsvcs/examples/Log/Notify/run_test.pl:
        * orbsvcs/examples/Log/RTEvent/run_test.pl:
        * orbsvcs/examples/Notify/Filter/run_test.pl:
        * orbsvcs/examples/Notify/Lanes/run_test.pl:
        * orbsvcs/examples/Notify/Subscribe/run_test.pl:
        * orbsvcs/examples/Notify/ThreadPool/run_test.pl:
        * orbsvcs/examples/RtEC/IIOPGateway/consumerec_crash.pl:
        * orbsvcs/examples/RtEC/IIOPGateway/run_test.pl:
        * orbsvcs/examples/RtEC/Simple/run_test.pl:
        * orbsvcs/tests/AVStreams/Asynch_Three_Stage/run_test.pl:
        * orbsvcs/tests/AVStreams/Bidirectional_Flows/run_test.pl:
        * orbsvcs/tests/AVStreams/Component_Switching/run_test.pl:
        * orbsvcs/tests/AVStreams/Full_Profile/run_test.pl:
        * orbsvcs/tests/AVStreams/Modify_QoS/run_test.pl:
        * orbsvcs/tests/AVStreams/Multicast/run_test.pl:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/run_test.pl:
        * orbsvcs/tests/AVStreams/Multiple_Flows/run_test.pl:
        * orbsvcs/tests/AVStreams/Pluggable/run_test.pl:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/run_test.pl:
        * orbsvcs/tests/AVStreams/Simple_Three_Stage/run_test.pl:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage/run_test.pl:
        * orbsvcs/tests/AVStreams/Simple_Two_Stage_With_QoS/run_test.pl:
        * orbsvcs/tests/BiDir_CORBALOC/run_test.pl:
        * orbsvcs/tests/Bug_1334_Regression/run_test.pl:
        * orbsvcs/tests/Bug_2777_Regression/run_test.pl:
        * orbsvcs/tests/Bug_2800_Regression/run_test_federated.pl:
        * orbsvcs/tests/Bug_3387_Regression/run_test.pl:
        * orbsvcs/tests/CosEvent/Timeout/run_test.pl:
        * orbsvcs/tests/EC_Custom_Marshal/run_test.pl:
        * orbsvcs/tests/EC_Multiple/run_test.pl:
        * orbsvcs/tests/EC_Throughput/run_test.pl:
        * orbsvcs/tests/EC_Throughput/run_test_overflow.pl:
        * orbsvcs/tests/Event/Mcast/RTEC_MCast_Federated/run_test.pl:
        * orbsvcs/tests/HTIOP/Hello/run_test.pl:
        * orbsvcs/tests/ImplRepo/NameService/run_test.pl:
        * orbsvcs/tests/Interoperable_Naming/run_test.pl:
        * orbsvcs/tests/Log/Basic_Log_Test/run_test.pl:
        * orbsvcs/tests/Notify/Basic/run_test.pl:
        * orbsvcs/tests/Notify/Basic/run_test_ipv6.pl:
        * orbsvcs/tests/Notify/Blocking/run_test.pl:
        * orbsvcs/tests/Notify/Bug_1385_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_2415_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_2561_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_3646a_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_3646c_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Discarding/run_test.pl:
        * orbsvcs/tests/Notify/Lanes/run_test.pl:
        * orbsvcs/tests/Notify/MC/run_test.pl:
        * orbsvcs/tests/Notify/MT_Dispatching/run_test.pl:
        * orbsvcs/tests/Notify/Ordering/run_test.pl:
        * orbsvcs/tests/Notify/Persistent_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Persistent_POA/run_test.pl:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Structured_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/run_test.pl:
        * orbsvcs/tests/Notify/ThreadPool/run_test.pl:
        * orbsvcs/tests/Notify/Timeout/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/Filter/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/1_Path_Period_0_Lanes/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/3_Path_Period_10ms_Lanes/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/2_Hops/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/2_Hops_RTCORBA/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/3_Hops/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/3_Hops_RTCORBA/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/Colocated/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/Colocated_RTCORBA/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/Notify/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/Notify_RTCORBA/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Paths_vs_Throughput/run_notify.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Paths_vs_Throughput/run_test.pl:
        * orbsvcs/tests/Property/run_test.pl:
        * orbsvcs/tests/Redundant_Naming/run_test.pl:
        * orbsvcs/tests/Security/ssliop_corbaloc/run_test.pl:
        * orbsvcs/tests/Simple_Naming/run_test.pl:
        * orbsvcs/tests/Simple_Naming/run_test_ffp.pl:
        * orbsvcs/tests/Simple_Naming/run_test_ipv6.pl:
        * tests/Bug_2791_Regression/README:
        * tests/Bug_3299_Regression/README:
        * tests/Bug_3479_Regression/README:
        * tests/DII_AMI_Forward/README:
        * utils/nslist/run_test.pl:
          Renamed 'Naming_Service' to 'tao_cosnaming'

Wed Sep 22 08:57:44 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * orbsvcs/Naming_Service/Naming_Service.mpc:
          Renamed 'NT_Naming_Service' to 'tao_nt_cosnaming'.

Wed Sep 22 08:25:54 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/releasenotes/index.html:
        * orbsvcs/Logging_Service/Event_Logging_Service/Event_Logging_Service.mpc:
        * orbsvcs/Logging_Service/RTEvent_Logging_Service/RTEvent_Logging_Service.mpc:
        * orbsvcs/examples/Log/Event/run_test.pl:
        * orbsvcs/examples/Log/RTEvent/run_test.pl:
          Renamed 'Event_Logging_Service' to 'tao_tls_event'
          Renamed 'RTEvent_Logging_Service' to 'tao_tls_rtevent'

Wed Sep 22 08:22:27 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/releasenotes/index.html:
        * orbsvcs/Logging_Service/Notify_Logging_Service/Notify_Logging_Service.mpc:
        * orbsvcs/examples/Log/Notify/run_test.pl:
          Renamed 'Notify_Logging_Service' to 'tao_tls_notify'

Wed Sep 22 08:19:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/releasenotes/index.html:
        * orbsvcs/Logging_Service/Basic_Logging_Service/Basic_Logging_Service.mpc:
        * orbsvcs/examples/Log/Basic/run_test.pl:
        * orbsvcs/tests/Log/Basic_Log_Test/run_test.pl:
          Renamed Basic_Logging_Service to tao_tls_basic.

Wed Sep 22 08:15:12 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/orbsvcs.html:
        * orbsvcs/Scheduling_Service/Scheduling_Service.mpc:
          Renamed Scheduling_Service to tao_cosscheduling.

Wed Sep 22 08:12:41 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/orbsvcs.html:
        * orbsvcs/Fault_Detector/Fault_Detector.mpc:
        * orbsvcs/tests/FT_App/run_test_demo.pl:
        * orbsvcs/tests/FT_App/run_test_detector.pl:
        * orbsvcs/tests/FT_App/run_test_fault_consumer.pl:
        * orbsvcs/tests/FT_App/run_test_notifier.pl:
        * orbsvcs/tests/FT_App/run_test_rmnotifier.pl:
          Renamed Fault_Detector to tao_fault_detector

Wed Sep 22 08:06:48 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * orbsvcs/TAO_Service/TAO_Service.mpc:
          Renamed TAO_Service to tao_service.

Wed Sep 22 07:43:37 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/interfacerepo/index.html:
        * orbsvcs/DevGuideExamples/EventServices/OMG_TypedEC/run_test.pl:
        * orbsvcs/DevGuideExamples/InterfaceRepo/run_test.pl:
        * orbsvcs/IFR_Service/IFR_Service.mpc:
        * orbsvcs/examples/CosEC/TypedSimple/run_test.pl:
        * orbsvcs/examples/ORT/run_test.pl:
        * orbsvcs/tests/Bug_1393_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1436_Regression/run_test.pl:
        * orbsvcs/tests/Bug_1630_Regression/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Application_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Bug_2962_Regression/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Bug_3155_Regression/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Bug_3174_Regression/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Bug_3200_Regression/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Bug_3495_Regression/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Bug_3881_Regression/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Duplicate_Typedef_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/IDL3_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/IDL_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/IFR_Inheritance_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/IFR_Self_Recursive_IDL_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/IFR_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Latency_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Persistence_Test/run_test.pl:
        * orbsvcs/tests/InterfaceRepo/Union_Forward_Test/run_test.pl:
          Renamed IFR_Service to tao_ifr_service.

Tue Sep 21 11:04:06 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/orbsvcs.html:
        * orbsvcs/FT_ReplicationManager/FT_ReplicationManager.mpc:
        * orbsvcs/tests/FT_App/run_test_demo.pl:
        * orbsvcs/tests/FT_App/run_test_registry.pl:
        * orbsvcs/tests/FT_App/run_test_rmnotifier.pl:
        * orbsvcs/tests/FT_App/run_test_rmregistry.pl:
          Renamed FT_ReplicationManager to tao_ft_replicationmanager.

Tue Sep 21 10:30:11 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
        * docs/notification/monitor.html:
        * docs/orbsvcs.html:
        * orbsvcs/DevGuideExamples/NotifyService/EventSequence/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/Filtering/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/Messenger/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/OfferSubscriptions/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/QoSProperties/run_test.pl:
        * orbsvcs/DevGuideExamples/NotifyService/RTNotify/run_test.pl:
        * orbsvcs/DevGuideExamples/ValueTypes/Notify/run_test.pl:
        * orbsvcs/Notify_Service/Notify_Service.mpc:
        * orbsvcs/examples/Notify/Filter/run_test.pl:
        * orbsvcs/examples/Notify/Lanes/run_test.pl:
        * orbsvcs/examples/Notify/Subscribe/run_test.pl:
        * orbsvcs/examples/Notify/ThreadPool/run_test.pl:
        * orbsvcs/tests/Bug_3387_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Basic/run_test.pl:
        * orbsvcs/tests/Notify/Basic/run_test_ipv6.pl:
        * orbsvcs/tests/Notify/Blocking/run_test.pl:
        * orbsvcs/tests/Notify/Bug_1385_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_1884_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_2415_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_2561_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_3646a_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Bug_3688_Regression/run_test.pl:
        * orbsvcs/tests/Notify/Discarding/run_test.pl:
        * orbsvcs/tests/Notify/Lanes/run_test.pl:
        * orbsvcs/tests/Notify/MC/run_test.pl:
        * orbsvcs/tests/Notify/MT_Dispatching/run_test.pl:
        * orbsvcs/tests/Notify/Ordering/run_test.pl:
        * orbsvcs/tests/Notify/Persistent_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Persistent_POA/run_test.pl:
        * orbsvcs/tests/Notify/Reconnecting/run_test.pl:
        * orbsvcs/tests/Notify/Sequence_Multi_ETCL_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Sequence_Multi_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Structured_Filter/run_test.pl:
        * orbsvcs/tests/Notify/Structured_Multi_Filter/run_test.pl:
        * orbsvcs/tests/Notify/ThreadPool/run_test.pl:
        * orbsvcs/tests/Notify/Timeout/run_test.pl:
        * orbsvcs/tests/Notify/Validate_Client/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/Filter/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/RedGreen/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/1_Path_Period_0_Lanes/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/3_Path_Period_10ms_Lanes/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/Notify/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Max_Throughput/Notify_RTCORBA/run_test.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Paths_vs_Throughput/run_notify.pl:
        * orbsvcs/tests/Notify/performance-tests/scripts/Paths_vs_Throughput/run_test.pl:
          Renamed Notify_Service to tao_cosnotification.

Tue Sep 21 09:47:22 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * docs/orbsvcs.html:
        * orbsvcs/Dump_Schedule/Dump_Schedule.mpc:
          Renamed Dump_Schedule to tao_dump_schedule.

Tue Sep 21 09:41:09 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * docs/orbsvcs.html:
        * examples/Quoter/run_test.pl:
        * orbsvcs/LifeCycle_Service/LifeCycle_Service.mpc:
          Renamed LifeCycle_Service to tao_coslifecycle. This is the first
          commit of a rename action regarding the ORB services. This rename
          action is performed due to the fact that different CORBA vendors also
          have these services and it is sometimes hard to distinguish between
          those. The main change will be the tao_ prefix.

Tue Sep 21 07:06:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/context_svh.cpp:
        * TAO_IDL/be/be_visitor_component/context_svs.cpp:
          For the moment generate the instance id again as part of the context

Tue Sep 21 06:42:42 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_provides.cpp:
          Removed generation for EntityContext, we don't support Entity at
          all

Mon Sep 20 15:27:54 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * tao/ImR_Client/ImR_Client.mpc:

          Updated lists of Header and Include Files for install.

Mon Sep 20 14:48:01 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * tao/TransportCurrent/TC.mpc:
        * tao/TransportCurrent/TC_IIOP.mpc:

          *C.inl files are no longer generated.

Mon Sep 20 13:52:02 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          Updated generated includes

Mon Sep 20 13:19:19 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_visitor_component/context_svh.cpp:
        * TAO_IDL/be/be_visitor_component/context_svs.cpp:
          Updated includes and for the fact that we now talk about SessionContext

Mon Sep 20 11:54:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * tests/IDL_Test/interface.idl:
          Fuzz (trailing space).

Mon Sep 20 11:42:58 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/component_ex_idl.cpp:
          Don't generate typedef of the context, not needed at all

Mon Sep 20 10:46:39 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_codegen.cpp:
          AMI4CCM doesn't need to access container/context internals

Mon Sep 20 09:32:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * tests/Bug_3042_Regression/test.idl:
        * tests/DII_Collocation_Tests/twoway/Test.idl:
        * tests/IDL_Test/IDL_Test.mpc:
        * tests/IDL_Test/interface.idl:
        * tests/IDL_Test/old_array.idl:
        * tests/IDL_Test/old_sequence.idl:
        * tests/IDL_Test/old_struct.idl:
          Rewritten anonymous types since anonymous types are not allowed.

Mon Sep 20 08:54:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_connector/facet_ami_exs.cpp:
          Use new methods on the context to get the POA

        * orbsvcs/orbsvcs/LoadBalancing/LB_LoadManager.h:
          Fixed typo

Mon Sep 20 03:05:29 UTC 2010  Scott Harris  <harris_s@ociweb.com>

        * tao/String_Manager_T.h:

          Reverted previous change because it caused ambiguous overloads
          in code that compared String_Manager == 0.

Sat Sep 18 22:38:22 UTC 2010  Scott Harris  <harris_s@ociweb.com>

        * tao/String_Manager_T.h:

          Added equality operators per Bugzilla #3844.

Fri Sep 17 22:15:54 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * tao/Codeset/Codeset.mpc:
        * tao/Strategies/Strategies.mpc:
        * tao/Valuetype/Valuetype.mpc:

          Restoring "make install" functionality (installing all needed
          headers, inline files, and template files) which was lost when these
          mpc files were moved.  Still need to fix some or all of the other mpc
          files (at least ImR_Client).

Fri Sep 17 20:44:43 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * orbsvcs/orbsvcs/AV/QoS_UDP.cpp:

          Added include of OS_NS_strings.h for ACE_OS::strcasecmp().

Fri Sep 17 20:20:37 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * tao/AnyTypeCode/AnyTypeCode.mpc:
        * tao/BiDir_GIOP/BiDir_GIOP.mpc:
        * tao/CSD_Framework/CSD_Framework.mpc:
        * tao/CSD_ThreadPool/CSD_ThreadPool.mpc:
        * tao/CodecFactory/CodecFactory.mpc:
        * tao/Codeset/Codeset.mpc:
        * tao/Compression/Compression.mpc:
        * tao/Compression/bzip2/Bzip2Compressor.mpc:
        * tao/Compression/lzo/LzoCompressor.mpc:
        * tao/Compression/zlib/ZlibCompressor.mpc:
        * tao/DiffServPolicy/DiffServPolicy.mpc:
        * tao/DynamicAny/DynamicAny.mpc:
        * tao/DynamicInterface/DynamicInterface.mpc:
        * tao/ETCL/TAO_ETCL.mpc:
        * tao/EndpointPolicy/EndpointPolicy.mpc:
        * tao/FlResource/FlResource.mpc:
        * tao/FoxResource/FoxResource.mpc:
        * tao/IFR_Client/IFR_Client.mpc:
        * tao/IORInterceptor/IORInterceptor.mpc:
        * tao/IORManipulation/IORManipulation.mpc:
        * tao/IORTable/IORTable.mpc:
        * tao/ImR_Client/ImR_Client.mpc:
        * tao/Messaging/Messaging.mpc:
        * tao/Monitor/Monitor.mpc:
        * tao/ObjRefTemplate/ObjRefTemplate.mpc:
        * tao/PI/PI.mpc:
        * tao/PI_Server/PI_Server.mpc:
        * tao/PortableServer/PortableServer.mpc:
        * tao/QtResource/QtResource.mpc:
        * tao/RTCORBA/RTCORBA.mpc:
        * tao/RTPortableServer/RTPortableServer.mpc:
        * tao/RTScheduling/RTScheduler.mpc:
        * tao/SmartProxies/SmartProxies.mpc:
        * tao/Strategies/Strategies.mpc:
        * tao/TkResource/TkResource.mpc:
        * tao/TransportCurrent/TC.mpc:
        * tao/TransportCurrent/TC_IIOP.mpc:
        * tao/TypeCodeFactory/TypeCodeFactory.mpc:
        * tao/Utils/Utils.mpc:
        * tao/Valuetype/Valuetype.mpc:
        * tao/XtResource/XtResource.mpc:
        * tao/ZIOP/ZIOP.mpc:

          Since these have been moved, the default install_dir isn't what we
          want.  Set the install_dir to the path to the .mpc, starting with
          tao/.

Fri Sep 17 17:46:09 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_component/context_svh.cpp:
        * TAO_IDL/be/be_visitor_component/servant_svs.cpp:
          Context constructor now takes one less argument

        * TAO_IDL/be/be_visitor_component/context_svs.cpp:
          Fixed indentation problem

Fri Sep 17 15:18:15 UTC 2010  Adam Mitz  <mitza@ociweb.com>

        * tao/Utils/Utils.mpc:

          Updated relative paths to the Template_Files.

Fri Sep 17 09:23:47 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * bin/tao_other_tests.lst:
          Disabled test for bug#2777 on builds without corba_messaging.
          tao_nslist requires the later.

Fri Sep 17 09:17:34 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Utils/Synch_Refcountable.h:
        * tao/Utils/Synch_Refcountable.inl:
        * tao/Utils/Synch_Refcountable.cpp:
          Removed these files, not used anymore, ACE_Atomic_Op is what is used
          instead

Fri Sep 17 06:26:49 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
          Moved implementation _nil method into the generated cpp file

Thu Sep 16 14:59:33 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TransportCurrent/TC.mpc:
        * tao/TransportCurrent/TC_IIOP.mpc:
          Reduced the number of files generated

Thu Sep 16 14:54:19 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/TransportCurrent/TC.mpc:
        * tao/TransportCurrent/TC_IIOP.mpc:
          Added empty IDL_Files sections

Thu Sep 16 10:32:39 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * test/Bug_3812_Regression:
          Removed unused, incomplete and incorrect test.
          The test attempted to test the problems from the referred bug
          but instead of testing the code from TAO itself it tested some
          simulating code in the test itself making it independent of whether
          TAO was fixed or not.
          Unfortunately it is not possible to change the test to reliably
          reproduce the bug (or its being fixed) using more generalized code
          accessing TAO functionality itself.

Thu Sep 16 09:19:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/AMH_AMI/inner_i.cpp:
        * examples/CSD_Strategy/ThreadPool5/ClientTask.cpp:
        * examples/CSD_Strategy/ThreadPool5/FooServantList.cpp:
        * orbsvcs/Event_Service/Event_Service.cpp:
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:
        * orbsvcs/Scheduling_Service/Scheduling_Service.cpp:
        * orbsvcs/examples/Notify/Federation/Agent/Agent.cpp:
        * orbsvcs/orbsvcs/Channel_Clients_T.h:
        * orbsvcs/orbsvcs/CosConcurrencyControl.idl:
        * orbsvcs/orbsvcs/CosNaming.idl:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Acceptor.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connection_Handler.cpp:
        * orbsvcs/orbsvcs/Notify/Random_File.cpp:
        * orbsvcs/tests/Bug_2248_Regression/client.cpp:
        * orbsvcs/tests/EC_Throughput/ECT_Throughput.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/client.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/serverB.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_App_Ctrl/Basic.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_App_Ctrl/client.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/Factory.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/Simple.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/client.cpp:
        * orbsvcs/tests/Notify/Bug_3688_Regression/supplier.cpp:
        * orbsvcs/tests/Notify/MT_Dispatching/Notify_Structured_Push_Consumer.cpp:
        * orbsvcs/tests/Notify/Persistent_Filter/Filter.cpp:
        * tests/Bug_2936_Regression/bug2936.cpp:
        * tests/Bug_3531_Regression/client.cpp:
        * tests/Bug_3647_Regression/Backend_Impl.cpp:
        * tests/Bug_3812_Regression/run_test.pl:
        * tests/Bug_3853_Regression/Hello_i.cpp:
        * tests/File_IO/client.cpp:
        * tests/Hang_Shutdown/client.cpp:
        * tests/ORB_Local_Config/Bug_2612/Test.cpp:
        * tests/POA/Default_Servant2/client.cpp:
          Added missing includes

Thu Sep 16 09:14:39 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * tao/Transport_Cache_Manager_T.inl:
        * tao/Transport_Cache_Manager_T.h:
        * tao/Transport_Cache_Manager_T.cpp:
        * tao/Transport.cpp:
          Changes to fix threadsafety of cache entry management.
          This fixes Bugzilla #3812.

Wed Sep 15 15:51:01 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_visitor_operation/operation_ih.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_is.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_exs.cpp:

          Skip traversal if the operation is an AMI sendc_* implied
          IDL addition. The CORBA servant impl and CCM executor
          classes should not be providing these (empty) operations
          for the application developer to fill in.

        * TAO_IDL/be/be_visitor_interface/interface_ih.cpp:

          Cosmetic changes.

Wed Sep 15 13:07:39 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/pidl_install.mpb:
        * tao/pidl_install.mpb:
          Moved from tao to MPC/config

Wed Sep 15 11:32:04 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode/AnyTypeCode.mpc:
        * tao/BiDir_GIOP/BiDir_GIOP.mpc:
        * tao/CSD_Framework/CSD_Framework.mpc:
        * tao/CSD_ThreadPool/CSD_ThreadPool.mpc:
        * tao/CodecFactory/CodecFactory.mpc:
        * tao/Codeset/Codeset.mpc:
        * tao/Compression/Compression.mpc:
        * tao/DiffServPolicy/DiffServPolicy.mpc:
        * tao/DynamicAny/DynamicAny.mpc:
        * tao/DynamicInterface/DynamicInterface.mpc:
        * tao/ETCL/TAO_ETCL.mpc:
        * tao/EndpointPolicy/EndpointPolicy.mpc:
        * tao/IFR_Client/IFR_Client.mpc:
        * tao/IORInterceptor/IORInterceptor.mpc:
        * tao/IORManipulation/IORManipulation.mpc:
        * tao/IORTable/IORTable.mpc:
        * tao/ImR_Client/ImR_Client.mpc:
        * tao/Messaging/Messaging.mpc:
        * tao/Monitor/Monitor.mpc:
        * tao/ObjRefTemplate/ObjRefTemplate.mpc:
        * tao/PI/PI.mpc:
        * tao/PI_Server/PI_Server.mpc:
        * tao/PortableServer/PortableServer.mpc:
        * tao/RTCORBA/RTCORBA.mpc:
        * tao/RTPortableServer/RTPortableServer.mpc:
        * tao/RTScheduling/RTScheduler.mpc:
        * tao/SmartProxies/SmartProxies.mpc:
        * tao/Strategies/Strategies.mpc:
        * tao/TransportCurrent/TC.mpc:
        * tao/TransportCurrent/TC_IIOP.mpc:
        * tao/TypeCodeFactory/TypeCodeFactory.mpc:
        * tao/Utils/Utils.mpc:
        * tao/Valuetype/Valuetype.mpc:
        * tao/ZIOP/ZIOP.mpc:
          Moved all MPC files to their subdirectory and simplified them

        * tao/BiDir_GIOP.mpc:
        * tao/CSD_Framework.mpc:
        * tao/CSD_ThreadPool.mpc:
        * tao/CodecFactory.mpc:
        * tao/Codeset.mpc:
        * tao/Compression.mpc:
        * tao/DiffServPolicy.mpc:
        * tao/DynamicAny.mpc:
        * tao/DynamicInterface.mpc:
        * tao/EndpointPolicy.mpc:
        * tao/IFR_Client.mpc:
        * tao/IORInterceptor.mpc:
        * tao/IORManipulation.mpc:
        * tao/IORTable.mpc:
        * tao/ImR_Client.mpc:
        * tao/Messaging.mpc:
        * tao/Monitor.mpc:
        * tao/ObjRefTemplate.mpc:
        * tao/PI.mpc:
        * tao/PI_Server.mpc:
        * tao/PortableServer.mpc:
        * tao/RTCORBA.mpc:
        * tao/RTPortableServer.mpc:
        * tao/RTScheduler.mpc:
        * tao/SmartProxies.mpc:
        * tao/Strategies.mpc:
        * tao/TC.mpc:
        * tao/TC_IIOP.mpc:
        * tao/TypeCodeFactory.mpc:
        * tao/Utils.mpc:
        * tao/Valuetype.mpc:
        * tao/ZIOP.mpc:
          Removed these files.

Tue Sep 14 18:46:20 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/AnyTypeCode.mpc:
        * tao/extra_anytypecode.mpb:
        * tao/AnyTypeCode/AnyTypeCode.mpc:
        * tao/AnyTypeCode/extra_anytypecode.mpb:
          Moved to the AnyTypeCode directory and use the new -iC flag, the
          other mpc files in the tao directory will be moved soon

Tue Sep 14 11:29:21 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/tao_pss.doxygen:
          Removed this file.

Tue Sep 14 09:24:08 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/examples/LoadBalancing/server.cpp:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/TimeStamp.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_App_Ctrl/client.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/client.cpp:
          Added missing includes

Mon Sep 13 19:09:35 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be_include/be_global.h:

          Added command line option -iC <path> to override the default
          prefix (if any) for generated *C.h includes *A.h.

        * TAO_IDL/be/be_util.cpp:

          Updated tao_idl usage message.

        * tao/docs/compiler.html:

          Updated IDL compiler command line option documentation.

Mon Sep 13 18:53:08 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/psdl.mpb:
        * orbsvcs/PSS:
        * orbsvcs/examples/PSS:
          Removed these files, have been disabled for years now

Mon Sep 13 18:15:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

          *:
          Zapped trailing whitespaces using
          find -name \*.h -o -name \*.cpp -name \*.inl | xargs perl -i -pe's/\s+\n/\n/'

Mon Sep 13 15:12:27 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Callback_Quoter/Consumer_Handler.cpp:
        * examples/Simulator/Event_Supplier/Event_Sup.cpp:
          Added needed includes

Mon Sep 13 14:56:45 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.cpp:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Factory.cpp:
        * tests/File_IO/client.cpp:
        * tests/POA/Default_Servant2/client.cpp:
          Added needed includes

Mon Sep 13 14:42:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Identification_Service.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Log.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/UUID.cpp:
        * orbsvcs/orbsvcs/Notify/Name_Value_Pair.cpp:
        * orbsvcs/orbsvcs/Notify/Random_File.cpp:
        * tests/CodeSets/libs/UCS4_UTF16/WUCS4_UTF16.cpp:
          Added needed includes

Mon Sep 13 13:53:20 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Portable_Interceptors/Benchmark/Interceptor_Type.cpp:
          Added missing include

Mon Sep 13 13:38:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Compression/bzip2/Bzip2Compressor.mpc:
        * tao/Compression/lzo/LzoCompressor.mpc:
        * tao/Compression/zlib/ZlibCompressor.mpc:
        * tao/FlResource/FlResource.mpc:
        * tao/FoxResource/FoxResource.mpc:
        * tao/QtResource/QtResource.mpc:
        * tao/TkResource/TkResource.mpc:
          Moved these mpc files to their own directory

        * tao/Bzip2Compressor.mpc:
        * tao/FlResource.mpc:
        * tao/FoxResource.mpc:
        * tao/LzoCompressor.mpc:
        * tao/QtResource.mpc:
        * tao/TkResource.mpc:
        * tao/ZlibCompressor.mpc:
          Removed these files.

Mon Sep 13 13:29:02 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/PP_Memory_Management.txt:
        * tao/PP_Memory_Management.txt:
          Moved to docs

        * configure.ac:
          Removed these files.

Mon Sep 13 13:26:24 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Added removal of Makefile.am files

        * PROBLEM-REPORT-FORM:
          Zapped question for configure

        * tao/Utils.mpc:
        * tao/Utils/TAO_Utils.pc.in:
        * tao/TAO_Utils.pc.in:
          Moved in file to Utils

        * tao/XtResource/XtResource.mpc:
        * tao/XtResource.mpc:
          Moved to XtResource

Mon Sep 13 09:27:13 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/AMH_AMI/inner_i.cpp:
        * examples/Advanced/ch_12/icp.h:
        * examples/Advanced/ch_18/icp.h:
        * examples/Advanced/ch_21/icp.h:
        * examples/Advanced/ch_8_and_10/icp.h:
        * examples/CSD_Strategy/ThreadPool/Foo_i.cpp:
        * examples/CSD_Strategy/ThreadPool2/FooServantList.cpp:
        * examples/CSD_Strategy/ThreadPool2/Foo_i.cpp:
        * examples/CSD_Strategy/ThreadPool4/ClientTask.cpp:
        * examples/CSD_Strategy/ThreadPool4/Foo_i.cpp:
        * examples/CSD_Strategy/ThreadPool5/ClientTask.cpp:
        * examples/CSD_Strategy/ThreadPool5/FooServantList.cpp:
        * examples/CSD_Strategy/ThreadPool5/Foo_i.cpp:
        * examples/CSD_Strategy/ThreadPool6/Foo_i.cpp:
        * examples/Callback_Quoter/Consumer_Handler.cpp:
        * examples/Callback_Quoter/Supplier_Timer_Handler.cpp:
        * examples/Kokyu_dsrt_schedulers/Task_Stats.cpp:
        * examples/Kokyu_dsrt_schedulers/utils.h:
        * examples/Logging/Logging_Service_i.h:
        * examples/Persistent_Grid/Grid_i.h:
        * examples/RTCORBA/Activity/Task_Stats.cpp:
        * examples/RTScheduling/Task_Stats.cpp:
        * examples/Simple/bank/AccountManager_i.h:
        * examples/Simulator/Event_Supplier/DOVE_Supplier.h:
        * interop-tests/wchar/wchar_reference.h:
        * orbsvcs/DevGuideExamples/NamingService/Naming_Server/NamingMessenger.cpp:
        * orbsvcs/DevGuideExamples/Security/PolicyControllingApp/MessengerClient.cpp:
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:
        * orbsvcs/Naming_Service/NT_Naming_Server.cpp:
        * orbsvcs/Naming_Service/NT_Naming_Service.h:
        * orbsvcs/Notify_Service/NT_Notify_Server.cpp:
        * orbsvcs/Notify_Service/NT_Notify_Service.h:
        * orbsvcs/PSS/PSDL_l.cpp:
        * orbsvcs/Trading_Service/Trading_Service.cpp:
        * orbsvcs/examples/LoadBalancing/server.cpp:
        * orbsvcs/examples/Notify/Federation/Agent/Agent.cpp:
        * orbsvcs/examples/Notify/Federation/Gate/Gate.h:
        * orbsvcs/examples/Notify/Federation/SpaceCraft/SpaceCraft.cpp:
        * orbsvcs/orbsvcs/AV/AVStreams_i.h:
        * orbsvcs/orbsvcs/AV/QoS_UDP.h:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/Log.h:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/UUID.h:
        * orbsvcs/orbsvcs/HTIOP/HTIOP_Connector.h:
        * orbsvcs/orbsvcs/Notify/Random_File.cpp:
        * orbsvcs/orbsvcs/Sched/Config_Scheduler.h:
        * orbsvcs/orbsvcs/Scheduler_Factory.cpp:
        * orbsvcs/orbsvcs/Time/TAO_UTO.cpp:
        * orbsvcs/performance-tests/RTEvent/lib/Client_Options.cpp:
        * orbsvcs/tests/Bug_2248_Regression/client.cpp:
        * orbsvcs/tests/Bug_2800_Regression/nsmain.cpp:
        * orbsvcs/tests/Bug_3673_Regression/nsmain.cpp:
        * orbsvcs/tests/COIOP_Naming_Test/Hello.h:
        * orbsvcs/tests/Concurrency/CC_test_utils.cpp:
        * orbsvcs/tests/Concurrency/CC_tests.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/client.cpp:
        * orbsvcs/tests/ImplRepo/ReconnectServer/serverB.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_App_Ctrl/Basic.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_App_Ctrl/client.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_App_Ctrl/server.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/Factory.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/Simple.cpp:
        * orbsvcs/tests/LoadBalancing/GenericFactory/DeadMemberDetection_Inf_Ctrl/client.cpp:
        * orbsvcs/tests/Notify/Bug_1884_Regression/supplier.cpp:
        * orbsvcs/tests/Notify/Bug_3252_Regression/server.cpp:
        * orbsvcs/tests/Notify/Bug_3688_Regression/supplier.cpp:
        * orbsvcs/tests/Notify/MT_Dispatching/Notify_Structured_Push_Consumer.cpp:
        * orbsvcs/tests/Notify/Persistent_Filter/Filter.cpp:
        * orbsvcs/tests/Notify/lib/Task_Stats.cpp:
        * orbsvcs/tests/Notify/performance-tests/Throughput/Throughput.cpp:
        * performance-tests/CSD_Strategy/TestApps/ServerApp.cpp:
        * performance-tests/CSD_Strategy/TestInf/AppHelper.h:
        * performance-tests/CSD_Strategy/TestServant/Foo_i.cpp:
        * tests/Bug_2677_Regression/server.cpp:
        * tests/Bug_2936_Regression/bug2936.cpp:
        * tests/Bug_3251_Regression/server.cpp:
        * tests/Bug_3531_Regression/client.cpp:
        * tests/Bug_3531_Regression/test_i.cpp:
        * tests/Bug_3542_Regression/server.cpp:
        * tests/Bug_3647_Regression/Backend_Impl.cpp:
        * tests/Bug_3766_Regression/client.cpp:
        * tests/Bug_3766_Regression/server.cpp:
        * tests/Bug_3812_Regression/Bug_3812_Regression.cpp:
        * tests/Bug_3853_Regression/Hello_i.cpp:
        * tests/Bug_3853_Regression/client.cpp:
        * tests/COIOP/Hello.h:
        * tests/CSD_Strategy_Tests/Broken/ServerApp.cpp:
        * tests/CSD_Strategy_Tests/TP_Common/AppHelper.h:
        * tests/CSD_Strategy_Tests/TP_Foo_B/Foo_B_ClientEngine.cpp:
        * tests/CSD_Strategy_Tests/TP_Foo_B/Foo_B_SimpleClientEngine.cpp:
        * tests/CSD_Strategy_Tests/TP_Foo_B/Foo_B_i.cpp:
        * tests/CSD_Strategy_Tests/TP_Test_2/ServerApp.cpp:
        * tests/CSD_Strategy_Tests/TP_Test_3/ServerApp.cpp:
        * tests/CSD_Strategy_Tests/TP_Test_4/ServerApp.cpp:
        * tests/CodeSets/libs/UCS4_UTF16/WUCS4_UTF16.cpp:
        * tests/Collocation_Exception_Test/Hello.h:
        * tests/Collocation_Oneway_Tests/Hello.h:
        * tests/Collocation_Tests/Hello.h:
        * tests/DII_Collocation_Tests/oneway/Hello.h:
        * tests/DII_Collocation_Tests/twoway/Hello.h:
        * tests/DynAny_Test/test_wrapper.cpp:
        * tests/File_IO/client.cpp:
        * tests/ForwardOnceUponException/client.cpp:
        * tests/Hang_Shutdown/client.cpp:
        * tests/Nested_Event_Loop/client.cpp:
        * tests/Nested_Upcall_Crash/Clock_Ticks.h:
        * tests/ORB_Local_Config/Bug_2612/Test.cpp:
        * tests/POA/Bug_2511_Regression/server.cpp:
        * tests/POA/Default_Servant2/client.cpp:
        * tests/POA/Explicit_Activation/Alt_Resources/Alt_Resource_Factory.h:
        * tests/ZIOP/client.cpp:
          Removed include of ace/OS.h

Mon Sep 13 07:46:21 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Makefile.am:
          Removed, configure is too experimental to be used for TAO. If
          someone really wants to use configure we need to fix the MPC
          generator and the configure script and really perform testing

Thu Sep  9 18:29:21 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/Leader_Follower.inl:
        * tao/Leader_Follower.cpp:
          Changed empty to is_empty

Thu Sep  9 12:15:57 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/ImplRepo_Service/Locator_Repository.cpp:
        * orbsvcs/examples/Log/Event/Event_Consumer.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ClientService_Activate.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_ServerService_Activate.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Activate.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/Utils/FTEC_Gateway.cpp:
        * orbsvcs/orbsvcs/Naming/Storable_Naming_Context.cpp:
        * orbsvcs/performance-tests/LoadBalancing/LBPerf/RPS/RPS_Monitor.cpp:
        * orbsvcs/tests/Concurrency/CC_naming_service.cpp:
        * performance-tests/Memory/IORsize/Foo_i.cpp:
        * performance-tests/Memory/IORsize/Memory_Growth.h:
        * performance-tests/Memory/IORsize/Test.idl:
        * tests/Bug_1476_Regression/Sender_i.cpp:
        * tests/Codec/client.cpp:
        * tests/File_IO/server.cpp:
        * tests/IOR_Endpoint_Hostnames/list_interfaces.cpp:
        * tests/MT_BiDir/Sender_i.cpp:
        * tests/ORB_Local_Config/Bug_1459/Test.cpp:
        * tests/ORB_Local_Config/Service_Dependency/Service_Config_DLL.cpp:
        * tests/ORB_Local_Config/Two_DLL_ORB/ORB_DLL.cpp:
        * tests/ORT/ORT_test_IORInterceptor.cpp:
        * tests/ORT/ServerORBInitializer.cpp:
        * tests/Oneways_Invoking_Twoways/Receiver_i.cpp:
        * tests/Portable_Interceptors/Bug_2510_Regression/test_i.cpp:
        * tests/Portable_Interceptors/PolicyFactory/Server_ORBInitializer.cpp:
          Fixed fuzz

Thu Sep  9 11:20:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DevGuideExamples/AMH_AMI/inner_server.cpp:
        * DevGuideExamples/AMH_AMI/middle_server.cpp:
        * examples/Kokyu_dsrt_schedulers/Task_Stats.cpp:
        * examples/RTScheduling/Task_Stats.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Service_Container.h:
        * orbsvcs/orbsvcs/Naming/Naming_Service_Container.cpp:
        * orbsvcs/orbsvcs/Notify/Name_Value_Pair.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Current_Impl.cpp:
        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/receiver.cpp:
        * tao/DynamicInterface/Request.inl:
        * tao/ORB_Constants.h:
        * tao/Utils/Synch_Refcountable.h:
        * tao/Utils/Synch_Refcountable.inl:
        * tao/Utils/Synch_Refcountable.cpp:
        * tests/Portable_Interceptors/Benchmark/Interceptor_Type.cpp:
          Cleanup

Thu Sep  9 09:28:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/orbsvcs/HTIOP/HTIOP_Transport.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Accept_Strategy.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Accept_Strategy.cpp:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Transport.h:
          All compilers now support template typedefs, no need to use the
          macros

Wed Sep  8 14:42:36 UTC 2010  William Otte  <wotte@zifnab>

        * Release:

          Removing obsolete release makefile.

Wed Sep  8 13:14:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * *.cpp:
          Removed RCS_ID

Wed Sep  8 06:16:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3068_Regression/test_i.h:
          Fixed compile error

Wed Sep  8 06:00:00 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.cpp:
        * orbsvcs/examples/Notify/Federation/Gate/Gate.cpp:
        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.cpp:
          Fixed compile errors

        * tao/Acceptor_Registry.h:
          Use ACE_Copy_Disabled

Tue Sep  7 18:07:16 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * utils/logWalker/Log.cpp:
          Added missing include

Tue Sep  7 11:34:14 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tao/BiDir_GIOP/BiDirGIOP.cpp:
        * tao/IORManipulation/IORManip_Loader.cpp:
        * tao/PortableServer/RequestProcessingStrategyServantLocator.cpp:
        * tao/Strategies/SCIOP_Endpoint.cpp:
        * tao/Utils/Servant_Var.cpp:
          Fuzz fixes

Tue Sep  7 10:52:59 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * PROBLEM-REPORT-FORM:
        * VERSION:
          Updated support email addresses

        * examples/CSD_Strategy/ThreadPool2/FooServantList.h:
        * examples/CSD_Strategy/ThreadPool2/FooServantList.cpp:
          Use ACE_Atomic_Op instead of a mutex with a guard

        * examples/CSD_Strategy/ThreadPool5/FooServantList.h:
        * examples/CSD_Strategy/ThreadPool5/FooServantList.cpp:
          Use ACE_GUARD

        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.h:
        * orbsvcs/Fault_Detector/FT_FaultDetectorFactory_i.cpp:
          Use ACE_GUARD

        * orbsvcs/Fault_Notifier/FT_Notifier_i.h:
          Removed not used members

        * orbsvcs/Fault_Notifier/FT_Notifier_i.cpp:
          Unicode fixes

        * orbsvcs/examples/Notify/Federation/Gate/Gate.h:
        * orbsvcs/examples/Notify/Federation/Gate/Gate.cpp:
          Use ACE_GUARD, removed commented out code

        * orbsvcs/examples/PSS/Server.idl:
        * orbsvcs/examples/PSS/Server_i.h:
        * orbsvcs/examples/PSS/Server_i.cpp:
        * orbsvcs/examples/PSS/Simple_Naming.idl:
        * orbsvcs/examples/PSS/Simple_Naming.cpp:
        * orbsvcs/examples/PSS/Simple_Naming_i.h:
        * orbsvcs/examples/PSS/client.cpp:
          Removed ACE_RCSID

        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/AMI_Primary_Replication_Strategy.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/AMI_Replication_Strategy.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Basic_Replication_Strategy.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ConsumerAdmin.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_Group_Manager.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ProxyConsumer.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FTEC_ProxySupplier.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_Base.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/FT_ProxyAdmin_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_Loader.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/Fault_Detector_T.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/ForwardCtrlServerInterceptor.cpp:
        * orbsvcs/orbsvcs/FtRtEvent/EventChannel/create_persistent_poa.cpp:
          Removed ACE_RCSID, use ACE_GUARD macros

        * orbsvcs/orbsvcs/Notify/Buffering_Strategy.cpp:
        * orbsvcs/orbsvcs/Notify/Consumer.h:
        * orbsvcs/orbsvcs/Notify/Consumer.cpp:
        * orbsvcs/orbsvcs/Notify/Routing_Slip.h:
        * orbsvcs/orbsvcs/Notify/Routing_Slip.cpp:
        * orbsvcs/orbsvcs/Notify/Routing_Slip_Queue.h:
        * orbsvcs/orbsvcs/Notify/Routing_Slip_Queue.cpp:
          Use ACE_GUARD

        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.h:
        * orbsvcs/orbsvcs/Notify/Sequence/SequencePushConsumer.cpp:
          Disable ACE_Guard fuzz check for some parts of this file

        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.h:
          Removed not used members

        * orbsvcs/orbsvcs/PortableGroup/PG_FactoryRegistry.cpp:
          Layout and unicode changes

        * orbsvcs/tests/AVStreams/Pluggable_Flow_Protocol/TimeStamp.cpp:
          Initialize pointer with 0

        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.h:
        * orbsvcs/tests/FT_App/FT_ReplicaFactory_i.cpp:
          Use ACE_GUARD

        * tao/Abstract_Servant_Base.cpp:
        * tao/Acceptor_Filter.cpp:
        * tao/Acceptor_Registry.cpp:
        * tao/Adapter.cpp:
        * tao/Adapter_Registry.cpp:
          Removed ACE_RCSID

        * tao/AnyTypeCode/Alias_TypeCode_Static.cpp:
        * tao/AnyTypeCode/Any.cpp:
        * tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.cpp:
        * tao/AnyTypeCode/Any_Basic_Impl.cpp:
        * tao/AnyTypeCode/Any_Impl.cpp:
        * tao/AnyTypeCode/Any_SystemException.cpp:
        * tao/AnyTypeCode/Any_Unknown_IDL_Type.cpp:
        * tao/AnyTypeCode/Empty_Param_TypeCode.cpp:
        * tao/AnyTypeCode/Enum_TypeCode_Static.cpp:
        * tao/AnyTypeCode/ExceptionA.cpp:
        * tao/AnyTypeCode/Marshal.cpp:
        * tao/AnyTypeCode/NVList_Adapter_Impl.cpp:
        * tao/AnyTypeCode/Objref_TypeCode_Static.cpp:
        * tao/AnyTypeCode/Sequence_TypeCode_Static.cpp:
        * tao/AnyTypeCode/String_TypeCode_Static.cpp:
        * tao/AnyTypeCode/Struct_TypeCode_Static.cpp:
        * tao/AnyTypeCode/SystemExceptionA.cpp:
        * tao/AnyTypeCode/True_RefCount_Policy.cpp:
        * tao/AnyTypeCode/TypeCodeA.cpp:
        * tao/AnyTypeCode/TypeCode_CDR_Extraction.cpp:
        * tao/AnyTypeCode/TypeCode_Constants.cpp:
        * tao/AnyTypeCode/Union_TypeCode_Static.cpp:
        * tao/AnyTypeCode/Value_TypeCode_Static.cpp:
        * tao/AnyTypeCode/append.cpp:
        * tao/AnyTypeCode/skip.cpp:
          Removed ACE_RCSID

        * tao/AnyTypeCode_Adapter.cpp:
        * tao/Asynch_Queued_Message.cpp:
        * tao/Asynch_Reply_Dispatcher_Base.cpp:
        * tao/Base_Transport_Property.cpp:
        * tao/BiDir_Adapter.cpp:
          Removed ACE_RCSID

        * tao/BiDir_GIOP/BiDirGIOP.cpp:
        * tao/BiDir_GIOP/BiDirPolicy_Validator.cpp:
        * tao/BiDir_GIOP/BiDir_ORBInitializer.cpp:
        * tao/BiDir_GIOP/BiDir_PolicyFactory.cpp:
        * tao/BiDir_GIOP/BiDir_Policy_i.cpp:
        * tao/BiDir_GIOP/BiDir_Service_Context_Handler.cpp:
          Removed ACE_RCSID

        * tao/Bind_Dispatcher_Guard.cpp:
        * tao/Block_Flushing_Strategy.cpp:
        * tao/Blocked_Connect_Strategy.cpp:
        * tao/CDR.cpp:
        * tao/CORBALOC_Parser.cpp:
        * tao/CORBA_String.cpp:
          Removed ACE_RCSID

        * tao/CSD_Framework/CSD_Default_Servant_Dispatcher.cpp:
        * tao/CSD_Framework/CSD_FW_Server_Request_Wrapper.cpp:
        * tao/CSD_Framework/CSD_Framework_Loader.cpp:
        * tao/CSD_Framework/CSD_ORBInitializer.cpp:
        * tao/CSD_Framework/CSD_Object_Adapter.cpp:
        * tao/CSD_Framework/CSD_Object_Adapter_Factory.cpp:
        * tao/CSD_Framework/CSD_POA.cpp:
        * tao/CSD_Framework/CSD_Strategy_Base.cpp:
        * tao/CSD_Framework/CSD_Strategy_Proxy.cpp:
        * tao/CSD_Framework/CSD_Strategy_Repository.cpp:
          Removed ACE_RCSID

        * tao/CSD_ThreadPool/CSD_TP_Cancel_Visitor.cpp:
